﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarAgenteGenerador.aspx.vb" Inherits="AudiControl.EditarAgenteGenerador"
    Title="<%$ Resources:TituloPaginas, TitEditarAgente %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAgente" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
            Width="120px"></asp:Label>
        <asp:Label ID="lblNombreE" runat="server"></asp:Label><br />
        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %>"
            Width="120px"></asp:Label>
        <asp:Label ID="lblNombreEstudio" runat="server"></asp:Label>
    </div>
    <div class="header" style="text-align: center">
        <asp:Label ID="lblEditarAgenteGenerador" runat="server" Text="<%$ Resources:TituloPasos, lblEditarAgenteGenerador %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito "></asp:Label>
        <br />
        <table>
            <tr>
                <td style="height: 24px; text-align: right; width: 280px;">
                    <asp:Label ID="lblTipoAgente" runat="server" Text="<%$ Resources: lblAgente %>"></asp:Label>
                    *
                </td>
                <td>
                </td>
                <td style="text-align: left">
                    <asp:RadioButtonList ID="rbtnTipoAgente" runat="server" Width="91px" RepeatDirection="Horizontal">
                        <asp:ListItem Text="<%$ Resources: lblInterno %>" Value="True"></asp:ListItem>
                        <asp:ListItem Text="<%$ Resources: lblExterno %>" Value="False"></asp:ListItem>
                    </asp:RadioButtonList>
                    <asp:RequiredFieldValidator ID="rfvTipoAGente" runat="server" ControlToValidate="rbtnTipoAgente">
                        <asp:Label ID="lblSeleccionTipoAgente" runat="server" Text="<%$ Resources: lblSeleccionTipoAgente %>"></asp:Label></asp:RequiredFieldValidator>&nbsp;
                </td>
            </tr>
            <tr>
                <td style="text-align: right;">
                    <asp:Label ID="lblAgente" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"
                        Height="22px"></asp:Label>
                    *
                </td>
                <td style="width: 8px; height: 23px;">
                </td>
                <td align="left" style="width: 322px; height: 23px; text-align: left;">
                    <asp:TextBox ID="txtAgente" runat="server" Width="520px" Height="20px" MaxLength="200"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvNombre" runat="server" ControlToValidate="txtAgente">
                        <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                    <asp:CustomValidator ID="cvAgente" runat="server" ControlToValidate="txtAgente"></asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td style="text-align: right;">
                    <asp:Label ID="lblDescripcionAgente" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                </td>
                <td>
                </td>
                <td style="height: 24px; text-align: left; width: 400px;">
                    <asp:TextBox ID="txtDescripcionAgente" runat="server" Height="81px" TextMode="MultiLine"
                        Width="520px" MaxLength="750"></asp:TextBox>
                    <asp:CustomValidator ID="cvDetalleAgente" runat="server" ControlToValidate="txtDescripcionAgente">
                        <asp:Label ID="lblMaximoCaracterDetalle" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                    </asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td style="height: 24px; text-align: right; width: 280px;">
                    <asp:Label ID="lblCodigo" runat="server" Text="<%$ Resources:Idioma, lblCodigo %>"></asp:Label>
                </td>
                <td>
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="txtCodigo" runat="server" Width="161px" MaxLength="30"></asp:TextBox>
                    <asp:CustomValidator ID="cvCodigo" runat="server" ControlToValidate="txtCodigo"></asp:CustomValidator>
                </td>
            </tr>
        </table>
        <br />
        <br />
        <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
            CausesValidation="true" />&nbsp;
        <asp:Button ID="btnAdicionarOtroAgente" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
            CausesValidation="False" UseSubmitBehavior="False" Visible="false" Width="103px" />&nbsp;
        <asp:Button ID="btnSegmentos" runat="server" Text="<%$ Resources:Idioma, lblSegmento %>"
            CausesValidation="false" Width="93px" />
        <br />
        <br />
    </div>
</asp:Content>
