﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarEvalAmenazas.aspx.vb" Inherits="AudiControl.EditarEvalAmenazas"
    Title="<%$ Resources:TituloPaginas, TitEditarEvalAmenazas %>" %>

<%@ MasterType VirtualPath="~/EncabezadoAudap.master" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblBCP" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdPagina" runat="server"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div style="text-align: center">
        <div class="header" style="text-align: center">
            <asp:Label ID="lblEditarParametrosGenerales" runat="server" Text="<%$ Resources:Menu, m0403030104 %>"
                Visible="False"></asp:Label>
            <asp:Label ID="lblEditarParametrosMonitoreo" runat="server" Text="<%$ Resources:Menu, m0403030104 %>"
                Visible="False"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:GridView ID="gvProteccionExistente" runat="server" AutoGenerateColumns="False">
                            <Columns>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                    <HeaderStyle HorizontalAlign="Center" />
                                    <ItemTemplate>
                                        <asp:TextBox ID="txtProteccionExistente" BorderWidth="1px" runat="server" Text='<%# Eval("descripcionPE") %>'
                                            Width="150px" Height="17px" Visible="true"></asp:TextBox>
                                        <asp:Label ID="lblIdProteccionEmpresa" runat="server" Text='<%# Eval("idProteccionEmpresa") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdDescripcionPE" runat="server" Text='<%# Eval("idDescripcionPE") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblCriterioEvaluacion %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="400px">
                                    <HeaderStyle HorizontalAlign="Center" />
                                    <ItemTemplate>
                                        <asp:Label ID="lblCriterios" runat="server" Text='<%# Eval("criterios") %>' Height="16px"
                                            Width="400px"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                    <HeaderStyle HorizontalAlign="Center" />
                                    <ItemTemplate>
                                        <asp:TextBox ID="txtRiesgoResidual" BorderWidth="1px" runat="server" Text='<%# Eval("descripcionRR") %>'
                                            Width="150px" Height="17px" Visible="true"></asp:TextBox>
                                        <asp:Label ID="lblIdDescripcionRR" runat="server" Text='<%# Eval("idDescripcionRR") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" /><br />
        </div>
    </div>
</asp:Content>
