﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarFrecuenciaEjecucionControl.aspx.vb" Inherits="AudiControl.EditarFrecuenciaEjecucionControl"
    Title="<%$ Resources:TituloPaginas, TitEditarFrecuenciaControl %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdFrecuenciaAplicacion" runat="server" Text="" Visible="False"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
        <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblElementosSGR %>"></asp:Label>
    </div>
    <div class="header">
        <asp:Label ID="lblMantenimientoFrecuenciaAplicacion" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoFrecuenciaAplicacion %>"></asp:Label>
    </div>
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblExito" runat="server" Text="<%$ Resources:Idioma, lblExito %>"
            Visible="False" CssClass="colorExito "></asp:Label><br />
        <div align="center">
            <table>
                <tr>
                    <td align="right" style="width: 292px; height: 11px; text-align: right;">
                        <asp:Label ID="lblNombreFrecuenciaAplicacion" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"></asp:Label>
                        &nbsp;*
                    </td>
                    <td style="width: 250px; height: 20px;">
                        <asp:TextBox ID="txtNombreFrecuenciaAplicacion" runat="server" Height="20px" Width="240px"
                            MaxLength="150"></asp:TextBox>
                         <asp:CustomValidator ID="cvNombreFrecuenciaAplicacion" runat="server" ControlToValidate="txtNombreFrecuenciaAplicacion">
                        </asp:CustomValidator>   
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan="2" style="height: 8px">
                        <asp:RequiredFieldValidator ID="rfvFrecuenciaAplicacion" runat="server" ControlToValidate="txtNombreFrecuenciaAplicacion">
                            <asp:Label ID="lblValidacion" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan="2" style="height: 26px">
                        <asp:Button ID="btnAgregar" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnAceptar%>" />
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
