﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarObjetivoControl.aspx.vb" Inherits="AudiControl.EditarObjetivoControl"
    Title="<%$ Resources:TituloPaginas, TitEditarObjetivo %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdObjetivo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreE" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header" style="text-align: center">
        <asp:Label ID="lblEditarObjControl" runat="server" Text="<%$ Resources:TituloPasos, lblEditarObjControl %>"></asp:Label>
    </div>
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
        <br />
        <table>
            <tr>
                <td align="right" style="width: 233px; height: 23px; text-align: right;">
                    <asp:Label ID="lblObjetivo" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"
                        Height="22px" Width="125px"></asp:Label>
                    &nbsp;*
                </td>
                <td style="width: 8px; height: 23px;">
                </td>
                <td align="left" style="text-align: left;">
                    <asp:TextBox ID="txtObjetivo" runat="server" Width="520px" Height="20px" MaxLength="250"></asp:TextBox>
                    <br />
                    <asp:CustomValidator ID="cvObjetivo" runat="server" 
                            ControlToValidate="txtObjetivo">
                        </asp:CustomValidator>
                    <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtObjetivo">
                        <asp:Label ID="lblDescripcionObligatoria" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td align="right" style="width: 233px; height: 40px; text-align: right;">
                    <asp:Label ID="lblDetalleObjetivo" runat="server" Text="<%$ Resources:Idioma, lblDescripcionDetallada %>"
                        Height="24px" Width="144px"></asp:Label>
                    &nbsp;*
                </td>
                <td style="width: 8px; height: 40px;">
                </td>
                <td align="left" style="text-align: left;">
                    <asp:TextBox ID="txtDetalleObjetivo" runat="server" Width="520px" Height="125px"
                        TextMode="MultiLine" MaxLength="5000"></asp:TextBox>
                    <br />
                    <asp:RequiredFieldValidator ID="rfvDetalleObjetivo" runat="server" ControlToValidate="txtDetalleObjetivo"
                        Height="16px" Width="458px" Text="<%$ Resources:Idioma, lblDetalleObligatorio %>"></asp:RequiredFieldValidator>
                    <asp:CustomValidator ID="cvDetalleObjetivo" runat="server" ControlToValidate="txtDetalleObjetivo">
                        <asp:Label ID="lblMaximoCaracterDetalle" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                    </asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td align="right" style="width: 233px; height: 29px; text-align: right;">
                    <asp:Label ID="lblModelo" runat="server" Text="<%$ Resources: Idioma, lblModelo %>"></asp:Label>
                </td>
                <td style="width: 8px; height: 29px;">
                </td>
                <td style="width: 520px; height: 29px; text-align: left">
                    <asp:DropDownList ID="drpModelo" runat="server">
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td style="height: 24px; text-align: right; width: 280px;">
                    <asp:Label ID="lblCodigo" runat="server" Text="<%$ Resources:Idioma, lblCodigo %>"
                        Height="18px"></asp:Label>
                    <br />
                    <br />
                </td>
                <td>
                </td>
                <td style="height: 24px; text-align: left; width: 400px;">
                    <asp:TextBox ID="txtCodigo" runat="server" Width="150px" Height="22px" MaxLength="30"></asp:TextBox>
                    <br />
                    <asp:CustomValidator ID="cvCodigo" runat="server" 
                            ControlToValidate="txtCodigo">
                        </asp:CustomValidator>
                </td>
            </tr>
        </table>
        <br />
        <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
            CausesValidation="true" />&nbsp;
        <asp:Button ID="btnModificar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"
            CausesValidation="true" />&nbsp;
        <asp:Button ID="btnAdicionarOtroObjetivo" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
            CausesValidation="False" UseSubmitBehavior="False" Visible="false" Width="103px" />
        <br />
        <br />
    </div>
</asp:Content>
