<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarSituacionActual.aspx.vb" Inherits="AudiControl.EditarSituacionActual"
    Title="<%$ Resources:TituloPaginas, TitEditarSituacionActual %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div style="text-align: center">
        <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
        <asp:Label ID="lblIdRiesgoInherenteEmpresa" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblIdRiesgoInherente" runat="server" Text="" Visible="false"></asp:Label>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div align="center">
            <div class="header" style="text-align: center">
                <asp:Label ID="lblEditarParametrosGenerales" runat="server" Text="<%$ Resources:Menu, m0403030105 %>"></asp:Label>
            </div>
            <br />
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <asp:Label ID="lblEstandarASNZ" runat="server" Text="<%$ Resources: lblASNZ %>" Visible="false"
                CssClass="subtitulo "></asp:Label>
            <br />
            <asp:Label ID="lblEstandarMECI" runat="server" Text="<%$ Resources: lblMECI %>" Visible="false"
                CssClass="subtitulo "></asp:Label>
            <br />
            <asp:Label ID="lblEstandarOTRO" runat="server" Text="<%$ Resources: lblOTRO %>" Visible="false"
                CssClass="subtitulo"></asp:Label>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:GridView ID="gvRiesgoAntesControles" runat="server" AutoGenerateColumns="False"
                            ForeColor="Black">
                            <Columns>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    Visible="false">
                                    <HeaderStyle HorizontalAlign="Center" />
                                    <ItemTemplate>
                                        <asp:Label ID="lblIdRiesgoInherenteEmpresa" runat="server" Text='<%# Eval("idRiesgoInherenteEmpresa") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px" HeaderText="<%$ Resources:Idioma, lblRAC %>">
                                    <HeaderStyle HorizontalAlign="Center" />
                                    <ItemTemplate>
                                        <asp:Label ID="lblIdRiesgo" runat="server" Text='<%# Eval("idRiesgo") %>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdDescripcion" runat="server" Text='<%# Eval("idDescripcion") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblDescripcion" runat="server" Text='<%# Eval("descripcion") %>' Visible="True"></asp:Label>
                                        <asp:Label ID="lblColor" runat="server" Text='<%# Eval("colorNivel") %>' Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                            <EditRowStyle ForeColor="Black" />
                        </asp:GridView>
                        <br />
                    </td>
                    <td style="width: 25px">
                        &nbsp;
                    </td>
                    <td>
                        <asp:Label ID="lblRiesgoAControles" runat="server" Text="<%$ Resources:Idioma, lblRAC %>"
                            Width="74px"></asp:Label>
                    </td>
                    <td>
                        <br />
                        <asp:Table ID="TablaSemaforo" runat="server" Style="border: 1; border-spacing: -5pt;
                            caption-side: top; text-align: center;">
                            <asp:TableRow>
                                <asp:TableCell Style="border: 0; background-color: Silver; width: 25px">4</asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblExtremo4" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblExtremo8" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblExtremo12" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblExtremo16" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblExtremo20" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow>
                                <asp:TableCell Style="border: 0; background-color: Silver; width: 25px">3</asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblAlto3" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblAlto6" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblAlto9" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblAlto12" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblAlto15" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow>
                                <asp:TableCell Style="border: 0; background-color: Silver; width: 25px">2</asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblModerado2" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblModerado4" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblModerado6" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblModerado8" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblModerado10" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow>
                                <asp:TableCell Style="border: 0; background-color: Silver; width: 25px">1</asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblBajo1" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblBajo2" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblBajo3" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblBajo4" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label ID="lblBajo5" runat="server" Text="" Height="35px" Width="35px" Font-Size="Medium"
                                        ForeColor="Black"></asp:Label>
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow>
                                <asp:TableCell Style="border: 0"></asp:TableCell>
                                <asp:TableCell Style="border: 0; background-color: Silver">1</asp:TableCell>
                                <asp:TableCell Style="border: 0; background-color: Silver">2</asp:TableCell>
                                <asp:TableCell Style="border: 0; background-color: Silver">3</asp:TableCell>
                                <asp:TableCell Style="border: 0; background-color: Silver">4</asp:TableCell>
                                <asp:TableCell Style="border: 0; background-color: Silver">5</asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>
                        <asp:Label ID="lblProteccion" runat="server" Text="<%$ Resources: lblProteccion %>"></asp:Label>
                        &nbsp;
                    </td>
                    <td>
                    </td>
                </tr>
                <tr>
                    <td colspan="4">
                        <br />
                        <asp:Label ID="lblSignificadoPO" runat="server" Text="<%$ Resources: lblPO %>" Visible="true"></asp:Label>
                        <br />
                        <asp:Label ID="lblSignificadoRAC" runat="server" Text="<%$ Resources: lblRAC %>"
                            Visible="true"></asp:Label>
                        <br />
                        <br />
                        <asp:GridView ID="gvProteccionOfrecida" runat="server" AutoGenerateColumns="False"
                            ForeColor="Black">
                            <Columns>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" HeaderText="<%$ Resources: lblProteccion %>" ItemStyle-Width="180px">
                                    <HeaderStyle HorizontalAlign="Center" />
                                    <ItemStyle HorizontalAlign="center" VerticalAlign="Top" Width="150px" />
                                    <ItemTemplate>
                                        <asp:Label ID="lblIdProteccionEmpresa" runat="server" Text='<%# Eval("idProteccionEmpresa") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdDescripcionPE" runat="server" Text='<%# Eval("idDescripcionPE") %>'
                                            Visible="false"></asp:Label>
                                        <asp:TextBox ID="txtProteccionExistente" BorderWidth="1px" runat="server" Text='<%# Eval("descripcionPE") %>'
                                            BorderColor="#CCCCCC"></asp:TextBox>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="400px" HeaderText="<%$ Resources: lblCriterios %>">
                                    <HeaderStyle HorizontalAlign="Center" />
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="300px" />
                                    <ItemTemplate>
                                        <asp:Label ID="lblValores" runat="server" Text='<%# Eval("criterios") %>' Width="300px"></asp:Label>
                                        <asp:Label ID="lblColor" runat="server" Text='<%# Eval("colorNivel") %>' Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                Visible="true" />
            <br />
        </div>
    </div>
</asp:Content>
