﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EstablecerRelAmenazaControl.aspx.vb" Inherits="AudiControl.EstablecerRelAmenazaControl"
    Title="<%$ Resources:TituloPaginas, TitRelacionAmenazaControl %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioCategoria" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblEstablecerRelAmenazaControl" runat="server" Text="<%$ Resources:TituloPasos, lblEstablecerRelAmenazaControl %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblRelacionExito" runat="server" Text="" Visible="false" CssClass="colorExito "></asp:Label>
        <br />
        <table>
            <tr style="width: 200px">
                <td style="width: 577px; text-align: center;">
                    <asp:Label ID="lblAmenaza" runat="server" Text="<%$ Resources:Idioma, lblAmenaza %>"
                        CssClass="subtitulo " Height="25px"></asp:Label>
                    &nbsp;&nbsp;
                    <asp:Label ID="lblDescripcionAmenaza" runat="server" CssClass="subtitulo " Height="25px"
                        Width="396px"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <div align="center">
            <asp:Label ID="lblNoControl" runat="server" Text="" Visible="false" CssClass="colorExito "></asp:Label>
            <asp:GridView ID="gvListaControl" runat="server" AutoGenerateColumns="false" AllowPaging="True"
                PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idControl" SortExpression="idControl" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="80px" />
                    <asp:BoundField DataField="descripcionControl" SortExpression="descripcionControl"
                        HeaderText="<%$ Resources:Idioma, lblControl %>" ItemStyle-Width="350px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEstablecerRelacion" runat="server" CommandName="ESTABLECER RELACION"
                                CommandArgument='<%# Eval("idControl")%>' CausesValidation="false">
                                <asp:Label ID="lblEstablecerRelacion" runat="server" Text="<%$ Resources:Idioma, btnRelacion %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </div>
    </div>
</asp:Content>
