<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarFrecuenciaAmenaza.aspx.vb" Inherits="AudiControl.ListarFrecuenciaAmenaza"
    Title="<%$ Resources:TituloPaginas, TitFrecuenciaAmenaza %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreE" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoFrecuenciaOcurrencia" runat="server" Text="<%$ Resources:Menu, m0403020210 %>"></asp:Label></div>
        <br />
        <div style="text-align: center">
            <table>
                <tr style="width: 200px">
                    <td style="width: 371px; text-align: right; height: 54px;">
                        <asp:Label ID="lblMetodo" runat="server" Text="<%$ Resources:Idioma, lblMetodo %>"
                            Height="24px" CssClass="subtitulo "></asp:Label>
                    </td>
                    <td style="width: 350px; text-align: left; height: 54px;">
                        <asp:Label ID="lblEstandarEval" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                    </td>
                </tr>
            </table>
            <asp:Label ID="lblIdEmpresa" runat="server" Visible="False" Height="27px"></asp:Label>
            <asp:Label ID="lblIdMetodo" runat="server" Visible="False" Height="26px" Width="84px"></asp:Label>
            &nbsp;<asp:Label ID="lblIdProbabilidad" runat="server" Visible="False" Height="26px"></asp:Label>
        </div>
        <div align="center">
            <asp:Label ID="lblFrecuenciaAmenaza" runat="server" Text="" Visible="false" Height="24px"></asp:Label>
        </div>
        <div align="center">
            <asp:GridView ID="gvListaFrecuenciaAmenaza" runat="server" AutoGenerateColumns="false"
                Visible="false" AllowPaging="True" PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idFrecuencia" SortExpression="idFrecuencia" HeaderText="<%$ Resources:Idioma, lblId %>"
                        Visible="False">
                        <ItemStyle Width="90px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="valorProbabilidad" SortExpression="valorProbabilidad"
                        HeaderText="<%$ Resources:Idioma, lblValor %>">
                        <ItemStyle Width="90px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="Frecuencia" SortExpression="Frecuencia" HeaderText="<%$ Resources:Idioma, lblDescripcion %>">
                        <ItemStyle Width="250px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="numeroVecesAno" SortExpression="numeroVecesAno" HeaderText="<%$ Resources: lblNumero %>">
                        <ItemStyle Width="120px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="Probabilidad" SortExpression="Probabilidad" HeaderText="<%$ Resources:Idioma, lblProbabilidad %>">
                        <ItemStyle Width="120px" />
                    </asp:BoundField>
                    <asp:TemplateField HeaderText="<%$ Resources:Idioma, lblAccion %>">
                        <ItemTemplate>
                            <div style="text-align: center">
                                <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idFrecuencia")%>'>
                                    <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            </div>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="120px" />
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
        </div>
    </div>
</asp:Content>
