﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarRelacionesCategoriaAmenaza.aspx.vb" Inherits="AudiControl.ListarRelacionesCategoriaAmenaza"
    Title="<%$ Resources:TituloPaginas, TitRelacionCategoriaAmenaza %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaRelacion %>"
        runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
        <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblElementosSGR %>"></asp:Label>
    </div>
    <div class="header">
        <asp:Label ID="lblRelacionesCatRiesgoAmenaza" runat="server" Text="<%$ Resources:TituloPasos, lblRelacionesCatRiesgoAmenaza %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <table>
            <tr style="width: 200px">
                <td style="width: 568px; text-align: center;">
                    <asp:Label ID="lblRiesgo" runat="server" Text="<%$ Resources:Idioma, lblCategoria %>"
                        Height="25px" CssClass="subtitulo" Width="180px"></asp:Label>
                    <asp:Label ID="lblDescripcionRiesgo" runat="server" Height="25px" CssClass="subtitulo"
                        Width="364px"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <asp:Label ID="lblNoRelacion" runat="server" Visible="false" CssClass="colorExito "></asp:Label>
        <asp:GridView ID="gvListaRelCategoriaAmenaza" runat="server" AutoGenerateColumns="false"
            AllowPaging="True" PageSize="15">
            <Columns>
                <asp:BoundField DataField="idRiesgoAmenaza" SortExpression="idRiesgoAmenaza" HeaderText="<%$ Resources:Idioma, lblRelacion %>"
                    ItemStyle-Width="150px" Visible="false" />
                <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                    ItemStyle-Width="80px" />
                <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                    HeaderText="<%$ Resources:Idioma, lblAmenaza %>" ItemStyle-Width="250px" />
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                    <ItemTemplate>
                        <asp:LinkButton ID="lnkEliminarRelacion" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idRiesgoAmenaza")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminarRelacion %>"></asp:Label></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <br />
        <asp:Button ID="btnEstablecerRelacion" runat="server" Text="<%$ Resources:Idioma, btnRelacion %>"
            CausesValidation="false" />
    </div>
</asp:Content>
