﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="RastrosCambiosBD.aspx.vb" Inherits="AudiControl.RastrosCambiosBD"
    Title="<%$ Resources: Menu, m0403020302 %>" %>

<%@ MasterType VirtualPath="~/EncabezadoAudap.Master" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <script language="javascript" type="text/javascript" src="../Js/Comun.js"></script>

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblOpcion" runat="server" Text="" Visible="false"></asp:Label>
    <br />
    <div class="alineacionIzquierda">
        <asp:Label ID="lblRuta" runat="server" Text="" CssClass="ruta"></asp:Label>
    </div>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblRastrosCambios" runat="server" Text="<%$ Resources:TituloPasos, lblRastrosCambios %>"></asp:Label>
    </div>
    <br />
    <br />
    <div align="center">
        <table id="tblEstudios" runat="server" visible="true">
            <tr>
                <td>
                    <asp:Label ID="lblEstudios" runat="server" Text="<%$ Resources:Idioma, lblEstudios %>"
                        CssClass="subtitulo"></asp:Label>
                    <br />
                    <asp:Label ID="lblNoEstudio" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
                    <br />
                    <asp:GridView ID="gvListaEstudios" runat="server" AutoGenerateColumns="false" AllowPaging="True"
                        PageSize="15">
                        <Columns>
                            <asp:BoundField DataField="idEstudio" SortExpression="idEstudio" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="90px" />
                            <asp:BoundField DataField="nombreEstudio" SortExpression="nombreEstudio" HeaderText="<%$ Resources:Idioma, lblNombre %>"
                                ItemStyle-Width="400px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                                <ItemTemplate>
                                    <div>
                                        <asp:LinkButton ID="lnkConsultar" runat="server" CommandName="CONSULTAR" CommandArgument='<%# Eval("idEstudio")%>'
                                            CausesValidation="false">
                                            <asp:Label ID="lblConsultar" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                                    </div>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <br />
    </div>
</asp:Content>
