﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="AsociarSegmentoAmenaza.aspx.vb" Inherits="AudiControl.AsociarSegmentoAmenaza"
    Title="<%$ Resources:TituloPaginas, TitAmenazasSegmentos %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAgente" runat="server" Text="" Visible="false"></asp:Label>
    <div class="alineacionIzquierda">
    </div>
    <div class="headerContent ">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
        <asp:Label ID="lblPaso" runat="server" Text="<%$ Resources:TituloPasos, lblDefinirEspecificacionesControles %>"></asp:Label>
    </div>
    <div class="header">
        <asp:Label ID="lblAsociarAmenazaSegmento" runat="server" Text="<%$ Resources:TituloPasos, lblAsociarAmenazaSegmento %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito "></asp:Label>
        <br />
        <div style="text-align: left">
            <asp:Label ID="lblNombreAmenaza" Width="200px" runat="server" Text="<%$ Resources:Idioma,lblAmenaza %>"
                CssClass="subtitulo " Height="20px"></asp:Label>
            <asp:Label ID="lblDescripcionAmenaza" Width="550px" runat="server" Height="20px"
                CssClass="subtitulo "></asp:Label>
            <br />
            <br />
            <asp:Label ID="lblNombreAgente" Width="200px" runat="server" CssClass="subtitulo "
                Height="20px"></asp:Label>
            <asp:Label ID="lblDescripcionAgente" Width="500px" runat="server" CssClass="subtitulo "
                Height="20px"></asp:Label>
            <br />
            <br />
        </div>
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblSegmento" Width="176px" runat="server" Text="<%$ Resources:Idioma,lblSegmento %>"></asp:Label>
                    &nbsp;&nbsp;&nbsp;
                </td>
            </tr>
            <tr>
                <td>
                    <div style="overflow: auto; width: 500px; height: 184px;">
                        <asp:Label ID="lblNoSegmentos" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
                        <asp:GridView ID="gvListaSegmentos" runat="server" AutoGenerateColumns="false" Width="500px">
                            <Columns>
                                <asp:BoundField DataField="idSegmento" SortExpression="idSegmento" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="70px" />
                                <asp:BoundField DataField="nombreSegmento" SortExpression="nombreSegmento" HeaderText="<%$ Resources:Idioma, lblNombre %>"
                                    ItemStyle-Width="350px" />
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkSegmento" runat="server" />
                                        <asp:Label ID="lblIdAmenazaSegmento" runat="server" Text='<%# Eval("idEstudioAmenazaSegmento") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdAgente" runat="server" Text='<%# Eval("idAgente") %>' Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </div>
                </td>
            </tr>
            <tr>
                <td align="center" colspan="2" style="height: 60px">
                    <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                        CausesValidation="true" />
                    <asp:Button ID="btnModificar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"
                        CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
                    &nbsp;
                    <asp:Button ID="btnMantenimientoSegmentos" runat="server" Text="<%$ Resources:Idioma, lblMantenimientoSegmentos %>"
                        CausesValidation="False" Width="206px" />
                    <br />
                    <br />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
