<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="DocumentarAmenaza.aspx.vb" Inherits="AudiControl.DocumentarAmenaza"
    Title="<%$ Resources: Menu, m04040305 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdAmenaza" Style="display: none" runat="server"></asp:Label>
    <asp:Label ID="lblHayEstudioAmenazaActivo" Style="display: none" runat="server"></asp:Label>
    <asp:Label ID="lblHayEstudioAmenazaAgente" Style="display: none" runat="server"></asp:Label>
    <asp:Label ID="lblHayEstudioAmenazaArea" Style="display: none" runat="server"></asp:Label>
    <asp:Label ID="lblHayEstudioAmenazaEscenario" Style="display: none" runat="server"></asp:Label>
    <asp:Label ID="lblHayEstudioAmenazaFrecuencia" Style="display: none" runat="server"></asp:Label>
    <asp:Label ID="lblHayEstudioAmenazaRango" Style="display: none" runat="server"></asp:Label>
    <asp:Label ID="lblHayEstudioAmenazaSegmento" Style="display: none" runat="server"></asp:Label>
    <asp:Label ID="lblHayEstudioAmenazaVulnerabilidad" Style="display: none" runat="server"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources: Idioma, msgEliminaRelacion %>"
        runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
            Width="120px"></asp:Label>
        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %>"
            Width="120px"></asp:Label>
        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
    </div>
    <div class="header">
        <asp:Label ID="lblDocumentacionAmenaza" runat="server" Text="<%$ Resources: Menu, m04040305 %>"></asp:Label>
    </div>
    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
    <asp:Label Style="text-align: center" ID="lblFalta" runat="server" Visible="false"
        CssClass="colorError"></asp:Label><br />
    <asp:Label Style="text-align: center" ID="lblEliminaAmenaza" runat="server" Visible="false"
        CssClass="colorError" Text="<%$ Resources: Idioma, lblEliminaAmenaza %>"></asp:Label><br />
    <asp:Label ID="lblNombreAmenaza" runat="server" Text="<%$ Resources:Idioma,lblAmenaza %>"
        Style="text-align: center" CssClass="subtitulo"></asp:Label>
    <asp:Label ID="lblDescripcionAmenaza" runat="server" Style="text-align: left" CssClass="subtitulo"></asp:Label>
    <br />
    <br />
    <div class="alineacionIzquierda">
        <asp:Menu ID="MenuPestanas" runat="server" BorderColor="White" BorderStyle="solid"
            BorderWidth="1px" Font-Bold="true" OnMenuItemClick="MenuPestanas_MenuItemClick"
            Orientation="Horizontal">
            <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
            <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
            <DynamicHoverStyle BackColor="LightCoral" Font-Bold="True" Font-Size="Medium" ForeColor="White" />
            <StaticMenuStyle BackColor="#F4E8AF" BorderColor="white" BorderWidth="1px" ForeColor="Black" />
            <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
            <StaticHoverStyle BackColor="orange" BorderColor="Black" BorderStyle="Inset" BorderWidth="1px"
                Font-Bold="True" ForeColor="White" />
            <StaticSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="solid"
                BorderWidth="1px" />
            <DynamicSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="Solid"
                BorderWidth="1px" />
            <Items>
                <asp:MenuItem Text="<%$ Resources: Activos %>" Value="0"></asp:MenuItem>
                <asp:MenuItem Text="<%$ Resources: Vulnerabilidades %>" Value="1"></asp:MenuItem>
                <asp:MenuItem Text="<%$ Resources: Agentes %>" Value="2"></asp:MenuItem>
                <asp:MenuItem Text="<%$ Resources: Fuentes %>" Value="3"></asp:MenuItem>
                <asp:MenuItem Text="<%$ Resources: Impacto %>" Value="4"></asp:MenuItem>
                <asp:MenuItem Text="<%$ Resources: Incidentes %>" Value="5"></asp:MenuItem>
            </Items>
        </asp:Menu>
    </div>
    <div align="center">
        <asp:MultiView ActiveViewIndex="0" ID="mvDocumentacion" runat="server">
            <asp:View ID="vwActivo" runat="server">
                <div style="border: solid 1px orange">
                    <br />
                    <asp:Label ID="lblActivoImpactado" runat="server" Text="<%$ Resources:Idioma,lblNombreActivo %>"
                        CssClass="subtituloTercerNivel"></asp:Label>&nbsp;*<br />
                    <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
                    <br />
                    <br />
                    <div style="overflow: auto; width: 850px; height: 184px;">
                        <asp:GridView ID="gvListaActivos" runat="server" AutoGenerateColumns="false">
                            <Columns>
                                <asp:BoundField DataField="idActivo" SortExpression="idActivo" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="70px" />
                                <asp:BoundField DataField="descripcionActivo" SortExpression="descripcionActivo"
                                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="550px" />
                                <asp:BoundField DataField="valorActivo" SortExpression="valorActivo" DataFormatString="{0:#,##0.00}"
                                    ItemStyle-HorizontalAlign="Right" HeaderText="<%$ Resources:Idioma, lblvalor %>"
                                    ItemStyle-Width="120px" />
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkActivo" runat="server" />
                                        <asp:Label ID="lblIdAmenazaActivo" runat="server" Text='<%# Eval("idEstudioAmenazaActivo") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </div>
                    <br />
                    <asp:LinkButton CausesValidation="false" ID="lnkTotal" Font-Size="Small" Text="<%$ Resources: lnkTotal %>"
                        runat="server"></asp:LinkButton>
                    <asp:Label ID="lblresultadoParcial" runat="server" Text="0.00" Width="150px"></asp:Label><br />
                    <br />
                    <table>
                        <tr>
                            <td>
                                <asp:Label ID="lblBuscar1" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>&nbsp;
                                <asp:RadioButtonList ID="rblCriterioAc" runat="server" RepeatDirection="Horizontal"
                                    Width="162px">
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                                </asp:RadioButtonList>
                            </td>
                            <td>
                                <asp:TextBox ID="txtCriterioAc" runat="server" Height="16px" />&nbsp;
                                <asp:Button ID="btnBuscarActivos" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                                    CausesValidation="true" />&nbsp;
                                <asp:Button ID="btnMantenimientoActivo" runat="server" CausesValidation="False" Width="250px"
                                    Text="<%$ Resources:Idioma,lblMantenimientoActivos %>" />&nbsp;
                                <asp:Button ID="btnGuardaActivo" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, btnGuardar %>" /><br />
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="rblCriterioAc" Display="Dynamic">
                    <asp:Label runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label>
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
            <asp:View ID="vwVulnerabilidad" runat="server">
                <div style="border: solid 1px orange">
                    <br />
                    <asp:Label ID="lblVulnerabilidad" runat="server" Text="<%$ Resources:Idioma,lblVulnerabilidad %>"
                        Style="text-align: center" CssClass="subtituloTercerNivel"></asp:Label>&nbsp;*<br />
                    <asp:Label ID="lblCodigoVulnerabilidad" runat="server" Visible="false" CssClass="colorError"></asp:Label>
                    <br />
                    <br />
                    <div style="overflow: auto; width: 750px; height: 184px;">
                        <asp:GridView ID="gvListaVulnerabilidades" runat="server" AutoGenerateColumns="false">
                            <Columns>
                                <asp:BoundField DataField="idVulnerabilidad" SortExpression="idVulnerabilidad" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="60px" />
                                <asp:BoundField DataField="descripcionVulnerabilidad" SortExpression="descripcionVulnerabilidad"
                                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="550px" />
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkVulnerabilidad" runat="server" />
                                        <asp:Label ID="lblIdAmenazaVulnerabilidad" runat="server" Text='<%# Eval("idEstudioAmenazaVulnerabilidad") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </div>
                    <br />
                    <asp:Label CssClass="subtituloTercerNivel" ID="lblFrecuencia" runat="server" Text="<%$ Resources:Idioma,lblFrecuencia %>"></asp:Label>&nbsp;*
                    <asp:DropDownList ID="drpFrecuencia" runat="server">
                    </asp:DropDownList>
                    <br />
                    <br />
                    <table>
                        <tr>
                            <td style="text-align: center;">
                                <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                                <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal"
                                    Width="162px">
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                                </asp:RadioButtonList>
                            </td>
                            <td>
                                <asp:TextBox ID="txtCriterio" runat="server" Height="16px" />&nbsp;
                                <asp:Button ID="btnBuscarVulnerabilidades" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                                    CausesValidation="true" />&nbsp;
                                <asp:Button ID="btnMantenimientoVulnerabilidad" runat="server" Text="<%$ Resources:Idioma, lblMantenimientoVulnerabilidad %>"
                                    CausesValidation="False" Width="206px" />&nbsp;
                                <asp:Button ID="btnGuardarVulnerabilidad" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                                    CausesValidation="False" /><br />
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="rblCriterio" Display="Dynamic">
                        <asp:Label runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label>
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
            <asp:View ID="vwAgente" runat="server">
                <div style="border: solid 1px orange">
                    <br />
                    <asp:Label ID="lblAgenteGenerador" runat="server" Text="<%$ Resources: lblAgenteG %>"
                        CssClass="subtituloTercerNivel"></asp:Label>&nbsp;*<br />
                    <asp:Label ID="lblCodigoAgente" runat="server" Visible="false" CssClass="colorError"></asp:Label>
                    <br />
                    <br />
                    <div style="overflow: auto; width: 850px; height: 184px;">
                        <asp:GridView ID="gvListaAgentes" runat="server" AutoGenerateColumns="false">
                            <Columns>
                                <asp:BoundField DataField="idAgente" SortExpression="idAgente" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="70px" />
                                <asp:BoundField DataField="nombreAgente" SortExpression="nombreAgente" HeaderText="<%$ Resources:Idioma, lblNombre %>"
                                    ItemStyle-Width="550px" />
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkAgente" runat="server" />
                                        <asp:Label ID="lblIdAmenazaAgente" runat="server" Text='<%# Eval("idEstudioAmenazaAgente") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="130px">
                                    <ItemTemplate>
                                        <div style="text-align: center">
                                            <asp:LinkButton ID="lnkVerSegmentos" runat="server" CommandName="VER_SEGMENTO" CommandArgument='<%# Eval("idAgente")%>'
                                                CausesValidation="false">
                                                <asp:Label ID="lblVerSegmentos" runat="server" Text="<%$ Resources:lblVerSegmentos %>"></asp:Label></asp:LinkButton>
                                        </div>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </div>
                    <br />
                    <table>
                        <tr>
                            <td style="text-align: center;">
                                <asp:Label ID="lblBuscar0" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                                <asp:RadioButtonList ID="rblCriterioAg" runat="server" RepeatDirection="Horizontal"
                                    Width="162px">
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                                </asp:RadioButtonList>
                            </td>
                            <td>
                                <asp:TextBox ID="txtCriterioAg" runat="server" Height="16px" />&nbsp;
                                <asp:Button ID="btnBuscarAgentes" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                                    CausesValidation="true" />&nbsp;
                                <asp:Button ID="btnMantenimientoAgente" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, lblMantenimientoAgentes %>"
                                    Width="250px" />&nbsp;
                                <asp:Button ID="btnGuardarAgente" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, btnGuardar %>" /><br />
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="rblCriterioAg" Display="Dynamic">
                        <asp:Label runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label>
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
            <asp:View ID="vwFuente" runat="server">
                <div style="border: solid 1px orange">
                    <br />
                    <table width="960px">
                        <tr>
                            <td>
                                <asp:Label ID="lblArea" CssClass="subtituloTercerNivel" runat="server" Text="<%$ Resources:lblAreas %>"></asp:Label>&nbsp;*<br />
                                <br />
                            </td>
                            <td>
                                <asp:Label ID="lblEscenario" CssClass="subtituloTercerNivel" runat="server" Text="<%$ Resources:lblEscenarios %>"></asp:Label>&nbsp;*<br />
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <div style="overflow: auto; width: 420px; height: 184px;">
                                    <asp:GridView ID="gvListaAreas" runat="server" AutoGenerateColumns="false" Width="400px">
                                        <Columns>
                                            <asp:BoundField DataField="idArea" SortExpression="idArea" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                ItemStyle-Width="70px" />
                                            <asp:BoundField DataField="nombreArea" SortExpression="nombreArea" HeaderText="<%$ Resources:Idioma, lblNombre %>"
                                                ItemStyle-Width="250px" />
                                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                                <ItemTemplate>
                                                    <asp:CheckBox ID="chkArea" runat="server" />
                                                    <asp:Label ID="lblIdAmenazaArea" runat="server" Text='<%# Eval("idEstudioAmenazaArea") %>'
                                                        Visible="false"></asp:Label>
                                                    <asp:Label ID="lblIdEstudioArea" runat="server" Text='<%# Eval("idEstudioArea") %>'
                                                        Visible="false"></asp:Label>
                                                </ItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="25px"></ItemStyle>
                                            </asp:TemplateField>
                                        </Columns>
                                    </asp:GridView>
                                </div>
                            </td>
                            <td>
                                <div style="overflow: auto; width: 500px; height: 184px;">
                                    <asp:GridView ID="gvListaEscenarios" runat="server" AutoGenerateColumns="false" Width="450px">
                                        <Columns>
                                            <asp:BoundField DataField="idEscenario" SortExpression="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                ItemStyle-Width="70px" />
                                            <asp:BoundField DataField="descripcionEscenario" SortExpression="descripcionEscenario"
                                                HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="250px" />
                                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                                <ItemTemplate>
                                                    <asp:CheckBox ID="chkEscenario" runat="server" />
                                                    <asp:Label ID="lblIdAmenazaEscenario" runat="server" Text='<%# Eval("idEstudioAmenazaEscenario") %>'
                                                        Visible="false"></asp:Label>
                                                    <asp:Label ID="lblIdEstudioEscenario" runat="server" Text='<%# Eval("idEstudioEscenario") %>'
                                                        Visible="false"></asp:Label>
                                                </ItemTemplate>
                                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="25px"></ItemStyle>
                                            </asp:TemplateField>
                                        </Columns>
                                    </asp:GridView>
                                </div>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <asp:Button ID="btnGuardarFuente" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, btnGuardar %>" />
                </div>
            </asp:View>
            <asp:View ID="vwImpacto" runat="server">
                <div style="border: solid 1px orange">
                    <br />
                    <asp:Label ID="lblRangoPerdida" CssClass="subtituloTercerNivel" runat="server" Text="<%$ Resources: lblRango %>"></asp:Label>&nbsp;*
                    <br />
                    <br />
                    <asp:Panel runat="server" ScrollBars="Auto" CssClass="izquierda" Width="850px">
                        <asp:GridView ID="gvTipoImpacto" runat="server" AutoGenerateColumns="false">
                            <Columns>
                                <asp:BoundField DataField="idTipoImpacto" HeaderText="<%$ Resources:Idioma, lblId %>" />
                                <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:Idioma, lblTipoImpacto %>"
                                    ItemStyle-Width="200px" />
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblCriterioEvaluacion %>">
                                    <ItemTemplate>
                                        <asp:DropDownList ID="drpCriterio" runat="server" Width="580px">
                                        </asp:DropDownList>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </asp:Panel>
                    <br />
                    <asp:Label CssClass="subtituloTercerNivel" ID="lblConsecuencia" runat="server" Text="<%$ Resources:lblConsecuencia %>"></asp:Label>
                    <br />
                    <br />
                    <asp:TextBox ID="txtConsecuencia" runat="server" Width="700px" Height="70px" TextMode="MultiLine"
                        MaxLength="300" Style="text-align: justify"></asp:TextBox><br />
                    <asp:CustomValidator ID="cvConsecuencia" runat="server" ControlToValidate="txtConsecuencia"></asp:CustomValidator>
                    <br />
                    <br />
                    <asp:Button ID="btnGuardarImpacto" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, btnGuardar %>" />
                </div>
            </asp:View>
            <asp:View ID="vwIncidente" runat="server">
                <div style="border: solid 1px orange">
                    <br />
                    <asp:Label ID="lblIncidente" CssClass="subtituloTercerNivel" runat="server" Text="<%$ Resources: lblIncidente %>"></asp:Label><br />
                    <asp:Label ID="lblCodigoIncidente" runat="server" Visible="false" CssClass="colorError"></asp:Label>
                    <br />
                    <br />
                    <asp:Panel ID="Panel1" runat="server" ScrollBars="Auto" Width="800px">
                        <asp:GridView ID="gvListaIncidentes" runat="server" AutoGenerateColumns="false" Width="750px">
                            <Columns>
                                <asp:BoundField DataField="idIncidenteSeguridad" SortExpression="idIncidenteSeguridad"
                                    HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="50px" />
                                <asp:BoundField DataField="descripcionIncidente" SortExpression="descripcionIncidente"
                                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="250px" />
                                <asp:BoundField DataField="fechaOcurrencia" HeaderText="<%$ Resources: Idioma, lblFechaOcurrencia %>"
                                    DataFormatString="{0:d}" />
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                    <ItemTemplate>
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idIncidenteSeguridad")%>'
                                            CausesValidation="false">
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>&nbsp;&nbsp;
                                        <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idIncidenteSeguridad")%>'
                                            CausesValidation="false">
                                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </asp:Panel>
                    <br />
                    <table>
                        <tr>
                            <td>
                                <asp:Label ID="lblBuscar6" runat="server" Text="<%$ Resources: Idioma, lblBuscar %>"></asp:Label>
                                <asp:RadioButtonList ID="rblIncidente" runat="server" RepeatDirection="Horizontal"
                                    Width="162px">
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                    <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                                </asp:RadioButtonList>
                            </td>
                            <td>
                                <asp:TextBox ID="txtCriterioIs" runat="server"></asp:TextBox>&nbsp;
                                <asp:Button ID="btnBuscarIncidente" runat="server" Text="<%$ Resources: Idioma, btnBuscar %>" />&nbsp;
                                <asp:Button ID="btnIncidente" runat="server" CausesValidation="False" Text="<%$ Resources: Idioma,lblMantenimientoIncidentes %>"
                                    Width="260px" />&nbsp;
                                <br />
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="rblIncidente" Display="Dynamic">
                    <asp:Label runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label>
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                    </table>
                </div>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>
