﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ListarElementosReporteRI.aspx.vb" Inherits="AudiControl.ListarElementosReporteRI"
    Title="<%$ Resources:TituloPaginas, TitReporteRI %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblVistaReporte" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoCategoria" runat="server" Visible="false" Text="<%$ Resources:TituloPasos, lblListadoCategoria %>"></asp:Label>
            <asp:Label ID="lblListadoAreas" runat="server" Visible="false" Text="<%$ Resources:TituloPasos, lblListadoAreas %>"></asp:Label>
            <asp:Label ID="lblListadoEscenarios" runat="server" Visible="false" Text="<%$ Resources:TituloPasos, lblListadoEscenarios %>"></asp:Label>
        </div>
        <br />
        <br />
        <div align="center">
            <asp:GridView ID="gvListaCategoria" runat="server" AutoGenerateColumns="false">
                <Columns>
                    <asp:BoundField DataField="idCategoriaRiesgo" SortExpression="idCategoriaRiesgo"
                        HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="100px" />
                    <asp:BoundField DataField="descripcionCategoria" SortExpression="descripcionCategoria"
                        HeaderText="<%$ Resources:Idioma, lblCategoria %>" ItemStyle-Width="300px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkVerReporteRI" runat="server" CommandName="VER REPORTE" CommandArgument='<%# Eval("idEstudioCategoria")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblVerReporteRI" runat="server" Text="<%$ Resources:Idioma, lblVerReporte %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <asp:GridView ID="gvListaArea" runat="server" AutoGenerateColumns="false">
                <Columns>
                    <asp:BoundField DataField="idArea" SortExpression="idArea" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="100px" />
                    <asp:BoundField DataField="nombreArea" SortExpression="nombreArea" HeaderText="<%$ Resources:Idioma, lblArea %>"
                        ItemStyle-Width="300px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkVerReporteRI" runat="server" CommandName="VER REPORTE" CommandArgument='<%# Eval("idEstudioArea")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblVerReporteRI" runat="server" Text="<%$ Resources:Idioma, lblVerReporte %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <asp:GridView ID="gvListaEscenario" runat="server" AutoGenerateColumns="false">
                <Columns>
                    <asp:BoundField DataField="idEscenario" SortExpression="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="100px" />
                    <asp:BoundField DataField="descripcionEscenario" SortExpression="descripcionEscenario"
                        HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="300px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkVerReporteRI" runat="server" CommandName="VER REPORTE" CommandArgument='<%# Eval("idEstudioEscenario")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblVerReporteRI" runat="server" Text="<%$ Resources:Idioma, lblVerReporte %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
        </div>
    </div>
</asp:Content>
