﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ListarEscenariosEstudio.aspx.vb" Inherits="AudiControl.ListarEscenariosEstudio"
    Title="<%$ Resources: Menu, m04040405 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent ">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblEscenariosObjetivos" runat="server" Text="<%$ Resources: Menu, m04040405 %>"></asp:Label>
        </div>
        <br />
        <br />
        <div align="center">
            <asp:GridView ID="gvListaEscenario" runat="server" AutoGenerateColumns="false">
                <Columns>
                    <asp:BoundField DataField="idEscenario" SortExpression="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="70px"></asp:BoundField>
                    <asp:BoundField DataField="descripcionEscenario" SortExpression="descripcionEscenario"
                        HeaderText="<%$ Resources:Idioma, lblEscenarios %>" ItemStyle-Width="500px">
                    </asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRelacionado %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="140px">
                        <ItemTemplate>
                            <asp:Label ID="lblSi" runat="server" Text='<%# Eval("seleccionado")%>' Visible="false"></asp:Label>
                            <asp:Label ID="lblRelacionado" runat="server" Text=""></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="160px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEstablecerRelacion" runat="server" CommandName="RELACIONAR"
                                CommandArgument='<%# Eval("idEstudioEscenario")%>' CausesValidation="false">
                                <asp:Label ID="lblEstablecerRelacion" runat="server" Text="<%$ Resources:Idioma,btnRelacion %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
            &nbsp;<asp:Button ID="btnAgregarToDos" runat="server" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                Width="100px" />
            <br />
            <br />
        </div>
    </div>
</asp:Content>
