﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="MetodoChurmanAckoff.aspx.vb" Inherits="AudiControl.MetodoChurmanAckoff"
    Title="<%$ Resources:TituloPaginas, TitMetodoChurman %> " %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblNumParticipantes" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <div class="izquierda">
                <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                    Width="120px"></asp:Label>
                <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
                <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                    Width="120px"></asp:Label>
                <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
            </div>
        </div>
        <div class="header">
            <asp:Label ID="lblMetodoChurman" runat="server" Text="<%$ Resources:TituloPasos, lblMetodoChurman %>"></asp:Label>
        </div>
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <asp:Label Style="text-align: center" ID="lblEliminaAmenaza" runat="server" Visible="false"
                CssClass="colorError" Text="<%$ Resources: Idioma, lblEliminaAmenaza %>"></asp:Label>
            <br />
            <br />
            <table id="tablaParticipantes">
                <tr>
                    <td>
                        <asp:Label ID="lblNumeroParticipantes" runat="server" Text="<%$ Resources: lblNumeroParticipantes %>"></asp:Label>
                        *&nbsp;
                        <asp:TextBox ID="txtNumeroParticipantes" runat="server" MaxLength="3"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvNumeroParticipantes" runat="server" ErrorMessage="<%$ Resources: rfvNumeroParticipantes %>"
                            ControlToValidate="txtNumeroParticipantes"></asp:RequiredFieldValidator>
                        <br />
                        <asp:CustomValidator ID="cvNumeroParticipantes" runat="server" ErrorMessage="" ControlToValidate="txtNumeroParticipantes"></asp:CustomValidator>
                    </td>
                </tr>
            </table>
            <table>
                <tr>
                    <td>
                        <asp:GridView ID="gvCategoriaSeleccionada" runat="server" AutoGenerateColumns="true"
                            HeaderStyle-HorizontalAlign="Center">
                            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        </asp:GridView>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:GridView ID="gvCalificacion" runat="server" AutoGenerateColumns="false" Visible="false"
                            DataKeyNames="idEstudioCategoria">
                            <Columns>
                                <asp:BoundField DataField="descripcionCategoria" HeaderText="<%$ Resources:Idioma, lblCategoria %>" />
                                <asp:TemplateField HeaderText="<%$ Resources:Idioma, lblPuntaje %>">
                                    <ItemTemplate>
                                        <asp:Label ID="lblPuntaje" runat="server" Text="Puntaje"></asp:Label>
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:lblPromedio %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblImpacto" runat="server" Text='<%# Eval("promedioImpacto")%>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblPromedioImpacto" runat="server" Text="" Height="25px"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px"></ItemStyle>
                                </asp:TemplateField>
                                <asp:BoundField DataField="posicionCategoria" SortExpression="posicionCategoria"
                                    HeaderText="<%$ Resources:Idioma, lblPrioridad %>" ItemStyle-Width="150px">
                                    <ItemStyle Width="150px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="idEstudioCategoria" Visible="false" />
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" />
            &nbsp;
            <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:btnCalcular %>" Visible="false"
                CausesValidation="true" />
            <br />
        </div>
    </div>
</asp:Content>
