<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="PerfilRICategoriaRiesgoNivelTres.aspx.vb" Inherits="AudiControl.PerfilRICategoriaRiesgoNivelTres"
    Title="Perfil Riesgo Inherente Por Categoría - Rangos de Pérdida" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdCategoriaRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdNivel" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdRiesgoAmenazaEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblIndicadoresRangoPerdida" runat="server" Text="<%$ Resources:TituloPasos, lblIndicadoresRangoPerdida %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <table>
                <tr>
                    <td colspan="2">
                        <asp:Label ID="lblDatosCategoria" runat="server" Text="<%$ Resources:Idioma, lblDatosCategoria %>"
                            Visible="true" CssClass="subtitulo"></asp:Label>
                        <br />
                        <br />
                    </td>
                </tr>
                <tr>
                    <td style="width: 135px">
                        <asp:Label ID="lblNombreCategoria" runat="server" Text="<%$ Resources:Idioma, lblCategoria %>"
                            Visible="true"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblCategoria" runat="server" Text="" Visible="true"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 135px">
                        <asp:Label ID="lblNuneroTotalAmenazas" runat="server" Text="<%$ Resources:Idioma, lblTotalAmenazas %>"
                            Visible="true"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblAmenazas" runat="server" Text="" Visible="true"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 135px">
                        <asp:Label ID="lblRiesgoCategoria" runat="server" Text="<%$ Resources:Idioma, lblRI %>"
                            Visible="true"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblRiesgoInherente" runat="server" Text="" Visible="true"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 135px">
                        <asp:Label ID="lblSignificadoRiesgoInherente" runat="server" Text="<%$ Resources:Idioma, lblSignificadoRI %>"
                            Visible="true"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblSignificadoRiesgo" runat="server" Text="" Visible="true"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:GridView ID="gvRangoPerdida" runat="server" AutoGenerateColumns="False">
                            <Columns>
                                <asp:BoundField DataField="idRango" SortExpression="idRango" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="80px" Visible="False">
                                    <ItemStyle Width="80px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="valorInicial" SortExpression="valorInicial" HeaderText="<%$ Resources:Idioma, lblValorInicial %>"
                                    ItemStyle-Width="130px">
                                    <ItemStyle Width="130px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="valorFinal" SortExpression="valorFinal" HeaderText="<%$ Resources:Idioma, lblValorFinal %>"
                                    ItemStyle-Width="130px">
                                    <ItemStyle Width="130px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="totalAmenazasPorNivel" SortExpression="totalAmenazasPorNivel"
                                    HeaderText="<%$ Resources:Idioma, lblTotalAmenazas %>" ItemStyle-Width="130px">
                                    <ItemStyle Width="130px"></ItemStyle>
                                </asp:BoundField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="60px">
                                    <ItemTemplate>
                                        <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER" CommandArgument='<%# Eval("idRango")%>'
                                            CausesValidation="false">
                                            <asp:Label ID="lblVer" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="60px"></ItemStyle>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
            </table>
            <div>
                <telerik:ReportViewer ID="rvReporteGraficaPerfileriesgoInherentePorCategoriaRiesgoNivel3"
                    runat="server" Height="440px" Report="Com.Audisis.Reportes.ReporteGraficaPerfileriesgoInherentePorCategoriaRiesgoNivel3, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                    ToolbarVisible="False" Width="680px">
                </telerik:ReportViewer>
            </div>
            <br />
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
            <br />
        </div>
    </div>
</asp:Content>
