﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SeleccionRiesgosAplicables.aspx.vb" Inherits="AudiControl.SeleccionRiesgosAplicables"
    Title="<%$ Resources:TituloPaginas, TitRiesgosAplicables %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioCateg" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <div class="izquierda">
                <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                    Width="120px"></asp:Label>
                <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
                <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                    Width="120px"></asp:Label>
                <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label></div>
        </div>
        <div class="header">
            <asp:Label ID="lblRiesgosAplicables" runat="server" Text="<%$ Resources:Menu, m04040301 %>"></asp:Label>
        </div>
        <br />
        <br />
        <div align="center">
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <asp:Label ID="lblNoSeleccion" runat="server" Visible="false" CssClass="colorError"
                Text="<%$ Resources: Idioma, lblNoSeleccion %>"></asp:Label>
            <br />
            <br />
            <table>
                <tr>
                    <td>
                        <div style="overflow: auto; height: 180px;">
                            <asp:GridView ID="gvListaCategoria" runat="server" AutoGenerateColumns="false" Style="text-align: left">
                                <Columns>
                                    <asp:BoundField DataField="idCategoriaRiesgo" SortExpression="idCategoriaRiesgo"
                                        HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="60px" />
                                    <asp:BoundField DataField="descripcionCategoria" SortExpression="descripcionCategoria"
                                        HeaderText="<%$ Resources:Idioma, lblCategorias %>" ItemStyle-Width="290px" />
                                    <asp:BoundField DataField="nombreModalidad" SortExpression="nombreModalidad" HeaderText="<%$ Resources: Idioma, lblModeloRiesgo %>" />
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px" HeaderText="<%$Resources:Idioma, lblAsterisco %>">
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkCategoria" runat="server" />
                                            <asp:Label ID="lblIdEstudioCategoria" runat="server" Text='<%# Eval("idEstudioCategoria") %>'
                                                Visible="false"></asp:Label>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                        </div>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnCategoriasRiesgo" runat="server" Text="" CausesValidation="False"
                Width="224px" />
            &nbsp;
            <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                CausesValidation="true" />
            &nbsp;
            <asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                Width="100px" />
            <br />
        </div>
    </div>
</asp:Content>
