﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SeleccionRiesgosCriticos.aspx.vb" Inherits="AudiControl.SeleccionRiesgosCriticos"
    Title="<%$ Resources:TituloPaginas, TitRiesgosCriticos %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioCat" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <div class="izquierda">
                <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                    Width="120px"></asp:Label>
                <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
                <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                    Width="120px"></asp:Label>
                <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
            </div>
        </div>
        <div class="header">
            <asp:Label ID="lblRiesgosCriticos" runat="server" Text="<%$ Resources:Menu, m04040303 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <asp:Label Style="text-align: center" ID="lblEliminaAmenaza" runat="server" Visible="false"
                CssClass="colorError" Text="<%$ Resources: Idioma, lblEliminaAmenaza %>"></asp:Label>
            <br />
            <table>
                <tr>
                    <td style="width: 303px; height: 24px; text-align: right;">
                        <div style="overflow: auto; width: 500px; height: 180px;">
                            <asp:GridView ID="gvListaCategoriaCricica" runat="server" AutoGenerateColumns="false">
                                <Columns>
                                    <asp:BoundField DataField="idCategoriaRiesgo" SortExpression="idCategoriaRiesgo"
                                        HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" />
                                    <asp:BoundField DataField="descripcionCategoria" SortExpression="descripcionCategoria"
                                        HeaderText="<%$ Resources:Idioma, lblCategorias %>" ItemStyle-Width="280px" />
                                    <asp:BoundField DataField="textoImpactoCategoria" HeaderText="<%$ Resources:Idioma, lblImpacto %>"
                                        ItemStyle-Width="100px" />
                                    <asp:BoundField DataField="posicionCategoria" HeaderText="<%$ Resources:Idioma, lblPrioridad %>"
                                        ItemStyle-Width="50px" />
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px" HeaderText="<%$Resources: Idioma, lblAsterisco %>">
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkCategoriaCritica" runat="server" />
                                            <asp:Label ID="lblIdEstudioCategoria" runat="server" Text='<%# Eval("idEstudioCategoria") %>'
                                                Visible="false"></asp:Label>
                                            <asp:Label ID="lblSeleccionCategoria" runat="server" Text='<%# Eval("seleccionCategoria") %>'
                                                Visible="false"></asp:Label>
                                            <asp:Label ID="lblPosicionCategoria" runat="server" Text='<%# Eval("posicionCategoria") %>'
                                                Visible="false"></asp:Label>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                        </div>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                CausesValidation="true" />
            &nbsp;
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
            &nbsp;<asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                Width="100px" />
            <br />
        </div>
    </div>
</asp:Content>
