﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarCriterioCobit.aspx.vb" Inherits="AudiControl.ListarCriterioCobit"
    Title="<%$ Resources: Menu, m0403020212 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensaje" Text="<%$ Resources:Idioma, msgEliminaCriterioCobit %>"
        runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoCriterioCobit" runat="server" Text="<%$ Resources:Menu, m0403020212 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <asp:Label ID="lblNoCriterioCobit" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            <asp:GridView ID="gvListaCriterioCobit" runat="server" AutoGenerateColumns="False"
                AllowPaging="True" PageSize="15" Width="850px">
                <Columns>
                    <asp:BoundField DataField="idCriterio" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="50px" />
                    <asp:BoundField DataField="nombreCriterio" HeaderText="<%$ Resources:Idioma, lblNombre %>" />
                    <asp:BoundField DataField="descripcionCriterio" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                        ItemStyle-Width="400px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                        <ItemTemplate>
                            <div style="text-align: center">
                                <asp:LinkButton ID="lnkPreguntas" runat="server" CommandName="PREGUNTAS" CommandArgument='<%# Eval("idCriterio")%>'>
                                    <asp:Label ID="lblPreguntas" runat="server" Text="<%$ Resources:Idioma, Criterios %>"></asp:Label></asp:LinkButton>
                                <asp:LinkButton ID="lnkEditar" runat="server" CommandArgument='<%# Eval("idCriterio")%>'
                                    CommandName="EDITAR">
                                    <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                </asp:LinkButton>
                                <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;"
                                    runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idCriterio")%>'>
                                    <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                            </div>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="btnAgregarCriterioCobit" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>" />&nbsp;
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
            <br />
        </div>
    </div>
</asp:Content>
