﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ParametroEvaluacionAuditoria.aspx.vb" Inherits="AudiControl.ParametroEvaluacionAuditoria"
    Title="<%$ Resources: Menu, m0403030107 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div align="center">
        <div class="header" style="text-align: center">
            <asp:Label ID="lblEditarParametrosMonitoreo" runat="server" Text="<%$ Resources:Menu, m0403030107 %>"></asp:Label>
        </div>
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
        <br />
        <br />
        <asp:GridView ID="gvCriterio" runat="server" AutoGenerateColumns="False">
            <Columns>
                <asp:BoundField DataField="descripcionRangoPorcentajeCumplimiento" HeaderText="<%$ Resources: Idioma, porcPO %>" />
                <asp:TemplateField HeaderText="<%$ Resources: Idioma, PESegunCumplimiento %>" HeaderStyle-HorizontalAlign="Center"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-Width="150px">
                    <ItemTemplate>
                        <asp:Label runat="server" Text='<%# Eval("idProteccionExistente") %>'></asp:Label>&nbsp;-&nbsp;
                        <asp:Label runat="server" Text='<%# Eval("ProteccionExistente") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                    HeaderText="<%$ Resources: Idioma, RRDespuesPC %>" ItemStyle-Width="150px">
                    <ItemTemplate>
                        <asp:Label runat="server" Text='<%# Eval("idRiesgoResidual") %>'></asp:Label>&nbsp;-&nbsp;
                        <asp:Label runat="server" Text='<%# Eval("RiesgoResidual") %>'></asp:Label>
                        <asp:Label ID="lblColor" runat="server" Text='<%# Eval("colorNivel") %>' Visible="false"></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <br />
        <br />
    </div>
</asp:Content>
