﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="TecnicaAuditoria.aspx.vb" Inherits="AudiControl.TecanicaAuditoria"
    Title="<%$ Resources: Tecnica %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTipoImpacto" runat="server" Text="<%$ Resources: Tecnica %>"></asp:Label>
            <asp:Label ID="lblMensaje" Text="<%$ Resources: Elimina %>" runat="server" Style="display: none"></asp:Label>
        </div>
        <div align="center">
            <asp:Label ID="lblTecnicaSeleccionadaEstudio" runat="server" Visible="False" CssClass="colorError "></asp:Label>
            <br />
            <asp:MultiView ID="mvTecnicaAuditoria" ActiveViewIndex="0" runat="server">
                <asp:View ID="vwConsulta" runat="server">
                    <br />
                    <asp:Label ID="lblIdTecnica" runat="server" Visible="false"></asp:Label>
                    <asp:GridView ID="gvTecnica" runat="server" AutoGenerateColumns="false" AllowPaging="True"
                        PageSize="15">
                        <Columns>
                            <asp:BoundField DataField="id" HeaderText="<%$ Resources: Idioma, lblId %>" ItemStyle-Width="50px" />
                            <asp:BoundField DataField="nombre" HeaderText="<%$ Resources: Nombre %>" />
                            <asp:BoundField DataField="tipo" HeaderText="<%$ Resources: Tipo %>" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("id")%>'>
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                        &nbsp;&nbsp;
                                        <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;"
                                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("id")%>'>
                                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                    </div>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Button ID="btnAdiciona" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                        Width="100px" />&nbsp;
                    <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                        CausesValidation="false" />
                    <br />
                    <br />
                </asp:View>
                <asp:View ID="vwEdicion" runat="server">
                    <br />
                    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                    <br />
                    <div align="cente">
                        <table>
                            <tr>
                                <td style="text-align: right; vertical-align: top">
                                    <asp:Label ID="lblIdentificador" runat="server" Text="<%$ Resources: Id %>"></asp:Label>
                                    <br />
                                </td>
                                <td style="text-align: left; vertical-align: top">
                                    <asp:TextBox ID="txtId" Height="20px" runat="server" Width="100px" MaxLength="10"
                                        ReadOnly="true"></asp:TextBox>
                                    <br />
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right; vertical-align: top">
                                    <asp:Label ID="lblDescripcion" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"></asp:Label>
                                    &nbsp;*
                                </td>
                                <td style="text-align: left;" valign="top">
                                    <asp:TextBox ID="txtDescripcion" runat="server" Width="400px" MaxLength="80" Height="20px"></asp:TextBox>
                                    <br />
                                    <asp:RequiredFieldValidator ID="rfvDescripcion" runat="server" ControlToValidate="txtDescripcion"
                                        Height="16px" Width="394px">
                                        <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label></asp:RequiredFieldValidator>
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right">
                                    <asp:Label ID="lblDetalle" runat="server" Text="<%$ Resources: Idioma, lblDescripcion %>"></asp:Label><br />
                                    <br />
                                </td>
                                <td style="text-align: left">
                                    <asp:TextBox ID="txtDetalle" runat="server" Width="400px" MaxLength="800" TextMode="MultiLine"
                                        Height="120px"></asp:TextBox><br />
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right">
                                    <asp:Label runat="server" Text="<%$ Resources: Tipo %>"></asp:Label>&nbsp;*
                                </td>
                                <td style="text-align: left">
                                    <asp:RadioButtonList ID="rblTipo" runat="server" RepeatDirection="Horizontal">
                                        <asp:ListItem Text="<%$ Resources: Cumplimiento %>" Value="C"></asp:ListItem>
                                        <asp:ListItem Text="<%$ Resources: Sustantiva %>" Value="S"></asp:ListItem>
                                        <asp:ListItem Text="<%$ Resources: Doble %>" Value="D"></asp:ListItem>
                                    </asp:RadioButtonList>
                                    <asp:RequiredFieldValidator runat="server" ControlToValidate="rblTipo" ErrorMessage="<%$ Resources: ObligatorioTipo %>"></asp:RequiredFieldValidator>
                                    <br />
                                </td>
                            </tr>
                        </table>
                        <br />
                        <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                            CausesValidation="true" />&nbsp;
                        <asp:Button ID="btnOtro" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                            CausesValidation="False" UseSubmitBehavior="False" Visible="false" />&nbsp;
                        <br />
                        <br />
                    </div>
                </asp:View>
            </asp:MultiView>
        </div>
    </div>
</asp:Content>
