﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="DuracionEstimadaAuditoria.aspx.vb" Inherits="AudiControl.DuracionEstimadaAuditoria"
    Title="<%$ Resources:TituloPaginas, TitDuracionEstimada %>" %>

<%@ Register Src="../../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <%--  <script language="javascript" type="text/javascript" src="../../Js/Comun.js" ></script>--%>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header" style="text-align: center">
        <asp:Label ID="lblEditarObjControl" runat="server" Text="<%$ Resources:TituloPasos, lblDuracionEstimadaAuditoria %>"></asp:Label></div>
    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
    <br />
    <div align="center">
        <table>
            <tr>
                <td align="right" style="width: 204px; height: 23px; text-align: right;" valign="Top">
                    &nbsp;<asp:Label ID="lblFechaInicial" runat="server" Text="<%$ Resources:Idioma, lblFechaInicial %>"></asp:Label>
                    &nbsp;*&nbsp;&nbsp;
                </td>
                <td style="width: 5px; height: 23px; text-align: right">
                    &nbsp;
                </td>
                <td style="width: 218px; height: 23px; text-align: left">
                    <asp:TextBox ID="txtFechaInicial" runat="server" ReadOnly="true" Height="20px" />
                    <asp:Button ID="btnCalendarioinicial" runat="server" Text="..." CausesValidation="false" />
                    <asp:Calendar ID="Calendarinicial" runat="server" Visible="False" SelectedDate="<%# DateTime.Now %>">
                    </asp:Calendar>
                    <asp:CompareValidator ID="cvtxtFechaInicio" runat="server" ErrorMessage="<%$ Resources:Idioma, lblFechaInicioValida %>"
                        ControlToValidate="txtFechaInicial" Type="Date" Operator="DataTypeCheck"></asp:CompareValidator>
                    <br />
                    <asp:RequiredFieldValidator ID="rvFechaInicial" runat="server" ControlToValidate="txtFechaInicial">
                        <asp:Label ID="Label1" runat="server" Text="<%$ Resources:Idioma, lblFechaInicioObligatoria %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td align="right" style="width: 204px; height: 40px; text-align: right;" valign="top">
                    <asp:Label ID="lblFechaFinal" runat="server" Text="<%$ Resources:Idioma, lblFechaFinal %>"></asp:Label>
                    &nbsp;*
                </td>
                <td style="width: 5px; height: 40px;">
                    &nbsp;
                </td>
                <td style="width: 218px; height: 40px; text-align: left;">
                    <asp:TextBox ID="txtFechaFinal" runat="server" ReadOnly="true" Height="20px"></asp:TextBox>
                    <asp:Button ID="btnCalendariofinal" runat="server" Text="..." CausesValidation="false" />
                    <br />
                    <asp:Calendar ID="Calendarfinal" runat="server" Visible="False"></asp:Calendar>
                    <asp:CompareValidator ID="cvtxtFechaFinal" runat="server" ErrorMessage="<%$ Resources:Idioma, lblFechaInicioValida %>"
                        ControlToValidate="txtFechaFinal" Type="Date" Operator="DataTypeCheck"></asp:CompareValidator>
                    <br />
                    <asp:RequiredFieldValidator ID="rvFechaFinal" runat="server" ControlToValidate="txtFechaFinal">
                        <asp:Label ID="lblobligafechafinal" runat="server" Text="<%$ Resources:Idioma, lblFechaFinObligatoria %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td align="right" style="width: 204px; height: 40px; text-align: right;" valign="Top">
                    <asp:Label ID="lblHorasDuracion" runat="server" Text="<%$ Resources:Idioma, lblHorasDuracion %>"></asp:Label>
                    &nbsp;*
                </td>
                <td style="width: 5px; height: 40px;">
                    &nbsp;
                </td>
                <td style="width: 218px; height: 40px; text-align: left;">
                    <asp:TextBox ID="txtHoras" runat="server" Height="20px"></asp:TextBox>
                    <br />
                    <asp:RegularExpressionValidator ID="rvhoraslabobligatorias" runat="server" ControlToValidate="txtHoras"
                        Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                        ValidationExpression="\d*\,?\d*"></asp:RegularExpressionValidator>
                    <br />
                    <asp:RequiredFieldValidator ID="rvHoraslab" runat="server" ControlToValidate="txtHoras">
                        <asp:Label ID="lbltxtHorasLab" runat="server" Text="<%$ Resources:Idioma, lblHoraslabobligatorio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
        </table>
        <table>
            <tr>
                <td align="center" colspan="3" style="height: 26px; width: 70%;">
                    <br />
                    <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                        CausesValidation="true" />
                    &nbsp;
                    <asp:Button ID="btnModificar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"
                        CausesValidation="true" />
                    &nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;
                    <br />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
