﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SelRequArchivoPermanente.aspx.vb" Inherits="AudiControl.SelRequArchivoPermanente"
    Title="<%$ Resources:TituloPaginas, TitSelReqArchivoPermanente %>" %>

<%@ Register Src="../../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <link rel="Stylesheet" type="text/css" href="~/Estilos/EstilosAudap.css" />

    <script language="javascript" type="text/javascript" src="../../Js/Comun.js"></script>

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblRelacionAmenazasRiesgos" runat="server" Text="<%$ Resources:TituloPasos, lblSeleccionarReqArchPermanente %>"></asp:Label></div>
        <br />
        <div align="center">
            <table>
                <tr>
                    <td style="width: 411px">
                        <asp:Label ID="Label3" runat="server" Text="<%$ Resources:Idioma, lblReqArchpermanenteElegible %>"
                            Font-Bold="True" Font-Size="12pt" ForeColor="#CC3300"></asp:Label>
                    </td>
                    <td style="width: 54px">
                        &nbsp;
                    </td>
                    <td align="center">
                        <asp:Label ID="Label4" runat="server" Text="<%$ Resources:Idioma, lblReqArchpermanenteSeleccionado %>"
                            Font-Bold="True" Font-Size="12pt" ForeColor="#009900"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <asp:Label ID="lblRequerimientoSeleccionObligatorio" runat="server" CssClass="colorError"
                            Text=""></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 411px">
                        <div style="overflow: auto; width: 400px; height: 225px;">
                            <asp:GridView ID="gvListaReqArchPermanente" runat="server" AutoGenerateColumns="False"
                                Width="393px" DataKeyNames="IdRequerimiento" Height="222px">
                                <Columns>
                                    <asp:TemplateField HeaderText="<%$ Resources:Idioma, lblSeleccionar %>">
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkArchPermanente" runat="server" />
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="IdRequerimiento" HeaderText="<%$ Resources:Idioma, lblId %>">
                                        <ControlStyle BackColor="#FF9933" />
                                        <HeaderStyle Height="5px" />
                                        <ItemStyle Height="5px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="Descripcion" HeaderText="<%$ Resources:Idioma, lblRequerimiento %>" />
                                </Columns>
                            </asp:GridView>
                        </div>
                        <br />
                        <br />
                    </td>
                    <td style="width: 54px">
                        <asp:Button ID="btnSelUno" runat="server" Text=" &gt; " />
                        <br />
                        <br />
                        <asp:Button ID="btnSelTodos" runat="server" Text="&gt;&gt;" />
                        <br />
                        <br />
                        <asp:Button ID="btndesSelUno" runat="server" Text=" &lt; " />
                        <br />
                        <br />
                        <asp:Button ID="btndesSelTodos" runat="server" Text="&lt;&lt;" />
                        <br />
                    </td>
                    <td style="width: 381px; text-align: left; vertical-align: top; overflow: scroll;">
                        <asp:Label runat="Server" ID="lblNoSeleccionados" Text="" Visible="false"></asp:Label>
                        <div style="overflow: auto; width: 400px; height: 225px;">
                            <asp:GridView ID="gvListaSeleccionReqArchPermanente" runat="server" AutoGenerateColumns="False"
                                Width="371px" DataKeyNames="IdRequerimiento" Height="221px">
                                <Columns>
                                    <asp:TemplateField HeaderText="<%$ Resources:Idioma, lblSeleccionar %>">
                                        <ItemTemplate>
                                            <asp:CheckBox ID="Chkdesselarchpermanente" runat="server" />
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="IdRequerimiento" HeaderText="<%$ Resources:Idioma, lblId %>">
                                        <HeaderStyle Height="5px" />
                                        <ItemStyle Height="5px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="Descripcion" HeaderText="<%$ Resources:Idioma, lblRequerimiento %>" />
                                </Columns>
                            </asp:GridView>
                        </div>
                    </td>
                </tr>
            </table>
            <br />
            <table>
                <tr>
                    <td>
                        <br />
                        <asp:Button ID="btnMantenimientoReqArchPermanente" runat="server" Text="<%$ Resources:Idioma, btnMantenimientoReqArchPermanente %>"
                            Width="307px" />
                        &nbsp; &nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                            CausesValidation="false" />
                        &nbsp;&nbsp;
                        <asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                            Width="100px" />
                    </td>
                </tr>
            </table>
            <br />
        </div>
    </div>
</asp:Content>
