﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ComparativoRiesgoResidual.aspx.vb" Inherits="AudiControl.ComparativoRiesgoResidual"
    Title="<%$ Resources:Menu, m0404070303%>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="120px"></asp:Label>&nbsp;
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                Width="120px"></asp:Label>&nbsp;
            <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
        </div>
        <div class="header">
            <asp:Label runat="server" Text="<%$ Resources: Menu, m0404070303 %>"></asp:Label>
        </div>
        <div align="center">
            <br />
            <asp:Label runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, lblPorArea %>"></asp:Label>
            <br />
            <br />
            <asp:GridView ID="gvListaAreas" runat="server" AutoGenerateColumns="false" Width="800px"
                ShowFooter="True">
                <Columns>
                    <asp:BoundField DataField="idArea" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="50px" />
                    <asp:BoundField DataField="nombreArea" HeaderText="<%$ Resources:Idioma, lblArea %>"
                        ItemStyle-Width="400px" />
                    <asp:BoundField DataField="proRI" HeaderText="<%$ Resources: Idioma, lblValorRI %>"
                        ItemStyle-Width="20px" />
                    <asp:BoundField DataField="textoProRI_AC" HeaderText="<%$ Resources:Idioma, RIAntesControles %>"
                        ItemStyle-Width="150px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                        Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                        ItemStyle-Width="150px">
                        <ItemTemplate>
                            <asp:Label ID="lblColorRI" runat="server" Text='<%# Eval("colorProRI_AC")%>' Visible="false"></asp:Label>
                        </ItemTemplate>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px"></ItemStyle>
                    </asp:TemplateField>
                    <asp:BoundField DataField="proRR_AC" HeaderText="<%$ Resources:Idioma,lblValorRR %>"
                        ItemStyle-Width="20px" />
                    <asp:BoundField DataField="textoProRR_AC" HeaderText="<%$ Resources:Idioma, RRDespuesControles %>"
                        ItemStyle-Width="150px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRR %>"
                        Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                        ItemStyle-Width="150px">
                        <ItemTemplate>
                            <asp:Label ID="lblColorRR" runat="server" Text='<%# Eval("colorProRR_AC")%>' Visible="false"></asp:Label>
                        </ItemTemplate>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px"></ItemStyle>
                    </asp:TemplateField>
                    <asp:BoundField DataField="proPorcentajeCumplimiento" HeaderText="<%$ Resources: Idioma, PorcentajeExactitud %>"
                        ItemStyle-Width="150px" DataFormatString="{0:N2}" />
                    <asp:BoundField DataField="valorProRR" HeaderText="<%$ Resources: Idioma, lblValorRR %>"
                        ItemStyle-Width="20px" />
                    <asp:BoundField DataField="descripcionProRR" HeaderText="<%$ Resources:Idioma, RRSegunPruebas %>"
                        ItemStyle-Width="150px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRR %>"
                        Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                        ItemStyle-Width="150px">
                        <ItemTemplate>
                            <asp:Label ID="lblColorRRPruebas" runat="server" Text='<%# Eval("colorProRR")%>'
                                Visible="false"></asp:Label>
                        </ItemTemplate>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px"></ItemStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <br />
            <telerik:ReportViewer ID="rvGrafica" runat="server" Width="800px" Height="400px"
                ToolbarVisible="false" Report="Com.Audisis.Reportes.GraficaComparativoConsolidadoArea, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
            </telerik:ReportViewer>
            <br />
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>" />
            <br />
        </div>
        <br />
        <br />
    </div>
</asp:Content>
