﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="EvaluarExactitud.aspx.vb" Inherits="AudiControl.EvaluarExactitud"
    Title="<%$ Resources:menu, m0404070202 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdPerfil" runat="server" Style="display: none"></asp:Label>
    <div class="headerContent ">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblResponderCuestionario" runat="server" Text="<%$ Resources: Menu, m0404070202 %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <asp:Label ID="lblSeleccionUnSitio" runat="server" Text="<%$ Resources:Idioma, SeleccionSitio %>"></asp:Label>
        :&nbsp;<asp:DropDownList ID="drpSitio" runat="server" AutoPostBack="true">
        </asp:DropDownList>
        <br />
        <br />
        <asp:Label ID="lblSeleccionUnaAmenaza" runat="server" Text="<%$ Resources:Idioma,lblSeleccionUnaAmenaza %>"></asp:Label>
        :&nbsp;<asp:DropDownList ID="drpAmenaza" runat="server" AutoPostBack="true">
        </asp:DropDownList>
        <br />
        <br />
        <table runat="server" visible="true">
            <tr>
                <td>
                    <asp:GridView ID="gvResultadosEvaluacion" runat="server" AutoGenerateColumns="false"
                        Width="870px">
                        <Columns>
                            <asp:BoundField DataField="puntajeMaximoPosible" SortExpression="puntajeMaximoPosible"
                                HeaderText="<%$ Resources:Idioma, PMPPruebas %>" ItemStyle-Width="200px" />
                            <asp:BoundField DataField="puntajeObtenido" SortExpression="puntajeObtenido" HeaderText="<%$ Resources:Idioma, POPruebas %>"
                                ItemStyle-Width="200px" />
                            <asp:BoundField DataField="porcentajeCumplimiento" HeaderText="<%$ Resources:Idioma, PorcentajeExactitud %>"
                                ItemStyle-Width="300px" />
                            <asp:BoundField DataField="descripcionProteccionexistente" HeaderText="<%$ Resources:Idioma, PEDespuesPC %>"
                                ItemStyle-Width="150px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                                ItemStyle-Width="150px">
                                <ItemTemplate>
                                    <asp:Label ID="lblColorPE" runat="server" Text='<%# Eval("ColorProteccion")%>' Visible="false"></asp:Label>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px"></ItemStyle>
                            </asp:TemplateField>
                            <asp:BoundField DataField="descripcionRiesgoResidual" HeaderText="<%$ Resources:Idioma, RRDespuesPC %>"
                                ItemStyle-Width="200px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRR %>"
                                Visible="false" ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top"
                                ItemStyle-Width="200px">
                                <ItemTemplate>
                                    <asp:Label ID="lblColorRR" runat="server" Text='<%# Eval("ColorRiesgoResidual")%>'
                                        Visible="false"></asp:Label>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px"></ItemStyle>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Label ID="lblControlesVerificados" runat="server" CssClass="subtituloSegundoNivel"
                        Text="<%$ Resources:Idioma, DatosVerificados %>"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:GridView ID="gvCifra" runat="server" AutoGenerateColumns="false" Width="870px">
                        <Columns>
                            <asp:BoundField DataField="idCifra" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                HeaderText="<%$ Resources: Idioma, lblId %>" />
                            <asp:BoundField DataField="descripcion" HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources: Idioma, DatoVerificado %>" />
                            <asp:BoundField DataField="texto" HeaderText="<%$ Resources: Idioma, lblRespuesta %>" />
                            <asp:BoundField DataField="valorRespuesta" HeaderText="<%$ Resources: Idioma, lblPO %>" />
                        </Columns>
                    </asp:GridView>
                    <br />
                    <div>
                        <asp:Label ID="lblHallazgoAuditoria" runat="server" CssClass="subtitulo"></asp:Label><br />
                        <asp:Label ID="lblDescribeHallazgo" runat="server" CssClass="subtituloSegundoNivel"></asp:Label><br />
                    </div>
                    <br />
                </td>
            </tr>
        </table>
        <asp:DropDownList ID="drpReportes" runat="server">
            <asp:ListItem Text="<%$ Resources:Idioma, ReporteEvaluacionExactitud %>" Value="2"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources:Idioma, ReporteHallazgoPruebaSustantiva %>" Value="3"></asp:ListItem>
        </asp:DropDownList>
        &nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnreporte %>" />
        <br />
    </div>
</asp:Content>
