<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="InformeAuditoria.aspx.vb" Inherits="AudiControl.InformeAuditoria"
    Title="" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdMenu" runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources: Idioma, lblNombreEmpresa %>"
            Width="130px"></asp:Label>
        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
            Width="130px"></asp:Label>
        <asp:Label ID="lblNombreEstudio" runat="server"></asp:Label>
    </div>
    <br />
    <div class="header">
        <asp:Label ID="lblInformeAreaySitio" runat="server"></asp:Label>
    </div>
    <br />
    <div align="center">
        <asp:Label ID="lblFaltanSitiosoHallazgos" runat="server" CssClass="colorError" Style="display: none"></asp:Label>&nbsp;
        <asp:Label ID="lblNoSitiosSel" CssClass="colorError" runat="server" Visible="false"></asp:Label>
        <asp:Label ID="lblFalta" CssClass="colorError" runat="server" Visible="false"></asp:Label>
        <br />
        <br />
        <div style="overflow: auto; width: 700px; height: 250px;">
            <asp:GridView ID="gvSitio" runat="server" AutoGenerateColumns="false" Width="600px"
                Style="text-align: center" DataKeyNames="idSitio,idSitioSeleccionado">
                <Columns>
                    <asp:TemplateField HeaderStyle-Width="25px">
                        <HeaderTemplate>
                            <asp:CheckBox ID="chkTodos" runat="server" AutoPostBack="True" OnCheckedChanged="chkTodos_CheckedChanged"
                                Text="<%$ Resources:Idioma, lblTodo %>" />
                        </HeaderTemplate>
                        <ItemTemplate>
                            <asp:CheckBox ID="chkSitio" runat="server" />
                            <asp:Label ID="lblIdSitioSeleccionado" runat="server" Visible="false"></asp:Label>
                            <asp:Label ID="lblSitioSeleccionado" runat="server" Text='<%# Eval("idSitioSeleccionado")%>'
                                Visible="false"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="idSitio" HeaderText="<%$ Resources: Idioma, idSitio %>"
                        ItemStyle-Width="50px" />
                    <asp:BoundField DataField="idArea" HeaderText="<%$ Resources: Idioma, idArea %>" />
                    <asp:BoundField DataField="nombreArea" HeaderText="<%$ Resources: Idioma, lblArea %>" />
                    <asp:BoundField DataField="idOficina" HeaderText="<%$ Resources: Idioma, idOficina %>"
                        ItemStyle-Width="50px" />
                    <asp:BoundField DataField="nombreOficina" HeaderText="<%$ Resources: Idioma, lblOficina %>" />
                    <asp:BoundField DataField="idZona" HeaderText="<%$ Resources: Idioma, idRegional %>"
                        ItemStyle-Width="50px" />
                    <asp:BoundField DataField="nombreZona" HeaderText="<%$ Resources: Idioma, Regional %>" />
                    <asp:BoundField DataField="idSitioSeleccionado" Visible="false" />
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="btnImprimirSitio" runat="server" Text="<%$ Resources:Idioma, btnImprimir %>"
                CausesValidation="false" />
        </div>
        <br />
    </div>
</asp:Content>
