<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ResultadoEvaluacionExactitud.aspx.vb" Inherits="AudiControl.ResultadoEvaluacionExactitud"
    Title="<%$ Resources:Menu, m0404070204 %>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdPerfil" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblCategoriaSeleccionada" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEstudio" runat="server"></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="lblVerSAPE" runat="server" Text="<%$ Resources: ResultadosPSSitioyAmenaza %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblSeleccionUnSitio" runat="server" Text="<%$ Resources:Idioma,SeleccionSitio %>"
                CssClass="subtitulo "></asp:Label>
            <br />
            <br />
            <asp:DropDownList ID="drpSitioSeleccionado" runat="server" AutoPostBack="true">
            </asp:DropDownList>
            <br />
            <br />
            <asp:Label ID="lblopinionAuditor" runat="server" Text="<%$ Resources:Idioma, lblOpinionAuditor %>"
                CssClass="subtitulo "></asp:Label>
            &nbsp; *
            <br />
            <asp:Label ID="lblExito" runat="server" CssClass="colorExito"></asp:Label>
            <br />
            <asp:TextBox ID="txtopinionAuditor" runat="server" Height="52px" TextMode="MultiLine"
                Width="710px"></asp:TextBox>
            <br />
            <asp:RequiredFieldValidator ID="rfvtxtopinionAuditor" runat="server" ControlToValidate="txtopinionAuditor">
                <asp:Label ID="lblDescripcionObligatoria" runat="server" Text="<%$ Resources:Idioma, lblOpinionAuditorObligatoria %>"></asp:Label>
            </asp:RequiredFieldValidator>
            <br />
            <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                CausesValidation="true" />
            <br />
        </div>
        <div class="alineacionIzquierda">
            <asp:Menu ID="MenuPestanas" runat="server" BorderColor="White" BorderStyle="solid"
                BorderWidth="1px" Font-Bold="true" OnMenuItemClick="MenuPestanas_MenuItemClick"
                Orientation="Horizontal">
                <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
                <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
                <DynamicHoverStyle BackColor="LightCoral" Font-Bold="True" Font-Size="Medium" ForeColor="White" />
                <StaticMenuStyle BackColor="#F4E8AF" BorderColor="white" BorderWidth="1px" ForeColor="Black" />
                <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
                <StaticHoverStyle BackColor="orange" BorderColor="Black" BorderStyle="Inset" BorderWidth="1px"
                    Font-Bold="True" ForeColor="White" />
                <StaticSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="solid"
                    BorderWidth="1px" />
                <DynamicSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="Solid"
                    BorderWidth="1px" />
                <Items>
                    <asp:MenuItem Text="<%$ Resources:Idioma, ResumenXAmenaza %>" Value="0"></asp:MenuItem>
                    <asp:MenuItem Text="<%$ Resources: MotivoNoConformidad %>" Value="1"></asp:MenuItem>
                </Items>
            </asp:Menu>
        </div>
        <div align="center">
            <asp:MultiView ID="mvResultadoEvaluacionPorSitioAmenaza" runat="server" ActiveViewIndex="0">
                <asp:View ID="vwResultadosporAmenaza" runat="server">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td align="center" class="TabArea" style="width: 100%">
                                <br />
                                <asp:Label ID="lblResumencumplimiento" runat="server" CssClass="subtitulo" Text="<%$ Resources: ResumenConfiabilidad %>"></asp:Label>
                                <br />
                                <br />
                                <table>
                                    <tr>
                                        <td align="center">
                                            <div style="overflow: auto; height: 250px;">
                                                <asp:GridView ID="gvListaAmenaza" runat="server" AutoGenerateColumns="false" ShowFooter="True">
                                                    <Columns>
                                                        <asp:BoundField DataField="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>" />
                                                        <asp:BoundField DataField="descripcionAmenaza" HeaderText="<%$ Resources:Idioma, lblAmenaza %>" />
                                                        <asp:BoundField DataField="valorProteccion" HeaderText="<%$ Resources: Idioma, lblValorPE %>"
                                                            ItemStyle-Width="30px" />
                                                        <asp:TemplateField HeaderText="<%$ Resources:Idioma, PEControlInterno %>" ItemStyle-Width="130px">
                                                            <ItemTemplate>
                                                                <asp:Label ID="lblPeE5" Text='<%# Eval("PEEtapa5") %>' runat="server"></asp:Label>
                                                                <asp:Label ID="colorPEEtapa5" Text='<%# Eval("colorNivel") %>' runat="server" Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="puntajeMaximoPosible" HeaderText="<%$ Resources: PMP %>" />
                                                        <asp:BoundField DataField="porcentajeCumplimiento" HeaderText="<%$ Resources: Idioma, PorcentajeExactitud %>" />
                                                        <asp:BoundField DataField="idProteccionExistente" HeaderText="<%$ Resources: Idioma, lblValorPE %>"
                                                            ItemStyle-Width="30px" />
                                                        <asp:TemplateField HeaderText="<%$ Resources: PE %>" ItemStyle-Width="130px">
                                                            <ItemTemplate>
                                                                <asp:Label ID="lblPeE7" runat="server" Text='<%# Eval("PEEtapa7") %>'></asp:Label>
                                                                <asp:Label ID="colorPEEtapa7" runat="server" Text='<%# Eval("colorPEEtapa7") %>'
                                                                    Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="idRiesgoResidual" HeaderText="<%$ Resources: Idioma, lblValorRR %>"
                                                            ItemStyle-Width="30px" />
                                                        <asp:TemplateField HeaderText="<%$ Resources: RR %>" ItemStyle-Width="130px">
                                                            <ItemTemplate>
                                                                <asp:Label ID="lblRrE7" runat="server" Text='<%# Eval("RREtapa7") %>'></asp:Label>
                                                                <asp:Label ID="colorRREtapa7" runat="server" Text='<%# Eval("colorRREtapa7") %>'
                                                                    Visible="false"></asp:Label>
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="Hallazgo" HeaderText="<%$ Resources: Idioma, lblHallazgosPruebasSustantivas %>" />
                                                    </Columns>
                                                </asp:GridView>
                                            </div>
                                            <br />
                                            <div align="center">
                                                <telerik:ReportViewer runat="server" Height="400px" ToolbarVisible="False" Width="700px"
                                                    Report="Com.Audisis.Reportes.GraficaEvaluacionPorAmenaza, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                                                    ShowRefreshButton="False" ID="rvGraficaResultadoAmenaza">
                                                </telerik:ReportViewer>
                                                <br />
                                                <asp:Button ID="btnReporteResultadosAmenazasySitio" runat="server" CausesValidation="False"
                                                    Text="<%$ Resources:Idioma, btnReporte %>" />
                                                <br />
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                                <br />
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="vwMotivosIncumplimiento" runat="server">
                    <table align="center" cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td align="center" class="TabArea" style="width: 100%;">
                                <br />
                                <asp:Label ID="lblMotivosIncumplimiento" runat="server" CssClass="subtitulo" Text="<%$ Resources: MotivoNoConformidad %>"></asp:Label>
                                <br />
                                <br />
                                <div style="overflow: auto; height: 250px;">
                                    <asp:GridView ID="gvMotivos" runat="server" AutoGenerateColumns="false" ShowFooter="True"
                                        Width="80%">
                                        <Columns>
                                            <asp:BoundField DataField="motivo" HeaderText="<%$ Resources: MotivoNoConformidad %>"
                                                ItemStyle-Width="70%" />
                                            <asp:BoundField DataField="Veces" HeaderText="<%$ Resources:Idioma, CantidadVeces %>"
                                                SortExpression="numeroveces"></asp:BoundField>
                                            <asp:BoundField DataField="porcentaje" HeaderText="<%$ Resources:Idioma, porcentajeMotivos %>"
                                                DataFormatString="{0:F2}" SortExpression="porcentaje"></asp:BoundField>
                                        </Columns>
                                    </asp:GridView>
                                </div>
                                <br />
                                <div align="center">
                                    <telerik:ReportViewer ID="rvGraficaResultadoMotivo" runat="server" Height="400px"
                                        Width="700px" ToolbarVisible="False" ShowRefreshButton="False" Report="Com.Audisis.Reportes.GraficaEvaluacionPorMotivo, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
                                    </telerik:ReportViewer>
                                    <br />
                                    <asp:Button ID="btnReporteEstadisticaMotivos" runat="server" CausesValidation="False"
                                        Text="<%$ Resources:Idioma, btnReporte %>" />
                                </div>
                                <br />
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </asp:View>
            </asp:MultiView>
        </div>
        <br />
        <br />
        <br />
    </div>
</asp:Content>
