﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="DetallarPlanInterno.aspx.vb" Inherits="AudiControl.DetallarPlanInterno"
    Title="<%$ Resources:TituloPaginas, TitEditarTrabajoProcesos %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresaAuditada" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresaAuditora" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTrabajoAudCandidato" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgeliminaAuditor %>"
        runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensajeBorrado2" Text="<%$ Resources:Idioma, msgeliminaGasto %>"
        runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblMantTrabajoCandAudProcesos %>"></asp:Label>
        </div>
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <div align="center">
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <table>
                <tr>
                    <td class="alineacionIzquierda">
                        <asp:Label ID="lblTrabajoAuditarTitulo" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                        &nbsp;<asp:Label ID="lblTrabajoAuditar" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <asp:Label ID="lblExito" runat="server" CssClass="colorExito" Visible="False"></asp:Label>
        <br />
        <div class="alineacionIzquierda">
            <asp:Menu ID="MenuPestanas" runat="server" Font-Bold="true" Orientation="Horizontal"
                BorderStyle="solid" BorderColor="White" BorderWidth="1px" OnMenuItemClick="MenuPestanas_MenuItemClick">
                <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
                <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
                <DynamicHoverStyle ForeColor="White" Font-Bold="True" Font-Size="Medium" BackColor="LightCoral" />
                <StaticMenuStyle BackColor="#F4E8AF" BorderWidth="1px" BorderColor="white" ForeColor="Black" />
                <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
                <StaticHoverStyle ForeColor="White" Font-Bold="True" BackColor="orange" BorderColor="Black"
                    BorderStyle="Inset" BorderWidth="1px" />
                <StaticSelectedStyle BorderColor="Black" BorderWidth="1px" BorderStyle="solid" BackColor="#FAFAE7" />
                <DynamicSelectedStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" BackColor="#FAFAE7" />
                <Items>
                    <asp:MenuItem Text="0" Value="0"></asp:MenuItem>
                    <asp:MenuItem Text="1" Value="1"></asp:MenuItem>
                    <asp:MenuItem Text="2" Value="2"></asp:MenuItem>
                </Items>
            </asp:Menu>
        </div>
        <div class="alineacionIzquierda" style="width: 100%">
            <asp:MultiView ID="MultiView1" runat="server" ActiveViewIndex="0">
                <asp:View ID="Tab1" runat="server">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td class="TabArea" style="width: 100%" align="center">
                                <br />
                                <table style="margin-right: 0px">
                                    <tr>
                                        <td style="width: 235px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblAlcance" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblAlcance %>"
                                                Width="45px"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 317px;">
                                            <asp:TextBox ID="txtAlcance" runat="server" Height="44px" MaxLength="5000" TextMode="MultiLine"
                                                Width="349px"></asp:TextBox>
                                            <%-- <asp:RegularExpressionValidator ID="rvtxtAlcance" runat="server" 
                                            ControlToValidate="txtAlcance" Display="Dynamic" 
                                            ErrorMessage="<%$ Resources:Idioma, lblValidaLetras %>"
                                            ValidationExpression="^[a-zA-Z]*$"></asp:RegularExpressionValidator>--%>
                                            <asp:RequiredFieldValidator ID="rfvAlcance" runat="server" ControlToValidate="txtAlcance">
                                                <asp:Label ID="lblAlcenceObligatorio" runat="server" Text="<%$ Resources:Idioma, lblAlcanceObligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                        </td>
                                        <td align="left" style="text-align: left">
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 235px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblFechaInicio" runat="server" Text="<%$ Resources:Idioma, lblFechaInicio %>"></asp:Label>
                                            <asp:Label ID="lblAsterisco5" runat="server" Text="<%$ Resources:Idioma, lblAsterisco %>"></asp:Label>
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 317px;">
                                            <asp:TextBox ID="txtFechaInicio" runat="server" Height="20px" Width="101px"></asp:TextBox>
                                            <asp:Button ID="btnSeleccionarFechaInicio" runat="server" CausesValidation="False"
                                                ForeColor="Black" Height="17px" Text="..." Width="22px" />
                                            <asp:CompareValidator ID="cvtxtFechaInicio" runat="server" ControlToValidate="txtFechaInicio"
                                                ErrorMessage="<%$ Resources:Idioma, lblFechaInicioValida %>" Operator="DataTypeCheck"
                                                Type="Date"></asp:CompareValidator>
                                            &nbsp;
                                            <asp:RequiredFieldValidator ID="rvFEchaobliga" runat="server" ControlToValidate="txtFechaInicio">
                                                <asp:Label ID="lblFechainicioobligatoria" runat="server" Text="<%$ Resources:Idioma, lblFechaInicioObligatoria %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <asp:Calendar ID="cdFechaInicio" runat="server" BackColor="White" BorderColor="#7798DD"
                                                BorderWidth="1px" CellPadding="1" DayNameFormat="Shortest" Font-Names="Verdana"
                                                Font-Size="8pt" ForeColor="#003399" Height="175px" NextPrevFormat="ShortMonth"
                                                SelectionMode="Day" Visible="false" Width="216px">
                                                <SelectedDayStyle BackColor="#009999" Font-Bold="True" ForeColor="#CCFF99" />
                                                <SelectorStyle BackColor="#99CCCC" ForeColor="#336666" />
                                                <WeekendDayStyle BackColor="#CCCCCC" />
                                                <TodayDayStyle BackColor="#99CCCC" ForeColor="White" />
                                                <OtherMonthDayStyle ForeColor="#999999" />
                                                <NextPrevStyle Font-Size="8pt" ForeColor="#CCCCFF" />
                                                <DayHeaderStyle BackColor="#99CCCC" ForeColor="#336666" Height="1px" />
                                                <TitleStyle BackColor="#003399" BorderColor="#3366CC" BorderWidth="1px" Font-Bold="True"
                                                    Font-Size="10pt" ForeColor="#CCCCFF" Height="25px" />
                                            </asp:Calendar>
                                        </td>
                                        <td align="left" style="text-align: left">
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 235px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblDurEstimada" runat="server" Text="<%$ Resources:Idioma, lblDurEstimada %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 317px;" valign="Top">
                                            <asp:TextBox ID="txtDurEstimada" runat="server" Height="20px"></asp:TextBox>
                                            <asp:RegularExpressionValidator ID="rvNumerosDuracionEstimada" runat="server" ControlToValidate="txtDurEstimada"
                                                Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                                ValidationExpression="\d*\,?\d*"></asp:RegularExpressionValidator>
                                            &nbsp;
                                            <asp:RequiredFieldValidator ID="rvDurEstimada" runat="server" ControlToValidate="txtDurEstimada">
                                                <asp:Label ID="lblDurEstimadaObligatoria" runat="server" Text="<%$ Resources:Idioma, lblDurEstimadaObligatoria %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <br />
                                        </td>
                                        <td align="left" style="text-align: left">
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 235px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblCantAuditores" runat="server" Text="<%$ Resources:Idioma, lblCantAuditores %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="left" style="text-align: left; width: 317px;">
                                            &nbsp;<asp:TextBox ID="txtCantAuditores" runat="server" Width="70px" Height="20px"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rfvCantidadAuditories" runat="server" ControlToValidate="txtCantAuditores">
                                                <asp:Label ID="lblCantidadAuditoresObligatoria" runat="server" Text="<%$ Resources:Idioma, lbCantidaAuditoresObligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <asp:RegularExpressionValidator ID="rvnumeroCAntidadAuditores" runat="server" ControlToValidate="txtCantAuditores"
                                                Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                                ValidationExpression="\d+"></asp:RegularExpressionValidator>
                                        </td>
                                        <td align="left" style="text-align: left">
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 235px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblHorasLab" runat="server" Text="<%$ Resources:Idioma, lblHorasLab %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="Left" style="width: 317px; text-align: left;">
                                            <asp:TextBox ID="txtHorasLab" runat="server" Width="70px" Height="20px"></asp:TextBox>
                                            <asp:RegularExpressionValidator ID="rvhoraslabobligatorias" runat="server" ControlToValidate="txtHorasLab"
                                                Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                                ValidationExpression="\d*\,?\d*"></asp:RegularExpressionValidator>
                                            <asp:RequiredFieldValidator ID="rvtxtHoraslab" runat="server" ControlToValidate="txtHorasLab">
                                                <asp:Label ID="lbltxtHorasLab" runat="server" Text="<%$ Resources:Idioma, lblHoraslabobligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                        </td>
                                        <td align="left" style="text-align: left">
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 235px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblDiasFeriados0" runat="server" Text="<%$ Resources:Idioma, lblNumDiasFeriados %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 8px; height: 23px;">
                                            &nbsp;
                                        </td>
                                        <td align="Left" style="width: 317px; text-align: left;">
                                            <asp:TextBox ID="txtDiasFeriados" runat="server" Width="70px" Height="20px"></asp:TextBox>
                                            &nbsp;&nbsp;<asp:RegularExpressionValidator ID="rvnumerodiasferiados0" runat="server"
                                                ControlToValidate="txtDiasFeriados" Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                                ValidationExpression="\d+"></asp:RegularExpressionValidator>
                                            &nbsp;
                                            <asp:RequiredFieldValidator ID="rvDiasFeriados" runat="server" ControlToValidate="txtDiasFeriados">
                                                <asp:Label ID="lblDiasFeriados" runat="server" Text="<%$ Resources:Idioma, lbDiasFeriadosObligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                        </td>
                                        <td align="left" style="text-align: left">
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="center" colspan="3">
                                            <asp:Label ID="lblHoraslabmayordurest" runat="server" CssClass="colorError" Text="<%$ Resources:Idioma, lblHoraslabmenorHorasestima %>"
                                                Visible="false"></asp:Label>
                                            <br />
                                            <asp:Button ID="btnCalcularSemReq" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnguardar %>"
                                                Width="98px" />
                                        </td>
                                        <td>
                                            &nbsp;
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                <table>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblDiasHanReqSinFeriados" runat="server" Text="<%$ Resources:Idioma, lblDiasHabReq %>"></asp:Label>
                                        </td>
                                        <td style="width: 13px; height: 23px; text-align: right;">
                                            &nbsp;
                                        </td>
                                        <td style="text-align: left; width: 233px; height: 23px;">
                                            <asp:Label ID="lblDiasHabilesSinFeriadosBD" runat="server" Text=""></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblDiasCalendario" runat="server" Text="<%$ Resources:Idioma, lblDiasCalend %>"></asp:Label>
                                        </td>
                                        <td style="width: 13px; height: 23px; text-align: right;">
                                            &nbsp;
                                        </td>
                                        <td style="text-align: left; width: 233px; height: 23px;">
                                            <asp:Label ID="lblDiasCalendarioSinFeriadosBD" runat="server"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblFechaFinsinFeriados" runat="server" Text="<%$ Resources:Idioma, lblFechaFinSinFeriados %>"></asp:Label>
                                        </td>
                                        <td style="width: 13px; height: 23px; text-align: right;">
                                            &nbsp;
                                        </td>
                                        <td style="text-align: left; width: 233px; height: 23px;">
                                            <asp:Label ID="lblFechaFinSinFeriadosBD" runat="server" Text=""></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblFechaFinsinFeriados2" runat="server" Text="<%$ Resources:Idioma, lblFechaFinConFeriados %>"></asp:Label>
                                        </td>
                                        <td style="width: 13px; height: 23px; text-align: right;">
                                            &nbsp;
                                        </td>
                                        <td style="text-align: left; width: 233px; height: 23px;">
                                            <asp:Label ID="lblFechaFinConFeriadosBD" runat="server"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblSemenasRequeridasSinFeriados2" runat="server" Text="<%$ Resources:Idioma, lblSemanaReq %>"></asp:Label>
                                        </td>
                                        <td style="width: 13px; height: 23px; text-align: right;">
                                            &nbsp;
                                        </td>
                                        <td style="text-align: left; width: 233px; height: 23px;">
                                            <asp:Label ID="lblSemanaReq" runat="server"></asp:Label>
                                        </td>
                                    </tr>
                                </table>
                                <table>
                                    <tr>
                                        <td style="text-align: center;">
                                            <br />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="TabAuditores" runat="server">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td class="TabArea" style="width: 100%" align="center">
                                <br />
                                <table border="0" cellpadding="0" cellspacing="0" style="width: 46%;" align="center">
                                    <tr>
                                        <td style="width: 403px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblCantidadAuditores" runat="server" Text="<%$ Resources:Idioma, lblCantAuditores %>"></asp:Label>
                                        </td>
                                        <td align="left" style="width: 4px">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda" style="width: 608px">
                                            <asp:Label ID="lblCantidadAuditoresInformativo" runat="server" Text=""></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 403px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblResponsabilidad" runat="server" Text="<%$ Resources:Idioma, NivelResponsabilidad %>"></asp:Label>
                                            *
                                        </td>
                                        <td align="left" style="width: 4px">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda" style="width: 608px">
                                            <asp:DropDownList ID="drpResponsabilidad" runat="server" AutoPostBack="True">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 403px; height: 23px; text-align: right;">
                                            <asp:Label ID="Label7" runat="server" Text="<%$ Resources:Idioma, lblCargo %>"></asp:Label>
                                            *
                                        </td>
                                        <td align="left" style="width: 4px">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda" style="width: 608px">
                                            <asp:DropDownList ID="drpCargo" runat="server">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 403px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblNombre" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"></asp:Label>
                                            *
                                        </td>
                                        <td align="left" style="width: 4px">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda" style="width: 608px">
                                            <asp:TextBox ID="txtDescripcionAuditoria" runat="server" MaxLength="150" Width="282px"
                                                Height="20px"></asp:TextBox>
                                            <asp:TextBox ID="txtIdResponsable" runat="server" MaxLength="150" Visible="false"
                                                Width="118px" Height="20px"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rvAuditorobligatorio" runat="server" ControlToValidate="txtDescripcionAuditoria">
                                                <asp:Label ID="lblAuditorobligatorio" runat="server" Text="<%$ Resources:Idioma, lblauditorplanobligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 403px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblporcentajeHoras" runat="server" Text="<%$ Resources:Idioma, PorcentajeHorasAsignadas %>"></asp:Label>
                                        </td>
                                        <td align="left" style="width: 4px">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda" style="width: 608px">
                                            <asp:TextBox ID="txtHorasAsignadas" runat="server" Height="20px"></asp:TextBox>
                                            <asp:RangeValidator ID="rvtxtHorasAsignadas" runat="server" ControlToValidate="txtHorasAsignadas"
                                                ErrorMessage="<%$ Resources:Idioma, lblRangoPorcentajeHoras %>" MaximumValue="100"
                                                MinimumValue="0" Type="Integer"></asp:RangeValidator>
                                            <asp:RequiredFieldValidator ID="rvobligatxtHorasAsignadas" runat="server" ControlToValidate="txtHorasAsignadas">
                                                <asp:Label ID="lbltxtHorasAsignadas" runat="server" Text="<%$ Resources:Idioma, lblporcentajeHorasObligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <asp:RegularExpressionValidator ID="rvporcentajeNumero" runat="server" ControlToValidate="txtHorasAsignadas"
                                                Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                                ValidationExpression="\d*\,?\d*">
                                            </asp:RegularExpressionValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 403px; height: 23px; text-align: right;">
                                            <asp:Label ID="lbllblCostoHora" runat="server" Text="<%$ Resources:Idioma, lblCostoHora %>"></asp:Label>
                                        </td>
                                        <td align="left" style="width: 4px">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda" style="width: 608px">
                                            <asp:TextBox ID="txtValorHora" runat="server" Height="20px"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rvtxtValorHora" runat="server" ControlToValidate="txtValorHora">
                                                <asp:Label ID="Label2" runat="server" Text="<%$ Resources:Idioma, lblValorHoraObliga %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <asp:RegularExpressionValidator ID="numtxtValorHora" runat="server" ControlToValidate="txtValorHora"
                                                Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                                ValidationExpression="\d*\,?\d*">
                                            </asp:RegularExpressionValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="center" style="width: 608px" colspan="3">
                                            <asp:Button ID="btnGuardarAud" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnGuardar %>" />
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                <br />
                                <asp:Label ID="lblAuditores" runat="server" CssClass="subtituloTercerNivel" Height="22px"
                                    Text="<%$ Resources:Idioma, lblAuditores %>" Width="183px"></asp:Label>
                                <br />
                                <br />
                                <asp:GridView ID="gvResponsables" runat="server" AllowPaging="True" AutoGenerateColumns="False"
                                    PageSize="6" Style="text-align: center;">
                                    <Columns>
                                        <asp:BoundField DataField="DescripcionNivel" HeaderText="<%$ Resources:Idioma, NivelResponsabilidad %>" />
                                        <asp:BoundField DataField="idResponsableTrabajoAudCandidato" HeaderText="<%$ Resources:Idioma, lblTrabajo %>"
                                            ItemStyle-Width="10px" SortExpression="idResponsableTrabajoAudCandidato" Visible="false">
                                            <ItemStyle Width="10px" />
                                        </asp:BoundField>
                                        <asp:BoundField DataField="responsable" HeaderText="<%$ Resources:Idioma, lblAuditor %>"
                                            ItemStyle-Width="400px" SortExpression="responsable">
                                            <ItemStyle Width="400px" />
                                        </asp:BoundField>
                                        <asp:BoundField DataField="DescripcionCargoNivel" HeaderText="<%$ Resources:Idioma, lblCargo %>" />
                                        <asp:BoundField DataField="NoHoras" HeaderText="<%$ Resources:Idioma, PorcentajeHoras %>" />
                                        <asp:BoundField DataField="NumeroHorasporAuditor" HeaderText="<%$ Resources:Idioma, CantidadHoras %>" />
                                        <asp:BoundField DataField="vlHora" HeaderText="<%$ Resources:Idioma, lblCostoHora %>" />
                                        <asp:BoundField DataField="costoTotalporAuditor" HeaderText="<%$ Resources:Idioma, CostoTotal %>" />
                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                            ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                                            <ItemTemplate>
                                                <asp:LinkButton ID="lnkEditar" runat="server" CausesValidation="false" CommandArgument='<%# Eval("idResponsableTrabajoAudCandidato")%>'
                                                    CommandName="EDITAR">
                                                    <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                                </asp:LinkButton>
                                                &nbsp;&nbsp;
                                                <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                                    runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idResponsableTrabajoAudCandidato")%>'
                                                    CausesValidation="false">
                                                    <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                            </ItemTemplate>
                                            <HeaderStyle HorizontalAlign="Center" />
                                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="200px" />
                                        </asp:TemplateField>
                                    </Columns>
                                </asp:GridView>
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="TabOtrosGastos" runat="server">
                    <table cellpadding="0" cellspacing="0" width="100%">
                        <tr valign="top">
                            <td class="TabArea" style="width: 100%" align="center">
                                <br />
                                <table align="center" border="0" cellpadding="0" cellspacing="0" style="width: 35%;">
                                    <tr>
                                        <td style="width: 233px; text-align: right;">
                                            <asp:Label ID="lblIdOtrosGastos" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblId %>"
                                                Width="153px"></asp:Label>
                                            *<br />
                                            <br />
                                        </td>
                                        <td style="width: 8px">
                                        </td>
                                        <td align="left" style="text-align: left">
                                            <asp:TextBox ID="TxtIdOtroGasto" runat="server" Height="22px" ReadOnly="true" Width="82px"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblDescribeotrosgastos" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                                            *
                                        </td>
                                        <td align="left" style="width: 9px">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda">
                                            <asp:TextBox ID="txtDescripcionConsumo" runat="server" MaxLength="150" Width="282px"
                                                Height="20px"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rvtxtDescripcionConsumo" runat="server" ControlToValidate="txtDescripcionConsumo">
                                                <asp:Label ID="lbltxtDescripcionConsumo" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="Label1" runat="server" Text="<%$ Resources:Idioma, lblPrecio %>"></asp:Label>
                                            *
                                        </td>
                                        <td align="left" style="width: 9px">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda">
                                            <asp:TextBox ID="txtPrecio" runat="server" MaxLength="150" Width="74px" Height="20px"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rvtxtPrecio" runat="server" ControlToValidate="txtPrecio">
                                                <asp:Label ID="lblPrecioobligatorio" runat="server" Text="<%$ Resources:Idioma, lblPrecioObligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <asp:RegularExpressionValidator ID="rvprecioobligatorio" runat="server" ControlToValidate="txtprecio"
                                                Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                                ValidationExpression="\d*\,?\d*">
                                            </asp:RegularExpressionValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblCantidadOtrosGastos" runat="server" Text="<%$ Resources:Idioma, lblCantidad %>"></asp:Label>
                                            *
                                        </td>
                                        <td align="left" style="width: 9px">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda">
                                            <asp:TextBox ID="txtCantidad" runat="server" MaxLength="150" Width="84px" Height="20px"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rvCantidadObligatoria" runat="server" ControlToValidate="txtCantidad">
                                                <asp:Label ID="lblCantidadObligatoriaotros" runat="server" Text="<%$ Resources:Idioma, lblPrecioObligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <asp:RegularExpressionValidator ID="rvCantidadobligatoriadeotros" runat="server"
                                                ControlToValidate="txtCantidad" Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                                ValidationExpression="\d+"></asp:RegularExpressionValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="center" colspan="3">
                                            <asp:Button ID="btnGuardarOtros" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnGuardar %>" />
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                <br />
                                <asp:Label ID="lblOtrosGastos2" runat="server" CssClass="subtituloTercerNivel" Height="22px"
                                    Text="<%$ Resources:Idioma, lblOtrosGastos %>" Width="183px"></asp:Label>
                                <br />
                                <br />
                                <asp:GridView ID="gvOtrosGastos" runat="server" AllowPaging="True" AutoGenerateColumns="False"
                                    PageSize="6" Width="654px">
                                    <Columns>
                                        <asp:BoundField DataField="nombreConcepto" HeaderText="<%$ Resources:Idioma, lblDescripcion %>" />
                                        <asp:BoundField DataField="cantidad" HeaderText="<%$ Resources:Idioma, lblCantidad %>" />
                                        <asp:BoundField DataField="costoUnitario" HeaderText="<%$ Resources:Idioma, CostoUnitario %>" />
                                        <asp:BoundField DataField="CostoTotal" HeaderText="<%$ Resources:Idioma, CostoTotal %>" />
                                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                            ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                                            <ItemTemplate>
                                                <asp:LinkButton ID="lnkEditar" runat="server" CausesValidation="false" CommandArgument='<%# Eval("idConcepto")%>'
                                                    CommandName="EDITAR">
                                                    <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                                </asp:LinkButton>
                                                <asp:Label ID="lblidConcepto" runat="server" Text='<%# Eval("idConcepto")%>' Visible="False"> </asp:Label>
                                                &nbsp;&nbsp;
                                                <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado2').innerHTML)) return false;"
                                                    runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idConcepto")%>'
                                                    CausesValidation="false">
                                                    <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                    </Columns>
                                </asp:GridView>
                                <br />
                                <br />
                            </td>
                        </tr>
                    </table>
                </asp:View>
            </asp:MultiView>
        </div>
        <br />
        <br />
    </div>
</asp:Content>
