﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarAnnoFiscales.aspx.vb" Inherits="AudiControl.ListarAnnoFiscales"
    Title="<%$ Resources:TituloPaginas, TitPuntoInteres %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblAgrega" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div align="center">
            <asp:MultiView ID="mvAnnoFiscal" ActiveViewIndex="0" runat="server">
                <asp:View ID="vwConsulta" runat="server">
                    <div class="header">
                        <asp:Label ID="lblListaAnnoFiscal" runat="server" Text="<%$ Resources:TituloPasos, lblListaAnnofiscal %>"></asp:Label>
                    </div>
                    <br />
                    <asp:Label ID="lblAnnoFiscales" runat="server" Visible="false"></asp:Label>
                    <asp:GridView ID="gvAnnoFiscal" runat="server" AutoGenerateColumns="False" Visible="False"
                        AllowPaging="True" PageSize="15">
                        <Columns>
                            <asp:BoundField DataField="Annofiscal" SortExpression="AnnoFiscal" HeaderText="<%$ Resources:Idioma, lblannofiscal %>"
                                ItemStyle-Width="150px">
                                <ItemStyle Width="150px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="Fechainicio" SortExpression="FechaInicio" HeaderText="<%$ Resources:Idioma, lblFechaInicial %>"
                                ItemStyle-Width="450px" />
                            <asp:BoundField DataField="FechaFin" SortExpression="FechaFin" HeaderText="<%$ Resources:Idioma, lblFechaFinal %>"
                                ItemStyle-Width="450px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("AnnoFiscal")%>'>
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                        &nbsp;&nbsp;
                                        <%--    <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;" runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idPuntoInteres")%>'>
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>--%>
                                    </div>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="180px" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <table>
                        <tr>
                            <td style="width: 356px; text-align: center;">
                                <br />
                                <asp:Button ID="btnAgregarAnnoFiscal" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                                    CausesValidation="true" Width="100px" />
                                &nbsp;&nbsp;
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="vwEdicion" runat="server">
                    <div class="header">
                        <asp:Label ID="lblDeficionTipoImpacto" runat="server" Text="<%$ Resources:TituloPasos, lblEditarAnnofiscal %>"></asp:Label>
                    </div>
                    <br />
                    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                    <asp:Label ID="lblNoFechas" runat="server" CssClass="colorError" Visible="False"></asp:Label>
                    <br />
                    <div style="text-align: center; width: 81%">
                        <table>
                            <tr>
                                <td style="text-align: right; vertical-align: top">
                                    <asp:Label ID="lblAnnoFiscal" runat="server" Text="<%$ Resources:Idioma, lblannofiscal %>"></asp:Label>
                                    <br />
                                </td>
                                <td style="text-align: left; vertical-align: top">
                                    <asp:TextBox ID="txtAnnoFiscal" Height="20px" runat="server" Width="100px" MaxLength="10"
                                        ReadOnly="true" CausesValidation="False"></asp:TextBox>
                                    <br />
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right; vertical-align: top">
                                    <asp:Label ID="lblDescripcion" runat="server" Text="<%$ Resources:Idioma, lblFechaInicial %>"></asp:Label>
                                    *
                                </td>
                                <td style="text-align: left;" valign="top">
                                    <asp:TextBox ID="txtFechaInicial" runat="server" CausesValidation="False" />
                                    <asp:Button ID="btnCalendarioinicial" runat="server" Text="..." CausesValidation="False" />
                                    <asp:Calendar ID="Calendarinicial" runat="server" SelectedDate="<%# DateTime.Now %>"
                                        Visible="False"></asp:Calendar>
                                    <asp:RequiredFieldValidator ID="rvtxtFechainicio" runat="server" ControlToValidate="txtFechaInicial">
                                        <asp:Label ID="lbltxtFechaInicio" runat="server" Text="<%$ Resources:Idioma, lblFechaInicioObligatoria %>"></asp:Label>
                                    </asp:RequiredFieldValidator>
                                    <br />
                                    <asp:CompareValidator ID="cvtxtFechaInicio" runat="server" ControlToValidate="txtFechaInicial"
                                        ErrorMessage="<%$ Resources:Idioma, lblFechaInicioValida %>" Operator="DataTypeCheck"
                                        Type="Date"></asp:CompareValidator>
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right; vertical-align: top">
                                    &nbsp;
                                </td>
                                <td style="text-align: left;" valign="top">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2" style="text-align: center; height: 60px">
                                    <br />
                                    <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                                        CausesValidation="true" />
                                    &nbsp;
                                    <asp:Button ID="btnAdicionarotro" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                                        CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
                                    &nbsp;
                                    <br />
                                    <br />
                                </td>
                            </tr>
                        </table>
                    </div>
                </asp:View>
            </asp:MultiView>
        </div>
    </div>
</asp:Content>
