﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ListarTrabajosAuditoriaEstimaSeguridad.aspx.vb" Inherits="AudiControl.ListarTrabajosAuditoriaEstimaSeguridad"
    Title="<%$ Resources:Menu, m0402020201 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Menu, m0402020201 %>"></asp:Label></div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <asp:Label ID="lblTipoAuditoria" runat="server" Text="<%$ Resources:Idioma, lblTipoAuditoria %>"
                Height="21px" Width="159px"></asp:Label>*
            <asp:DropDownList ID="drpTipoAuditoria" runat="server" AutoPostBack="True">
            </asp:DropDownList>
            <br />
            <br />
            <asp:Label ID="lblNoFactorImpacto" runat="server" Visible="False" CssClass="colorError"></asp:Label>
            <br />
            <div style="overflow: auto; width: 700px; height: 250px;">
                <asp:Panel ID="Panel1" runat="server" Visible="false" Style="text-align: center">
                    <asp:GridView ID="gvListaTrabajosAudInterna" runat="server" AutoGenerateColumns="False"
                        DataKeyNames="idTrabajoAuditoria" Style="text-align: left">
                        <Columns>
                            <asp:BoundField ItemStyle-Width="60px" DataField="idTrabajoAuditoria" SortExpression="idTrabajoAuditoria"
                                HeaderText="<%$ Resources:Idioma, lblId %>">
                                <ItemStyle Width="60px"></ItemStyle>
                            </asp:BoundField>
                            <asp:BoundField ItemStyle-Width="290px" DataField="NombreTrabajoAuditoria" SortExpression="NombreTrabajoAuditoria"
                                HeaderText="<%$ Resources:Idioma, lblNombre %>">
                                <ItemStyle Width="290px"></ItemStyle>
                            </asp:BoundField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRespondido %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                                <ItemTemplate>
                                    <asp:Label ID="lblSi" runat="server" Text="" Visible="true"></asp:Label>
                                    <asp:Label ID="lblidTrabajoAuditoria" runat="server" Text='<%# Eval("idTrabajoAuditoria")%>'
                                        Visible="false"></asp:Label>
                                    <%--<asp:Label ID="lblRespondido" runat="server" Text="SI"></asp:Label>--%>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:ButtonField ButtonType="Link" CommandName="RESPUESTAS" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                Text="<%$ Resources:Idioma, lblResponderCuestionario %>" />
                        </Columns>
                    </asp:GridView>
                </asp:Panel>
            </div>
            <br />
        </div>
    </div>
</asp:Content>
