﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="SeleccionEmpresasPorAuditar.aspx.vb" Inherits="AudiControl.SeleccionEmpresasPorAuditar"
    Title="<%$ Resources:Menu, m0402010301 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblProgramacionVisitas" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Menu, m0402010301 %>"></asp:Label>
    </div>
    <br />
    <br />
    <div align="center">
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Width="247px"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <asp:Label ID="lblExito" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblSector" runat="server" Text="<%$ Resources:Idioma, lblSector %>"
                        CssClass="subtituloTercerNivel"></asp:Label>
                </td>
                <td>
                    <asp:DropDownList ID="drpSectores" runat="server" AutoPostBack="True">
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <br />
        <asp:GridView ID="gvEmpresas" runat="server" AutoGenerateColumns="false" AllowPaging="True"
            PageSize="15">
            <Columns>
                <asp:BoundField DataField="idEmpresa" SortExpression="idEmpresa" HeaderText="<%$ Resources:Idioma, lblId %>"
                    ItemStyle-Width="70px" />
                <asp:BoundField DataField="nombreEmpresa" SortExpression="nombreEmpresa" HeaderText="<%$ Resources:Idioma, lblEmpresa %>"
                    ItemStyle-Width="350px" />
                <asp:TemplateField>
                    <HeaderTemplate>
                        <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:Idioma, lblPrioridad %>"></asp:Literal>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <%#Container.DataItemIndex + 1%>
                    </ItemTemplate>
                    <ItemStyle HorizontalAlign="Left" VerticalAlign="Top" />
                </asp:TemplateField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:CheckBox ID="ChkSeleccionaEmpresa" runat="server" />
                        <asp:Label ID="lblIdEmpresa" runat="server" Text='<%# Eval("empresaseleccionplan") %>'
                            Visible="false"></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <br />
        <table>
            <tr>
                <td align="center">
                    &nbsp;<asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                        CausesValidation="false" />
                    &nbsp;&nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                        CausesValidation="false" />
                    &nbsp;<br />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
