﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarEscenario.aspx.vb" Inherits="AudiControl.EditarEscenario" Title="<%$ Resources:TituloPaginas, TitEditarEscenario %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEscenario" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdTipoEscenario" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblMantenimientoEscenarios" runat="server"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <br />
            <table>
                <tr>
                    <td style="text-align: right">
                        <asp:Label ID="lblDescripcionEscenario" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                        &nbsp;*<br />
                        <br />
                    </td>
                    <td>
                    </td>
                    <td style="text-align: left">
                        <asp:TextBox ID="txtDescripcionEscenario" runat="server" Width="520px" MaxLength="300"
                            Height="20px"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDescripcionEscenario" runat="server" ControlToValidate="txtDescripcionEscenario"
                            Height="22px" Width="458px">
                            <asp:Label ID="lblDescripcionObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                        <br />
                        <asp:CustomValidator ID="cvDescripcionEscenario" runat="server" 
                            ControlToValidate="txtDescripcionEscenario">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right">
                        <asp:Label ID="lblDetalleEscenario" runat="server" Text="<%$ Resources:Idioma, lblDescripcionDetallada %>"></asp:Label>
                        &nbsp;*
                    </td>
                    <td>
                    </td>
                    <td style="text-align: left">
                        <asp:TextBox ID="txtDetalleEscenario" runat="server" Height="81px" TextMode="MultiLine"
                            Width="520px" MaxLength="4700"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvDetalleEscenario" runat="server" ControlToValidate="txtDetalleEscenario">
                            <asp:Label ID="lblDetalleObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDetalleObligatorio %>"></asp:Label>
                        </asp:RequiredFieldValidator>
                        <br />
                        <asp:CustomValidator ID="cvDetalleEscenario" runat="server" ControlToValidate="txtDetalleEscenario">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right">
                        &nbsp; &nbsp; &nbsp; &nbsp;
                        <asp:Label ID="lblCodigo" runat="server" Text="<%$ Resources: Idioma, lblCodigo %>"></asp:Label>
                        &nbsp;<br />
                    </td>
                    <td>
                    </td>
                    <td style="text-align: left">
                        <asp:TextBox ID="txtCodigo" runat="server" Width="520px" MaxLength="30" Height="20px"></asp:TextBox>
                        <br />
                        <%-- <asp:RequiredFieldValidator ID="rfvCodigo"  runat="server" ControlToValidate="txtCodigo" Height="22px" Width="458px"><asp:Label ID="lblCodigoObligatorio" runat="server" Text="<%$ Resources:Idioma, lblCodigoObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
--%>
                        <asp:CustomValidator ID="cvCodigo" runat="server" 
                            ControlToValidate="txtCodigo" >
                        </asp:CustomValidator>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnAgregarEscenario" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" />
            &nbsp;
            <asp:Button ID="btnAdicionarOtroEscenario" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
            <br />
            <br />
        </div>
    </div>
</asp:Content>
