<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarOficina.aspx.vb" Inherits="AudiControl.EditarOficina" Title="<%$ Resources:TituloPaginas, TitEditarOficina %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdArea" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdOficina" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdPlanMejoramientoAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAcciontratamiento" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblConfiguracionFuncionarios" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center">
        <div class="alineacionIzquierda">
        </div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblMantenimientoOficina" runat="server" Text="<%$ Resources:TituloPasos, lblMantenimientoOficina %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <asp:Label ID="lblArea" runat="server" Text="<%$ Resources:Idioma, lblArea %>" CssClass="subtitulo "></asp:Label>
            <asp:Label ID="lblNombreArea" runat="server" CssClass="subtitulo "></asp:Label>
            <br />
            <br />
            <table>
                <tr>
                    <td style="height: 44px; text-align: right;">
                        <asp:Label ID="lblnombreOficina" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"></asp:Label>
                        &nbsp;*<br />
                        <br />
                    </td>
                    <td style="height: 26px; text-align: left;">
                        <asp:TextBox ID="txtNombreOficina" runat="server" Width="395px" MaxLength="50"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvNombreOficina" runat="server" ControlToValidate="txtNombreOficina"
                            Height="16px" Width="396px">
                            <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label></asp:RequiredFieldValidator>
                        <br />
                        <asp:CustomValidator ID="cvNombreOficina" runat="server" 
                            ControlToValidate="txtNombreOficina">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        <asp:Label ID="lblDescripcionOficina" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                        &nbsp;*<br />
                        <br />
                        <br />
                        <br />
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:TextBox ID="txtDescripcionOficina" runat="server" Height="81px" TextMode="MultiLine"
                            Width="400px" MaxLength="250"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDescripcionOficina" runat="server" ControlToValidate="txtDescripcionOficina"
                            Height="16px" Width="394px">
                            <asp:Label ID="lblDescripcionObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label></asp:RequiredFieldValidator>
                        <br />
                        <asp:CustomValidator ID="cvDescripcionOficina" runat="server" ControlToValidate="txtDescripcionOficina">
                        </asp:CustomValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 24px; text-align: right;">
                        &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                        &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;
                        <asp:Label ID="lblZona" runat="server" Text="<%$ Resources: Idioma, lblNombreZona %>"></asp:Label>&nbsp;*
                    </td>
                    <td style="height: 24px; text-align: left;">
                        <asp:DropDownList ID="drpZona" runat="server">
                        </asp:DropDownList>
                        <asp:RequiredFieldValidator ID="rfvZona" runat="server" ControlToValidate="drpZona"
                            Height="16px" Width="394px" Text="<%$ Resources:Idioma, lblSeleccionZona %>"></asp:RequiredFieldValidator>
                        <br />
                        <asp:Button ID="btnMantenimientoZonas" runat="server" Text="<%$ Resources:Idioma, MantenimientoZonas %>"
                            CausesValidation="False" UseSubmitBehavior="False" Visible="true" />
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnAgregarOficina" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                CausesValidation="true" />
            &nbsp;
            <asp:Button ID="btnAdicionarOtraOficina" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                CausesValidation="False" UseSubmitBehavior="False" Visible="false" />
            <br />
            <br />
        </div>
    </div>
</asp:Content>
