﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarParametrosControles.aspx.vb" Inherits="AudiControl.EditarParametrosControles"
    Title="<%$ Resources:TituloPaginas, TitEditarParamentrosControles %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div style="text-align: center">
        <br />
        <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div style="text-align: center">
            <div class="header" style="text-align: center">
                <asp:Label ID="lblEditarParametrosGenerales" runat="server" Text="<%$ Resources:Menu, m0403030101 %>"></asp:Label>
            </div>
            <br />
            <div align="center">
                <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
                <br />
                <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                <br />
                <table>
                    <tr>
                        <td>
                            <br />
                            <asp:GridView ID="gvClase" runat="server" AutoGenerateColumns="False">
                                <Columns>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                        ItemStyle-VerticalAlign="Top" HeaderText="<%$ Resources:Idioma, lblClaseControl %>"
                                        ItemStyle-Width="250px">
                                        <HeaderStyle HorizontalAlign="Center" />
                                        <ItemTemplate>
                                            <asp:Label ID="lblClaseControl" runat="server" Text='<%# Eval("texto") %>'></asp:Label>
                                            <asp:Label ID="lblIdClase" runat="server" Text='<%# Eval("idClase") %>' Visible="False"
                                                Width="150px"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px">
                                        <HeaderStyle HorizontalAlign="Center" />
                                        <ItemTemplate>
                                            <asp:TextBox ID="txtValorClase" BorderWidth="1px" runat="server" Text='<%# Eval("valorClase") %>'
                                                BorderColor="#CCCCCC" Height="17px" Width="50px"></asp:TextBox>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                        </td>
                        <td style="width: 50px">
                        </td>
                        <td>
                            <br />
                            <asp:GridView ID="gvEfectividad" runat="server" AutoGenerateColumns="False">
                                <Columns>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                                        <HeaderStyle HorizontalAlign="Center" />
                                        <ItemTemplate>
                                            <asp:Label ID="lblIdDescripcion" runat="server" Text='<%# Eval("idDescripcion") %>'
                                                Visible="false"></asp:Label>
                                            <asp:TextBox ID="txtTextoEfectividad" BorderWidth="1px" runat="server" Text='<%# Eval("texto") %>'
                                                BorderColor="#CCCCCC"></asp:TextBox>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="90px" HeaderText="<%$ Resources:Idioma, lblValor %>">
                                        <HeaderStyle HorizontalAlign="Center" />
                                        <ItemTemplate>
                                            <asp:Label ID="lblIdEfectividadControl" runat="server" Text='<%# Eval("idEfectividadControl") %>'
                                                Visible="false"></asp:Label>
                                            <asp:TextBox ID="txtValorEfectividad" BorderWidth="1px" runat="server" Text='<%# Eval("valorEfectividad") %>'
                                                BorderColor="#CCCCCC" Height="16px" Width="50px"></asp:TextBox>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                        </td>
                    </tr>
                </table>
                &nbsp;&nbsp;&nbsp;
                <br />
                <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" />
                <br />
                <br />
            </div>
        </div>
    </div>
</asp:Content>
