﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarProbabilidadImpacto.aspx.vb" Inherits="AudiControl.EditarProbabilidadImpacto"
    Title="<%$ Resources:TituloPaginas, TitEditarProbabilidadImpacto %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblidProbabilidad" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblidprobabilidadEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblidImpacto" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header" style="text-align: center">
        <asp:Label ID="lblEditarParametrosGenerales" runat="server" Text="<%$ Resources:Menu, m0403030102 %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblProbabilidad" runat="server" Text="<%$ Resources:Idioma, lblProbabilidad %>"
                        CssClass="subtitulo "></asp:Label>
                    <br />
                    <br />
                    <asp:GridView ID="gvProbabilidad" runat="server" AutoGenerateColumns="False">
                        <Columns>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                ItemStyle-VerticalAlign="Top" HeaderText="<%$ Resources:Idioma, lblValor %>"
                                ItemStyle-Width="50px">
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemTemplate>
                                    <asp:Label ID="lblValorProbabilidad" runat="server" Text='<%# Eval("valorProbabilidad") %>'></asp:Label>
                                    <asp:Label ID="lblIdProbabilidad" runat="server" Text='<%# Eval("idProbabilidad") %>'
                                        Visible="false"></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemTemplate>
                                    <asp:Label ID="lblIdDescripcion" runat="server" Text='<%# Eval("idDescripcion") %>'
                                        Visible="false"></asp:Label>
                                    <asp:Label ID="lblIdProbabilidadEmpresa" runat="server" Text='<%# Eval("idProbabilidadEmpresa") %>'
                                        Visible="false"></asp:Label>
                                    <asp:TextBox ID="txtTextoProbabilidad" BorderWidth="1px" runat="server" Text='<%# Eval("texto") %>'
                                        BorderColor="#CCCCCC"></asp:TextBox>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </td>
                <td style="width: 96px">
                </td>
                <td>
                    <asp:Label ID="lblImpacto" runat="server" Text="<%$ Resources:Idioma, lblImpacto %>"
                        CssClass="subtitulo "></asp:Label>
                    <br />
                    <br />
                    <asp:GridView ID="gvImpacto" runat="server" AutoGenerateColumns="False">
                        <Columns>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                ItemStyle-VerticalAlign="Top" HeaderText="<%$ Resources:Idioma, lblValor %>"
                                ItemStyle-Width="50px">
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemTemplate>
                                    <asp:Label ID="lblValorImpacto" runat="server" Text='<%# Eval("valorImpacto") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemTemplate>
                                    <asp:Label ID="lblIdImpacto" runat="server" Text='<%# Eval("idImpacto") %>' Visible="false"></asp:Label>
                                    <asp:Label ID="lblIdImpactoEmpresa" runat="server" Text='<%# Eval("idImpactoEmpresa") %>'
                                        Visible="false"></asp:Label>
                                    <asp:Label ID="lblIdDescripcion" runat="server" Text='<%# Eval("idDescripcion") %>'
                                        Visible="false"></asp:Label>
                                    <asp:TextBox ID="txtTextoImpacto" BorderWidth="1px" runat="server" Text='<%# Eval("texto") %>'
                                        BorderColor="#CCCCCC"></asp:TextBox>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </td>
            </tr>
        </table>
        <br />
        <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" />
        <br />
    </div>
</asp:Content>
