﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="EditarSegmento.aspx.vb" Inherits="AudiControl.EditarSegmento" Title="<%$ Resources:TituloPaginas, TitEditarSegmento %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAgente" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdSegmento" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
            Width="120px"></asp:Label>
        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %>"
            Width="120px"></asp:Label>
        <asp:Label ID="lblNombreEstudio" runat="server"></asp:Label>
    </div>
    <div class="header">
        <asp:Label ID="lblEditarSegmento" runat="server" Text="<%$ Resources:TituloPasos, lblEditarSegmento %>"></asp:Label>
    </div>
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label><br />
        <table>
            <tr>
                <td style="text-align: right;">
                    <asp:Label ID="lblAgenteG" runat="server" Text="<%$ Resources:Idioma, lblNombreAgente %>"
                        Height="24px" Width="125px" CssClass="subtitulo"></asp:Label>
                </td>
                <td style="width: 8px">
                </td>
                <td align="left" style="width: 322px; height: 26px; text-align: left;">
                    <asp:Label ID="lblNombreAgente" runat="server" Text="" CssClass="subtitulo"></asp:Label>
                </td>
            </tr>
            <tr>
                <td style="text-align: right;">
                    <asp:Label ID="lblSegmento" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"
                        Height="22px" Width="125px"></asp:Label>
                    *
                </td>
                <td style="width: 8px; height: 23px;">
                </td>
                <td align="left" style="width: 322px; height: 23px; text-align: left;">
                    <asp:TextBox ID="txtSegmento" runat="server" Width="520px" Height="20px" MaxLength="90"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvNombre" runat="server" ControlToValidate="txtSegmento">
                        <asp:Label ID="lblNombreObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                    <br />
                    <asp:CustomValidator ID="cvSegmento" runat="server" ControlToValidate="txtSegmento">
                    </asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td style="height: 24px; text-align: right; width: 280px;">
                    <asp:Label ID="lblDescripcionSegmento" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                </td>
                <td>
                </td>
                <td style="height: 24px; text-align: left; width: 400px;">
                    <asp:TextBox ID="txtDescripcionSegmento" runat="server" Height="81px" TextMode="MultiLine"
                        Width="520px" MaxLength="1000"></asp:TextBox>
                    <asp:CustomValidator ID="cvDetalleSegmento" runat="server" ControlToValidate="txtDescripcionSegmento">
                        <asp:Label ID="lblMaximoCaracterDetalle" runat="server" Text="<%$ Resources:Idioma, lblMaximoCaracter %>"></asp:Label>
                    </asp:CustomValidator>
                    </td>
            </tr>
        </table>
        <div>
        </div>
        <table>
            <tr>
                <td align="center" colspan="3" style="height: 26px; width: 750px;">
                    <asp:Button ID="btnAceptar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                        CausesValidation="true" />
                    &nbsp;&nbsp;&nbsp;
                    <asp:Button ID="btnAdicionarOtroSegmento" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                        CausesValidation="False" UseSubmitBehavior="False" Visible="false" Width="103px" />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
