﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarAmenazas.aspx.vb" Inherits="AudiControl.ListarAmenazas" Title="<%$ Resources:TituloPaginas, TitAmenazas %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioCategoria" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdCategoriaRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaAmenaza %>"
        runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblListaAmenazas" runat="server" Text="<%$ Resources:Menu, m0403020203 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            <asp:Label ID="lblNoAmenaza" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            <asp:GridView ID="gvListaAmenaza" runat="server" AutoGenerateColumns="false" AllowPaging="True"
                PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="80px" />
                    <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                        HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="370px" />
                    <%--<asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources: lblEventoOperativo %>"
                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                <ItemTemplate>
                    <asp:Label ID="lblSi" runat="server" Text='<%# Eval("eventoOperativo")%>' Visible="false"></asp:Label>
                    <asp:Label ID="lblEventoOperativo" runat="server" Text=""></asp:Label>
                </ItemTemplate>
                
            </asp:TemplateField>--%>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px"
                        HeaderStyle-Width="250px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idAmenaza")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                            <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idAmenaza")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                            <asp:LinkButton ID="lnkVerRelacion" runat="server" CommandName="VER RELACION" CommandArgument='<%# Eval("idAmenaza")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblVerRelacion" runat="server" Text="<%$ Resources:Idioma, lblVerRelacion %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </div>
    </div>
    <br />
    <div align="center">
        <table>
            <tr>
                <td style="text-align: center">
                    <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                    <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal">
                        <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                        <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                    </asp:RadioButtonList>
                    <br />
                    <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                        <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                </td>
                <td style="text-align: center">
                    <asp:TextBox ID="txtCriterio" runat="server" Height="16px" />
                    <br />
                    <br />
                    <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                        CausesValidation="true" />
                    <br />
                    <asp:RequiredFieldValidator ID="rfvBusqueda" runat="server" ControlToValidate="txtCriterio">
                        <asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma, lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                </td>
                <td style="width: 432px">
                    <br />
                    <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporteAmenaza %>"
                        CausesValidation="False" Width="160px" />
                    &nbsp;
                    <asp:Button ID="btnReporteRelacion" runat="server" Text="<%$ Resources:Idioma, btnReporteRelacion %>"
                        CausesValidation="False" Width="160px" />
                    &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;<br />
                    &nbsp;
                    <br />
                    <asp:Button ID="btnAgregarAmenaza" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                        CausesValidation="false" />
                    &nbsp;
                    <asp:Button ID="btnCargarDatos" runat="server" Text="<%$ Resources:Idioma, btnCargarDatos %>"
                        CausesValidation="False" />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
