<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarAreasOrganizacionales.aspx.vb" Inherits="AudiControl.ListarAreasOrganizacionales"
    Title="<%$ Resources:TituloPaginas, TitAreas %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdPlanMejoramientoAmenaza" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdAccionTratamiento" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblConfiguracionFuncionarios" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaAreaOrganizacional %>"
        runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblListadoAreas" runat="server" Text="<%$ Resources:Menu, m0403020105 %>"></asp:Label>
    </div>
    <br />
    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    <div align="center">
        <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
        <asp:Label ID="lblNoArea" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
        <asp:GridView ID="gvListaAreaOrganizacional" runat="server" AutoGenerateColumns="false"
            AllowPaging="True" PageSize="15">
            <Columns>
                <asp:BoundField DataField="idArea" SortExpression="idArea" HeaderText="<%$ Resources:Idioma, lblId %>"
                    ItemStyle-Width="150px" />
                <asp:BoundField DataField="nombreArea" SortExpression="nombreArea" HeaderText="<%$ Resources:Idioma, lblArea %>"
                    ItemStyle-Width="250px" />
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:lblTipoArea %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                    <ItemTemplate>
                        <asp:Label ID="lblInterna" runat="server" Text='<%# Eval("interna")%>' Visible="false"></asp:Label>
                        <asp:Label ID="lblTipoArea" runat="server" Text=""></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                    <ItemTemplate>
                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idArea")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idArea")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;&nbsp;&nbsp;
                        <asp:LinkButton ID="lnkVerOficinas" runat="server" CommandName="VER_OFICINAS" CommandArgument='<%# Eval("idArea")%>'
                            CausesValidation="false" Text="<%$ Resources:Idioma, lnkVerOficinas %>" Visible="false"></asp:LinkButton>
                        <asp:Label ID="lblTieneOficinas" runat="server" Text='<%# Eval("tieneOficinas")%>'
                            Visible="false"></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <br />
        <table>
            <tr>
                <td style="width: 154px">
                    <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label><br />
                    <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal"
                        Height="22px" Width="136px">
                        <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                        <asp:ListItem Text="<%$ Resources: Idioma, lblNombre %>" Value="nombre"></asp:ListItem>
                    </asp:RadioButtonList>
                    <br />
                    <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                        <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                </td>
                <td>
                    <br />
                    <asp:TextBox ID="txtCriterio" runat="server" />
                    &nbsp;&nbsp;&nbsp;
                    <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                        CausesValidation="true" />
                    <br />
                    <asp:RequiredFieldValidator ID="rfvBusqueda" runat="server" ControlToValidate="txtCriterio">
                        <asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma, lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                    <br />
                </td>
                <td style="width: 419px; text-align: center;">
                    <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                        CausesValidation="False" />
                    &nbsp;
                    <asp:Button ID="btnAgregarAreaorganizacional" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                        CausesValidation="false" />
                    &nbsp;
                    <asp:Button ID="btnCargarDatos" runat="server" Text="<%$ Resources:Idioma, btnCargarDatos %>"
                        CausesValidation="False" />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
