<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarFuncionario.aspx.vb" Inherits="AudiControl.Funcionario" Title="<%$ Resources:TituloPaginas, TitFuncionario %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblConfiguracionFuncionarios" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaFuncionario %>"
        runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblListadoFuncionarios" runat="server" Text="<%$ Resources:Menu, m0403020107 %>"></asp:Label>
    </div>
    <br />
    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    <div style="text-align: center">
        <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
    </div>
    <div align="center">
        <asp:Label ID="lblNoFuncionario" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
        <br />
        <asp:GridView ID="gvListaFuncionario" runat="server" AutoGenerateColumns="false"
            AllowPaging="True" PageSize="15">
            <Columns>
                <asp:BoundField DataField="idFuncionario" SortExpression="idFuncionario" HeaderText="<%$ Resources:Idioma, lblId %>"
                    ItemStyle-Width="150px" />
                <asp:BoundField DataField="nombreFuncionario" SortExpression="nombreFuncionario"
                    HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="300px" />
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                    <ItemTemplate>
                        <div style="text-align: center">
                            <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idFuncionario")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                            <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idFuncionario")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                        </div>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <br />
        <table>
            <tr>
                <td style="text-align: center">
                    <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                    <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal">
                        <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                        <asp:ListItem Text="<%$ Resources: Idioma, lblNombre %>" Value="nombreFuncionario"></asp:ListItem>
                    </asp:RadioButtonList>
                    <br />
                    <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                        <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources:Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                </td>
                <td style="text-align: left">
                    <br />
                    <asp:TextBox ID="txtCriterio" runat="server" />
                    <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                        CausesValidation="true" />
                    <br />
                    <asp:RequiredFieldValidator ID="rfvBusqueda" runat="server" ControlToValidate="txtCriterio">
                        <asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma,  lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                    <br />
                </td>
                <td style="text-align: center">
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                        CausesValidation="False" />
                    &nbsp;
                    <asp:Button ID="btnAgregarFuncionario" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                        CausesValidation="False" />
                    &nbsp;
                    <asp:Button ID="btnCargarDatos" runat="server" Text="<%$ Resources:Idioma, btnCargarDatos %>"
                        CausesValidation="False" />
                    &nbsp;
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
