<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarMacroprocesos.aspx.vb" Inherits="AudiControl.ListarMacroprocesos"
    Title="<%$ Resources:TituloPaginas, TitMacroproceso %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensaje" Text="<%$ Resources:Idioma, msgEliminaMacroProceso %>"
        runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoMacro" runat="server" Text="<%$ Resources:Menu, m0403020102 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblNoMacroproceso" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            <asp:GridView ID="gvListaMacroproceso" runat="server" AutoGenerateColumns="false"
                AllowPaging="True" PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idMacroproceso" SortExpression="idMacroproceso" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="70px" />
                    <asp:BoundField DataField="descripcionMacroproceso" SortExpression="descripcionMacroproceso"
                        HeaderText="<%$ Resources:Idioma, lblNombre %>" ItemStyle-Width="350px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="170px">
                        <ItemTemplate>
                            <div style="text-align: center">
                                <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idMacroproceso")%>'>
                                    <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                &nbsp;&nbsp;
                                <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;"
                                    runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idMacroproceso")%>'>
                                    <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                            </div>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
            &nbsp;
            <asp:Button ID="btnAgregarMacroproceso" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>" />
            <br />
        </div>
    </div>
</asp:Content>
