﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarTiposProceso.aspx.vb" Inherits="AudiControl.ListarTiposProceso"
    Title="<%$ Resources:TituloPaginas, TitTiposProceso %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoZonas" runat="server" Text="<%$ Resources:Menu, m0403020101 %>"></asp:Label>
            <asp:Label ID="lblMensaje" Text="<%$ Resources:Idioma, msgEliminaTipoProceso %>"
                runat="server" Style="display: none"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblTipoProceso" runat="server" Style="display: none"></asp:Label>
            <asp:GridView ID="gvListaTiposProceso" runat="server" AutoGenerateColumns="false"
                Visible="false" AllowPaging="True" PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idTipoMacro" SortExpression="idTipoMacro" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="150px" />
                    <asp:BoundField DataField="nombreTipo" SortExpression="nombreTipo" HeaderText="<%$ Resources:Idioma, lblNombre %>"
                        ItemStyle-Width="250px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                        <ItemTemplate>
                            <div style="text-align: center">
                                <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idTipoMacro")%>'>
                                    <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                &nbsp;&nbsp;
                                <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;"
                                    runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idTipoMacro")%>'>
                                    <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                            </div>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="btnAgregarTipo" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                CausesValidation="true" Width="100px" />
            <br />
            <br />
        </div>
    </div>
</asp:Content>
