﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarUsuarios.aspx.vb" Inherits="AudiControl.ListarUsuarios" Title="<%$ Resources:TituloPaginas, TitListarUsuarios %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <table class="izquierda" runat="server" id="tblEmpresa">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblListadoUsuarios" runat="server" Text="<%$ Resources:TituloPasos, lblListadoUsuarios %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <asp:Label ID="lblNoUsuario" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
        <br />
        <asp:GridView ID="gvListaUsuario" runat="server" AutoGenerateColumns="false" DataKeyNames="idUsuario,PerfilUsuario">
            <Columns>
                <asp:BoundField DataField="nombreUsuario" HeaderText="<%$ Resources:Idioma, lblNombre %>" />
                <asp:BoundField DataField="apellidoUsuario" HeaderText="<%$ Resources:Idioma, lblApellido %>" />
                <asp:BoundField DataField="login" HeaderText="<%$ Resources:Idioma, lblLogin %>" />
                <asp:BoundField DataField="nombrePerfil" HeaderText="<%$ Resources:Idioma, lblPerfil %>" />
                <asp:BoundField DataField="fechaRegistro" HeaderText="<%$ Resources: UltimoIngreso %>" />
                <asp:BoundField DataField="ultimoCambio" HeaderText="<%$ Resources: UltimoCambio %>" />
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                    <ItemTemplate>
                        <div style="text-align: center">
                            <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Container.DataItemIndex %>'
                                CausesValidation="false">
                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            <asp:LinkButton ID="lnkPerfil" runat="server" CommandName="PERFIL" CommandArgument='<%# Container.DataItemIndex %>'
                                CausesValidation="false">
                                <asp:Label ID="lblPerfil" runat="server" Text="<%$ Resources: VerPerfil %>"></asp:Label></asp:LinkButton>
                        </div>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="idUsuario" Visible="false" />
                <asp:BoundField DataField="PerfilUsuario" Visible="false" />
            </Columns>
        </asp:GridView>
        <br />
        <asp:Button ID="btnAgregarUsuario" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
            CausesValidation="False" />
        <br />
    </div>
</asp:Content>
