﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="EstablecerRelacionObjetivosControlConEscenarios.aspx.vb" Inherits="AudiControl.EstablecerRelacionObjetivosControlConEscenarios"
    Title="<%$ Resources: Menu, m04040405 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudioEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensaje" Text="<%$ Resources:Idioma, msgEliminaRelacion %>" runat="server"
        Style="display: none"></asp:Label>
    <div class="headerContent ">
        <div class="izquierda">
            <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                Width="120px"></asp:Label>
            <asp:Label ID="lblNombreEstudio" runat="server"></asp:Label>
        </div>
    </div>
    <div class="header">
        <asp:Label ID="lblEscenariosObjetivos" runat="server" Text="<%$ Resources: Menu, m04040405 %>"></asp:Label>
    </div>
    <br />
    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito "></asp:Label>
    <asp:Label ID="lblNoSeleccion" runat="server" Visible="False" CssClass="colorError "></asp:Label>
    <asp:Label Style="text-align: center" ID="lblEliminaAmenaza" runat="server" Visible="false"
        CssClass="colorError" Text="<%$ Resources: Idioma, lblEliminaAmenaza %>"></asp:Label><br />
    <asp:Label ID="lblEscenario" runat="server" CssClass="subtitulo"></asp:Label>
    <br />
    <br />
    <div align="center">
        <table style="width: 850px;">
            <tr>
                <td>
                    <asp:Label ID="lblObjetivoElegible" runat="server" Text="<%$ Resources:lblObjetivoElegible %>"
                    Font-Bold="True" Font-Size="12pt" ForeColor="#CC3300" ></asp:Label>
                    <br />
                </td>
                <td style="width: 40px">
                </td>
                <td>
                    <asp:Label ID="lblObjetivoSeleccionado" runat="server" Text="<%$ Resources:lblObjetivoSeleccionado %>"
                    Font-Bold="True" Font-Size="12pt" ForeColor="#009900" ></asp:Label>
                    <br />
                </td>
            </tr>
            <tr>
                <td style="text-align: center;">
                    <asp:Label ID="lblNoRelacion" runat="server" Text="" Visible="false" Width="150px"
                        CssClass="colorError "></asp:Label>
                    <div style="overflow: auto; width: 390px; height: 156px;">
                        <asp:GridView ID="gvListaEscenarioObjetivos" runat="server" AutoGenerateColumns="false"
                            Width="380px" Height="150px">
                            <Columns>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkSeleccionarObjetivo" runat="server" OnCheckedChanged="chkSeleccionarObjetivo_CheckedChanged"
                                            AutoPostBack="true" />
                                        <asp:Label ID="lblIdEscenarioObjetivo" runat="server" Text='<%# Eval("idEscenarioObjetivo") %>'
                                            Visible="false"></asp:Label>
                                        <asp:Label ID="lblIdObjetivo" runat="server" Text='<%# Eval("idObjetivo") %>' Visible="false"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="25px"></ItemStyle>
                                </asp:TemplateField>
                                <asp:BoundField DataField="idEscenarioObjetivo" SortExpression="idEscenarioObjetivo"
                                    HeaderText="<%$ Resources:Idioma, lblRelacion %>" ItemStyle-Width="50px" Visible="false">
                                    <ItemStyle Width="50px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="idObjetivo" SortExpression="idObjetivo" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="70px">
                                    <ItemStyle Width="70px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="descripcionObjetivo" SortExpression="descripcionObjetivo"
                                    HeaderText="<%$ Resources:Idioma, lblObjControl %>" ItemStyle-Width="280px">
                                    <ItemStyle Width="280px"></ItemStyle>
                                </asp:BoundField>
                            </Columns>
                        </asp:GridView>
                        <br />
                    </div>
                    <br />
                    <asp:TextBox ID="txtDetalleObjetivo" runat="server" TextMode="MultiLine" Height="100px"
                        Width="380px" ReadOnly="true"></asp:TextBox>
                </td>
                <td>
                    <asp:Button ID="btnAsignarTodosObjetivos" runat="server" Text="&gt;&gt;" Width="36px" />
                    <br />
                    <asp:Button ID="btnAsignarObjetivo" runat="server" Text="&gt;" Width="36px" />
                    <br />
                    <asp:Button ID="btnDesasignarObjetivo" runat="server" Text="&lt;" Width="36px" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;" />
                    <br />
                    <asp:Button ID="btnDesasignarTodosObjetivos" runat="server" Text="&lt;&lt;" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensaje').innerHTML)) return false;"
                        Width="36px" />
                    <br />
                    <br />
                    <br />
                    <br />
                    <br />
                    <br />
                    <br />
                </td>
                <td style="text-align: right;">
                    <div style="overflow: auto; width: 390px; height: 147px;">
                        <asp:GridView ID="gvListaEstudioEscenarioObjetivo" runat="server" Width="380px" Height="139px"
                            AutoGenerateColumns="False" Style="text-align: center">
                            <Columns>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    ItemStyle-VerticalAlign="Top" ItemStyle-Width="20px">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkDesmarcarObjetivo" runat="server" />
                                        <asp:Label ID="lblIdEscenarioObjetivoEstudio" runat="server" Text='<%# Eval("idEscenarioObjetivoEstudio") %>'
                                            Visible="false"></asp:Label>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px"></ItemStyle>
                                </asp:TemplateField>
                                <asp:BoundField DataField="idObjetivo" SortExpression="idObjetivo" HeaderText="<%$ Resources:Idioma, lblId %>"
                                    ItemStyle-Width="80px">
                                    <ItemStyle Width="80px"></ItemStyle>
                                </asp:BoundField>
                                <asp:BoundField DataField="descripcionObjetivo" SortExpression="descripcionObjetivo"
                                    HeaderText="<%$ Resources:Idioma, lblObjControl %>" ItemStyle-Width="280px">
                                    <ItemStyle Width="280px"></ItemStyle>
                                </asp:BoundField>
                            </Columns>
                        </asp:GridView>
                    </div>
                    <br />
                    <br style="text-align: center" />
                    <br />
                    <br />
                    <br />
                    <br />
                </td>
            </tr>
        </table>
        <br />
        <asp:Button ID="btnMantenimientoObjetivos" runat="server" Width="196px" Text="<%$ Resources:Idioma, lblMantenimientoObjetivos %>" />
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <asp:Button ID="btnMantenimientoRelaciones" runat="server" Width="214px" Text="<%$ Resources:Idioma, lblMantenimientoRelaciones %>" />
        <br />
        <br />
    </div>
</asp:Content>
