﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="ListarAmenazasPorEscenario.aspx.vb" Inherits="AudiControl.ListarAmenazasPorEscenario"
    Title="<%$ Resources:TituloPaginas, TitListaEscenariosAmenazas %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudioEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblContador" runat="server" Text="" Visible="false"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblEvaluarProteccion" runat="server" Text="<%$ Resources:TituloPasos, lblEvaluarProteccion %>"></asp:Label>
        </div>
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <asp:GridView ID="gvListaEscenarios" runat="server" AutoGenerateColumns="false">
                <Columns>
                    <asp:BoundField DataField="idEscenario" SortExpression="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="100px" />
                    <asp:BoundField DataField="descripcionEscenario" SortExpression="descripcionEscenario"
                        HeaderText="<%$ Resources:Idioma, lblEscenario %>" ItemStyle-Width="400px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources: Idioma, lblTerminadoM %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                        <ItemTemplate>
                            <asp:Label ID="lblEstado" runat="server" Text='<%# Eval("terminado")%>' Visible="false"></asp:Label>
                            <asp:Label ID="lblTerminado" runat="server" Text=""></asp:Label>
                            <asp:Label ID="lblIdEstudioEscenario" runat="server" Text='<%# Eval("idEstudioEscenario")%>'
                                Visible="false"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAmenazas %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER" CommandArgument='<%# Eval("idEstudioEscenario")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblVer" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Label ID="lblDatosEscenario" runat="server" Text="" Visible="false" CssClass="subtitulo"></asp:Label>
            <br />
            <br />
            <asp:Label ID="lblNoAmenaza" runat="server" Text="" Visible="false" CssClass="subtitulo"></asp:Label>
            <asp:GridView ID="gvLitaAmenazas" runat="server" AutoGenerateColumns="false" Visible="False">
                <Columns>
                    <asp:BoundField DataField="idAmenaza" SortExpression="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                        ItemStyle-Width="100px"></asp:BoundField>
                    <asp:BoundField DataField="descripcionAmenaza" SortExpression="descripcionAmenaza"
                        HeaderText="<%$ Resources:Idioma, lblAmenaza %>" ItemStyle-Width="400px"></asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources: Idioma, lblTerminado %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                        <ItemTemplate>
                            <asp:Label ID="lblEstadoAmenaza" runat="server" Text='<%# Eval("terminado")%>' Visible="false"></asp:Label>
                            <asp:Label ID="lblidEstudioAmenaza" runat="server" Text='<%# Eval("idEstudioAmenaza")%>'
                                Visible="false"></asp:Label>
                            <asp:Label ID="lblTerminado" runat="server" Text=""></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblEvaluacion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkVerAmenaza" runat="server" CommandName="VER" CommandArgument='<%# Eval("idEstudioAmenaza")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblVerAmenaza" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="btnReporte" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnReporte %>"
                Width="100px" />
            &nbsp;
            <asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                Width="100px" />
            &nbsp;
            <br />
        </div>
    </div>
</asp:Content>
