<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="Contrasena.aspx.vb" Inherits="AudiControl.Contrasena" Title="AudiRisk" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
            Width="120px"></asp:Label>
        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
    </div>
    <br />
    <div align="center">
        <asp:Label ID="lblDatos" runat="server" Text="<%$ Resources:Idioma, lblIngresoDatos %>"
            Font-Size="Medium" CssClass="subtituloTercerNivel"></asp:Label>
        <br />
        <br />
        <table align="center" border="0" cellspacing="0" cellpadding="0" style="height: 220px;
            width: 750px;">
            <tr style="vertical-align: top; height: 300px">
                <td>
                    <div>
                        <asp:Login ID="lgnLogin" runat="server" DisplayRememberMe="False" LoginButtonText="Ingresar"
                            PasswordRequiredErrorMessage="El password es obligatorio." TitleText="Ingreso"
                            UserNameLabelText="Usuario:" UserNameRequiredErrorMessage="El nombre de usuario es obligatorio."
                            meta:resourcekey="lgnLogin" Width="500px">
                            <LayoutTemplate>
                                <table border="0" cellpadding="4" cellspacing="0" style="border-collapse: collapse">
                                    <tr>
                                        <td>
                                            <table border="0" cellpadding="0" runat="server" id="idDatosUsuario" style="width: 500px">
                                                <tr>
                                                    <td style="text-align: right; width: 220px;">
                                                        <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" Text="<%$ Resources:Idioma, lblUsuario %>"></asp:Label>&nbsp;*&nbsp;&nbsp;&nbsp;&nbsp;
                                                    </td>
                                                    <td style="text-align: left; width: 280px;">
                                                        <asp:TextBox ID="UserName" runat="server" ToolTip="<%$ Resources: NombreUsuario %>"
                                                            Width="130px" TabIndex="1" AutoCompleteType="Disabled" Height="20px" ReadOnly="true"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                                                            ErrorMessage="<%$ Resources: errUsuarioRequerido %>" ToolTip="<%$ Resources: NombreUsuario %>"
                                                            ValidationGroup="Login1" Display="Dynamic" SetFocusOnError="True"></asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="text-align: right">
                                                        <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password" Text="<%$Resources: Idioma, lblPassword %>"></asp:Label>
                                                        &nbsp;*&nbsp;&nbsp;&nbsp;&nbsp;
                                                    </td>
                                                    <td style="text-align: left;">
                                                        <asp:TextBox ID="Password" runat="server" TextMode="Password" Width="130px" TabIndex="2"
                                                            ToolTip="<%$ Resources: Contrasena %>" AutoCompleteType="Disabled" Height="20px"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                                                            Display="Dynamic" ErrorMessage="<%$ Resources: errContrasena %>" ToolTip="<%$ Resources: Contrasena %>"
                                                            ValidationGroup="Login1"></asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr runat="server" id="trNuevoPassword1">
                                                    <td style="text-align: right">
                                                        <asp:Label ID="Label1" runat="server" AssociatedControlID="Password" Text="<%$ Resources:Idioma, lblNewPassword %>"></asp:Label>
                                                        &nbsp;*&nbsp;&nbsp;&nbsp;&nbsp;
                                                    </td>
                                                    <td style="text-align: left;">
                                                        <asp:TextBox ID="txtNuevoPassword1" runat="server" TextMode="Password" Width="130px"
                                                            Height="20px" TabIndex="2" ToolTip="<%$ Resources: NuevaContrasena %>" AutoCompleteType="Disabled"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtNuevoPassword1"
                                                            Display="Dynamic" ErrorMessage="<%$ Resources: errNuevaContrasena %>" ToolTip="<%$ Resources: NuevaContrasena %>"
                                                            ValidationGroup="Login1"></asp:RequiredFieldValidator>
                                                        <asp:CompareValidator ID="cvPasswordAnterior" runat="server" ErrorMessage="<%$ Resources: Idioma, NuevoPassword %>"
                                                            Display="Dynamic" ControlToCompare="Password" ControlToValidate="txtNuevoPassword1"
                                                            Operator="NotEqual" ValidationGroup="Login1"></asp:CompareValidator>
                                                    </td>
                                                </tr>
                                                <tr runat="server" id="trNuevoPassword2">
                                                    <td style="text-align: right">
                                                        <asp:Label ID="Label2" runat="server" AssociatedControlID="Password" Text="<%$ Resources:Idioma, ConfirmarContrasena %>"></asp:Label>&nbsp;*&nbsp;&nbsp;&nbsp;&nbsp;
                                                        <br />
                                                    </td>
                                                    <td style="text-align: left;">
                                                        <asp:TextBox ID="txtNuevoPassword2" runat="server" TextMode="Password" Width="130px"
                                                            Height="20px" TabIndex="2" ToolTip="Contrasea" AutoCompleteType="Disabled"></asp:TextBox>
                                                        <br />
                                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtNuevoPassword2"
                                                            Display="Dynamic" ErrorMessage="<%$ Resources: errConfirmar %>" ToolTip="<%$ Resources: ConfirmarContrasena %>"
                                                            ValidationGroup="Login1"></asp:RequiredFieldValidator>
                                                        <asp:CompareValidator ID="cvPasswordNuevo" runat="server" Display="Dynamic" ErrorMessage="<%$ Resources: Idioma, PasswordDiferente %>"
                                                            ControlToCompare="txtNuevoPassword1" ControlToValidate="txtNuevoPassword2" Operator="Equal"
                                                            ValidationGroup="Login1"></asp:CompareValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right" style="text-align: center;" valign="bottom" colspan="2">
                                                        <br />
                                                        <asp:Button ID="LoginButton" runat="server" CommandName="Login" Text="<%$Resources: Idioma, btnAceptar %>"
                                                            ValidationGroup="Login1" TabIndex="3" Width="82px" meta:resourcekey="LoginButton" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2" style="color: red; height: 45px; text-align: center;">
                                                        <asp:Label ID="lblError" runat="server" Text="<%$ Resources: Idioma, ContrasenaIncorrecta %>"
                                                            meta:resourcekey="lblError"></asp:Label>
                                                        <asp:Label ID="lblErrorNumero" runat="server" Text="<%$ Resources: Idioma, SinNumero %>"
                                                            meta:resourcekey="lblErrorNumero"></asp:Label>
                                                        <asp:Label ID="lblErrorActivo" runat="server" Text="<%$ Resources: Idioma, lblUsuarioInactivo %>"
                                                            Visible="false" meta:resourcekey="lblErrorActivo"></asp:Label>
                                                        <asp:Label ID="lblErrorCambioPassword" runat="server" Text="Debe cambiar el password"
                                                            Visible="false" meta:resourcekey="lblErrorCambioPassword"></asp:Label>
                                                        <asp:RegularExpressionValidator ID="regLoginUs" runat="server" ErrorMessage="Caracteres invlidos en el usuario"
                                                            ControlToValidate="UserName" ValidationExpression="[^<>'&quot;()&]{1,50}" ValidationGroup="Login1"
                                                            meta:resourcekey="regLoginUs"></asp:RegularExpressionValidator>
                                                        <asp:RegularExpressionValidator ID="regLoginPw" runat="server" ControlToValidate="Password"
                                                            ErrorMessage="Caracteres invlidos en la contrasea" ValidationExpression="[^<>'&quot;()&]{1,50}"
                                                            ValidationGroup="Login1" meta:resourcekey="regLoginPw"></asp:RegularExpressionValidator>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </LayoutTemplate>
                        </asp:Login>
                    </div>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
