﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarRelacionModeloRiesgoCategoria.aspx.vb" Inherits="AudiControl.ListarRelacionModeloRiesgoCategoria"
    Title="<%$ Resources:TituloPaginas, TitRelacionModeloCategoria %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdModRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblPlaneacionAuditoria" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblRelacionesCatRiesgoAmenaza" runat="server" Text="<%$ Resources:TituloPasos, lblRelacionesModeloCategoria %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <table>
            <tr style="width: 200px">
                <td style="width: 568px; text-align: center;">
                    <asp:Label ID="lblModelo" runat="server" Text="<%$ Resources:Idioma, lblModeloRiesgo %>"
                        Height="25px" CssClass="subtitulo" Width="165px"></asp:Label>
                    <asp:Label ID="lblNombreModelo" runat="server" Height="25px" CssClass="subtitulo"
                        Width="364px"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
    </div>
    <div align="center">
        <asp:Label ID="lblNoRelacion" runat="server" Visible="false" CssClass="colorExito "></asp:Label>
        <asp:GridView ID="gvListaRelModeloCategoria" runat="server" AutoGenerateColumns="false"
            AllowPaging="True" PageSize="15">
            <Columns>
                <asp:BoundField DataField="idModeloCategoria" SortExpression="idModeloCategoria"
                    HeaderText="<%$ Resources:Idioma, lblRelacion %>" ItemStyle-Width="150px" Visible="false" />
                <asp:BoundField DataField="idCategoriaRiesgo" SortExpression="idCategoriaRiesgo"
                    HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="80px" />
                <asp:BoundField DataField="descripcionCategoria" SortExpression="descripcionCategoria"
                    HeaderText="<%$ Resources:Idioma, lblCategorias %>" ItemStyle-Width="250px" />
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="120px">
                    <ItemTemplate>
                        <asp:LinkButton ID="lnkEliminarRelacion" OnClientClick="return ConfirmarEliminar('Relacion',true)"
                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idModeloCategoria")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminarRelacion %>"></asp:Label></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <br />
        <asp:Button ID="btnEstablecerRelacion" runat="server" Text="<%$ Resources:Idioma, btnRelacion %>"
            CausesValidation="false" Width="125px" ToolTip="<%$ Resources:AyudaBoton, btnRelacionModeloCategoria %>" />
        &nbsp;
        <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
            CausesValidation="false" />
    </div>
</asp:Content>
