﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarTipoAuditoria.aspx.vb" Inherits="AudiControl.ListarTipoAuditoria"
    Title="<%$ Resources:TituloPaginas, TitListaTiposAuditoria %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaTipoAuditoria %>"
        runat="server" Style="display: none"></asp:Label>
    <div>
        <div style="text-align: left">
            <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
            <br />
        </div>
        <div class="header">
            <asp:Label ID="lblListadoTiposAuditoria" runat="server" Text="<%$ Resources:Menu, m0403030201 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label ID="lblNoTipoAuditoria" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
            <asp:Label ID="lblElimina" runat="server" Visible="false" CssClass="colorError" Text="<%$ Resources: Idioma, ElminarTipoAuditoria %>"></asp:Label>
            <asp:Label ID="lblIdTipoAuditoria" runat="server" Style="display: none"></asp:Label>
            <br />
            <br />
            <asp:MultiView ID="mvTipoAuditoria" runat="server" ActiveViewIndex="0">
                <asp:View ID="vwConsulta" runat="server">
                    <asp:GridView ID="gvListatiposAuditoria" runat="server" AutoGenerateColumns="False"
                        AllowPaging="True" PageSize="15" Width="565px">
                        <Columns>
                            <asp:BoundField DataField="idTipoAuditoria" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="70px">
                                <ItemStyle Width="70px" />
                            </asp:BoundField>
                            <asp:BoundField DataField="nombreAuditoria" HeaderText="<%$ Resources:Idioma, lblNombre %>"
                                ItemStyle-Width="350px" SortExpression="nombreAuditoria">
                                <ItemStyle Width="350px" />
                            </asp:BoundField>
                            <asp:TemplateField HeaderText="<%$ Resources:Idioma, lblAccion %>">
                                <ItemTemplate>
                                    <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idTipoAuditoria")%>'>
                                        <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                    &nbsp;
                                    <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                        runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idTipoAuditoria")%>'>
                                        <asp:Label ID="Label1" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                        CausesValidation="False" />
                    &nbsp;
                    <asp:Button ID="btnAgregarTipoAuditoria" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>" /><br />
                </asp:View>
                <asp:View ID="vwEdicion" runat="server">
                    <asp:Label ID="Label2" runat="server" Style="display: none"></asp:Label>
                    <br />
                    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                    <br />
                    <table>
                        <tr>
                            <td style="height: 24px; text-align: right;">
                                <asp:Label ID="lblNombreAuditoria" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"></asp:Label>
                                <asp:Label ID="Obligatorio" Font-Bold="true" runat="server">&nbsp;*</asp:Label><br />
                            </td>
                            <td style="height: 24px; text-align: left;">
                                <asp:TextBox ID="txtNombreTipo" runat="server" Width="395px" MaxLength="50" Height="20px"></asp:TextBox>
                                <br />
                                <asp:RequiredFieldValidator ID="rfvNombreTipoAuditoria" runat="server" ControlToValidate="txtNombreTipo"
                                    Height="20px" Width="399px"> </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="height: 24px; text-align: right;">
                                <asp:Label ID="lblDescripcionTipoAuditoria" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                            </td>
                            <td style="height: 24px; text-align: left;">
                                <asp:TextBox ID="txtDescripcionTipoAuditoria" runat="server" Height="81px" TextMode="MultiLine"
                                    Width="400px" MaxLength="250"></asp:TextBox>
                                <br />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                        CausesValidation="true" />
                    &nbsp;
                    <asp:Button ID="btnOtro" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                        CausesValidation="False" />
                    &nbsp;
                    <asp:Button ID="btnCancelar" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                        CausesValidation="false" />
                    <br />
                    <br />
                </asp:View>
            </asp:MultiView>
        </div>
    </div>
</asp:Content>
