<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="AvanceAuditoria.aspx.vb" Inherits="AudiControl.AvanceAuditoria" Title="<%$ Resources:TituloPaginas, TitControTiempoporEtapa %>" %>

<%@ Register Src="~/UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <br />
    <div class="header" style="text-align: center">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblAvanceAuditoria %>"></asp:Label>
    </div>
    <br />
    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    <div align="center">
        <asp:Label ID="lblNoMotivosSobretiempo" runat="server" Text="" CssClass="colorError"
            Visible="false">
        </asp:Label>
        <br />
        <table>
            <tr>
                <td>
                    <div align="center">
                        <asp:GridView ID="gvListaAvanceAuditoria" runat="server" AutoGenerateColumns="False">
                            <Columns>
                                <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:Idioma, lblNombreEtapa %>" />
                                <asp:BoundField DataField="porcentaje" HeaderText="<%$ Resources:Idioma, lblPorHorasReq %>" />
                                <asp:BoundField DataField="horasEstimadas" HeaderText="<%$ Resources:Idioma, lblHorasEstimadas %>" />
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblHorasReales %>"
                                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblIdEtapa" runat="server" Text='<%# Eval("id") %>' Visible="false"></asp:Label>
                                        <asp:Label ID="lblHorasReales" runat="server" Text='<%# Eval("horasreales") %>'></asp:Label>
                                        <asp:TextBox ID="txtHorasReales" runat="server" Height="17" MaxLength="5" Text='<%# Eval("horasreales") %>'
                                            TextMode="SingleLine" Width="40"></asp:TextBox>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" />
                                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="70px"></ItemStyle>
                                </asp:TemplateField>
                                <%--<asp:BoundField DataField="horasreales" HeaderText="<%$ Resources:Idioma, lblHorasReales %>" />--%>
                                <asp:BoundField DataField="porcentajeHorasreales" HeaderText="<%$ Resources:Idioma, lblporHorasReales %>"
                                    DataFormatString="{0:N2}" />
                                <asp:BoundField DataField="diferencia" HeaderText="<%$ Resources:Idioma, lbldiferencia %>"
                                    DataFormatString="{0:F2}" />
                                <asp:BoundField DataField="porcentajediferencia" HeaderText="<%$ Resources:Idioma, lblporcentajediferencia %>"
                                    DataFormatString="{0:N2}" />
                            </Columns>
                        </asp:GridView>
                        <br />
                        <asp:Label ID="lblTituloMotivos" runat="server" Text="<%$ Resources:Idioma, lblMotivosSobretiempo %>"
                            CssClass="subtitulo"></asp:Label>
                        <br />
                    </div>
                    <center>
                        <div style="overflow: auto; width: 400px; height: 225px;">
                            <asp:GridView ID="gvMotivosSobretiempo" runat="server" AutoGenerateColumns="False">
                                <Columns>
                                    <asp:TemplateField HeaderText="<%$ Resources:Idioma, lblSeleccionar  %>">
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkSeleccionaMotivo" runat="server" />
                                            <asp:Label ID="lblIdMotivos" runat="server" Text='<%# Eval("Seleccionado") %>' Visible="false"></asp:Label>
                                            <asp:Label ID="lblId" runat="server" Text='<%# Eval("idMotivo") %>' Visible="false"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="idMotivo" HeaderText="<%$ Resources:Idioma, lblId %>" />
                                    <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                                        ItemStyle-Width="400px" />
                                </Columns>
                            </asp:GridView>
                        </div>
                        <br />
                    </center>
                </td>
            </tr>
            <tr>
                <td>
                    <div align="center">
                        <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                            CausesValidation="false" />
                        &nbsp;
                        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                            CausesValidation="false" />
                        &nbsp;<asp:Button ID="btnMantMotivosSobretiempo" runat="server" Text="<%$ Resources:Idioma, btnMantenimientoMotivosSobretiempo %>"
                            CausesValidation="false" />
                    </div>
                </td>
            </tr>
            <tr>
                <td>
                    <br />
                    <asp:Panel runat="server" ID="PanelContGrafica" SkinID="panelSkinned">
                        <telerik:ReportViewer ID="rvGraficaEstadoAvance" runat="server" Height="339px" Width="660px"
                            ToolbarVisible="False" Report="Com.Audisis.Reportes.ReporteGraficaEstadoAvanceAuditoria, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
                        </telerik:ReportViewer>
                        <br />
                        &nbsp;
                        <br />
                    </asp:Panel>
                </td>
            </tr>
            <tr>
                <td>
                    <br />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
