﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="CostoPersonal.aspx.vb" Inherits="AudiControl.CostoPersonal" Title="<%$ Resources:TituloPaginas, TitCostoPersonal %>" %>

<%@ Register Src="../../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <%-- <script language="javascript" type="text/javascript" src="../../Js/Comun.js" ></script>--%>
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblCostosdePersonal" runat="server" Text="<%$ Resources:TituloPasos, lblCostosPersonal %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <asp:Label ID="lblNoEtapas" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            <asp:GridView ID="gvListaCostoPersonal" runat="server" AutoGenerateColumns="False"
                AllowPaging="True" PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idUsuario" SortExpression="idUsuario" HeaderText="id"
                        ItemStyle-Width="70px">
                        <ItemStyle Width="70px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="nombreUsuario" SortExpression="nombreUsuario" HeaderText="Nombre"
                        ItemStyle-Width="350px">
                        <ItemStyle Width="350px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="ApellidoUsuario" HeaderText="Apellido" SortExpression="ApellidoUsuario" />
                    <asp:BoundField DataField="HotaTotal" HeaderText="Tiempo Total" SortExpression="HoraTotal" />
                    <asp:BoundField DataField="CostoHora" HeaderText="Costo/Hora" SortExpression="CostoHora" />
                    <asp:BoundField DataField="Costot" HeaderText="Costo Total" SortExpression="Costot" />
                </Columns>
            </asp:GridView>
            <table>
                <tr>
                    <td style="height: 21px; width: 331px;">
                    </td>
                </tr>
                <tr style="width: 200px">
                    <td style="width: 331px; text-align: center;">
                        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                            CausesValidation="False" />
                        &nbsp; &nbsp;
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
