﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarCostosdePersonal.aspx.vb" Inherits="AudiControl.ListarCostosdePersonal"
    Title="<%$ Resources:TituloPaginas, CostosPersonal %>" %>

<%@ Register Src="../../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div style="text-align: center">
        <asp:Label ID="lblMensajeBorrado" runat="server" Text="<%$ Resources:Idioma, msgArchivoPermanente %>"
            Style="display: none"></asp:Label>
        <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblIdFactorRiesgo" runat="server" Text="" Visible="false"></asp:Label>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header" style="text-align: center">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblCostosPersonal %>"></asp:Label></div>
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <br />
        <br />
        <asp:GridView ID="gvCostosPersonal" runat="server" AutoGenerateColumns="False" AllowPaging="True"
            PageSize="15" ShowFooter="True">
            <Columns>
                <asp:BoundField DataField="idUsuario" SortExpression="idUsuario" HeaderText="<%$ Resources:Idioma, lblId %>">
                    <ItemStyle Width="10px"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="auditor" HeaderText="<%$ Resources:Idioma, lblauditor %>"
                    ItemStyle-Width="200px" ItemStyle-Font-Bold="True" ItemStyle-Font-Italic="True">
                    <ItemStyle Font-Bold="True" Font-Italic="True" Width="500px"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="HorasAuditor" HeaderText="<%$ Resources:Idioma, lblTiempoAuditor %>"
                    DataFormatString="{0:N}" />
                <asp:BoundField DataField="costohora" HeaderText="<%$ Resources:Idioma, lblCostoHora %>"
                    DataFormatString="{0:N2}" />
                <asp:BoundField DataField="valorTotal" HeaderText="<%$ Resources:Idioma, lblCostototalAuditor %>"
                    DataFormatString="{0:N2}" />
            </Columns>
        </asp:GridView>
        <br />
        &nbsp;
        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
            CausesValidation="false" />
        &nbsp;
    </div>
</asp:Content>
