﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SeleccionEscenariosAuditoria.aspx.vb" Inherits="AudiControl.SeleccionEscenariosAuditoria"
    Title="<%$ Resources:TituloPaginas, TitAlcanceAuditoria %>" %>

<%@ Register Src="~/UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <div style="text-align: left;">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <br />
        <div class="header">
            <asp:Label ID="lblSeleccionEscenarios" runat="server" Text="<%$ Resources:TituloPasos, lblEstablecerAlcanceSelEscenarios %>"></asp:Label></div>
        <br />
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <div style="text-align: center">
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <asp:Label ID="lblNoEscenarios" runat="server" Visible="False" CssClass="colorError"></asp:Label>
            &nbsp;<asp:Label ID="lblError" runat="server" Visible="False" CssClass="colorError"></asp:Label>
        </div>
        <br />
        <asp:Panel ID="PanelEscenarios" runat="server" Visible="true" SkinID="panelSkinned">
            <div style="overflow: auto; width: 525px; height: 225px;">
                <asp:GridView ID="gvListaEscenario" runat="server" AutoGenerateColumns="false" Width="507px">
                    <Columns>
                        <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                            ItemStyle-VerticalAlign="Top" ItemStyle-Width="25px">
                            <ItemTemplate>
                                <asp:CheckBox ID="chkEscenario" runat="server" />
                                <asp:Label ID="lblIdEstudioEscenario" runat="server" Text='<%# Eval("idEstudioEscenario") %>'
                                    Visible="false"></asp:Label>
                            </ItemTemplate>
                            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                            <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="25px"></ItemStyle>
                        </asp:TemplateField>
                        <asp:BoundField DataField="idEscenario" SortExpression="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>"
                            ItemStyle-Width="50px">
                            <ItemStyle Width="50px"></ItemStyle>
                        </asp:BoundField>
                        <asp:BoundField DataField="descripcionEscenario" SortExpression="descripcionEscenario"
                            HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="150px">
                            <ItemStyle Width="150px"></ItemStyle>
                        </asp:BoundField>
                    </Columns>
                </asp:GridView>
            </div>
        </asp:Panel>
        <br />
        <div align="center">
            <table>
                <tr>
                    <td>
                        &nbsp;<asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                            CausesValidation="false" />
                        &nbsp;&nbsp;
                        <asp:Button ID="btnMantenimientoEscenarios" runat="server" Text="<%$ Resources:Idioma, lblMantenimientoEscenarios %>" />
                        &nbsp;<br />
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
