<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarNotasAuditor.aspx.vb" Inherits="AudiControl.ListarNotasAuditor"
    Title="<%$ Resources:TituloPaginas, TODOs %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblidModificar" runat="server" Visible="false" color="Error"></asp:Label>
    <asp:Label ID="lblIdNotaSupervisor" runat="server" Visible="false" color="Error"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdUsuario" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblPerfilUsuario" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgAnulaNotAuditor %>"
        runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblListadoEstudiosAuditorias" runat="server" Text="<%$ Resources:Idioma, lblObservacionTodo %>"></asp:Label>
        </div>
        <br />
        <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
        <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
        <asp:Label ID="lblNoNotasSupervisor" runat="server" Visible="false" CssClass="colorError"></asp:Label>
        <asp:Label ID="lblNoNotasAuditor" runat="server" Visible="false" CssClass="colorError"></asp:Label>
        <br />
        <asp:MultiView ActiveViewIndex="0" ID="mvAuditoria" runat="server">
            <asp:View ID="vwConsulta" runat="server">
                <div align="center">
                    <br />
                    <asp:GridView ID="gvListaNotasdeSupervisor" runat="server" AutoGenerateColumns="False"
                        Visible="False" Style="font-style: italic">
                        <Columns>
                            <asp:BoundField DataField="idNotaAuditor" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="150px" SortExpression="idNotaAuditor"></asp:BoundField>
                            <asp:BoundField DataField="observacion" HeaderText="<%$ Resources:Idioma, lblObservacionTodo %>"
                                ItemStyle-Width="250px" SortExpression="observacion"></asp:BoundField>
                            <asp:BoundField DataField="estado" HeaderText="<%$ Resources:Idioma, lblEstado %>"
                                ItemStyle-Width="150px" SortExpression="estado"></asp:BoundField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idNotaAuditor")%>'>
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                        &nbsp;&nbsp;
                                        <asp:LinkButton ID="lnkAnular" runat="server" CommandArgument='<%# Eval("idNotaAuditor")%>'
                                            CommandName="ANULAR" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;">
                                            <asp:Label ID="lblAnular" runat="server" Text="<%$ Resources:Idioma, btnAnular %>"></asp:Label>
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="lnkVerEstado" runat="server" CommandName="VERRESPUESTA" CommandArgument='<%# Eval("idNotaAuditor")%>'>
                                            <asp:Label ID="lblVerEstado" runat="server" Text="<%$ Resources:Idioma, VerRespuesta %>"></asp:Label></asp:LinkButton>
                                        &nbsp;&nbsp;
                                        <asp:Label ID="lblEstado" runat="server" Visible="False" Text='<%# Eval("estado")%>'></asp:Label>
                                    </div>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <asp:Button ID="btnAgregar" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnAgregar %>" />
                    <br />
                </div>
            </asp:View>
            <asp:View ID="vwEdicion" runat="server">
                <div align="center">
                    <table>
                        <tr>
                            <td style="text-align: right">
                                <asp:Label ID="lblPasito" runat="server" Text="<%$ Resources:Idioma, lblPaso %>"></asp:Label>
                                &nbsp;*
                            </td>
                            <td>
                            </td>
                            <td style="text-align: left">
                                <asp:TextBox ID="txtPaso" runat="server" Height="20px" MaxLength="400" Width="401px"
                                    ReadOnly="true"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right">
                                <asp:Label ID="lblAuditor" runat="server" Text="<%$ Resources:Idioma, lblAuditor %>"></asp:Label>
                                &nbsp;*
                            </td>
                            <td>
                            </td>
                            <td style="text-align: left">
                                <asp:DropDownList ID="drpauditor" runat="server">
                                </asp:DropDownList>
                            </td>
                        </tr>
                        <tr>
                            <td style="height: 23px; text-align: right;">
                                <asp:Label ID="lblObservaciontodo" runat="server" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                                    Height="22px"></asp:Label>
                                &nbsp;*
                            </td>
                            <td style="width: 8px; height: 23px;">
                            </td>
                            <td align="left" style="width: 322px; height: 23px;">
                                <asp:TextBox ID="txtObservacion" runat="server" Width="401px" Height="66px" MaxLength="400"
                                    TextMode="MultiLine"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvObservacion" runat="server" ControlToValidate="txtObservacion">
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    <asp:Label ID="lblonservacionObligatoria" runat="server" Text="<%$ Resources:Idioma, lblValidacionObservacion %>"></asp:Label>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="height: 23px; text-align: right;">
                                <asp:Label ID="lblComentariosDejados" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblComentarios %>"></asp:Label>
                            </td>
                            <td style="width: 8px; height: 23px;">
                                &nbsp;
                            </td>
                            <td align="left" style="width: 322px; height: 23px;">
                                <asp:TextBox ID="txtComentariosDejados" runat="server" Height="66px" MaxLength="400"
                                    TextMode="MultiLine" Width="401px"></asp:TextBox>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnAceptar %>"
                        CausesValidation="true" />
                    &nbsp;
                    <asp:Button ID="btnAdicionarOtro" runat="server" Text="<%$ Resources:Idioma, btnAdicionarOtro %>"
                        CausesValidation="False" UseSubmitBehavior="False" Visible="false" Width="103px" />
                    &nbsp; &nbsp;&nbsp;<br />
                    <br />
                </div>
            </asp:View>
            <asp:View ID="vwNotasAuditor" runat="server">
                <div align="center">
                    <br />
                    <asp:GridView ID="gvListaNotasdeAuditor" runat="server" AllowPaging="True" AutoGenerateColumns="False"
                        PageSize="15" Visible="False">
                        <Columns>
                            <asp:BoundField DataField="idNotaAuditor" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="150px" SortExpression="idNotaAuditor"></asp:BoundField>
                            <asp:BoundField DataField="observacion" HeaderText="<%$ Resources:Idioma, lblObservacionTodo %>"
                                ItemStyle-Width="250px" SortExpression="observacion"></asp:BoundField>
                            <asp:BoundField DataField="estado" HeaderText="<%$ Resources:Idioma, lblEstado %>">
                            </asp:BoundField>
                            <asp:BoundField DataField="comentario" HeaderText="<%$ Resources:Idioma, lblComentarios %>"
                                ItemStyle-Width="150px" SortExpression="comentario"></asp:BoundField>
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="180px">
                                <ItemTemplate>
                                    <div style="text-align: center">
                                        <asp:LinkButton ID="lnkAtender" runat="server" CommandArgument='<%# Eval("idNotaAuditor")%>'
                                            CommandName="ATENDER">
                                            <asp:Label ID="lblAtender" runat="server" Text="<%$ Resources:Idioma, lblAtender %>"></asp:Label>
                                        </asp:LinkButton>
                                        <asp:Label ID="lblEstado" runat="server" Text='<%# Eval("estado")%>' Visible="False"></asp:Label>
                                    </div>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" />
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                    <br />
                    <br />
                </div>
            </asp:View>
            <asp:View ID="vwEdicionNotasAuditor" runat="server">
                <div align="center">
                    <br />
                    <table>
                        <tr>
                            <td>
                                <asp:Label ID="lblPasoAuditor" runat="server" Text="<%$ Resources:Idioma, lblPaso %>"></asp:Label>
                                &nbsp;*
                            </td>
                            <td>
                            </td>
                            <td>
                                <asp:TextBox ID="txtPasoAuditor" runat="server" Height="20px" MaxLength="400" Width="401px"
                                    ReadOnly="true"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: right">
                                <asp:Label ID="lblobservacionTodoAuditor" runat="server" Text="<%$ Resources:Idioma, lblObservacionTodo %>"></asp:Label>
                                &nbsp;*
                            </td>
                            <td>
                            </td>
                            <td>
                                <asp:TextBox ID="txtNotadeSupervisor" runat="server" Height="68px" MaxLength="400"
                                    Width="401px" TextMode="MultiLine"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rvNotaSupervisor" runat="server" ControlToValidate="txtNotadeSupervisor">
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    <asp:Label ID="lblNoticasupervisor" runat="server" Text="<%$ Resources:Idioma, lblObservacionTodoObligarotia %>"></asp:Label>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td style="height: 23px; text-align: right;">
                                <asp:Label ID="lblComentario" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblComentarios %>"></asp:Label>
                                &nbsp;*
                            </td>
                            <td style="width: 8px; height: 23px;">
                            </td>
                            <td align="left" style="width: 322px; height: 23px;">
                                <asp:TextBox ID="txtComentario" runat="server" Height="83px" MaxLength="400" TextMode="MultiLine"
                                    Width="392px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="rfvComentario" runat="server" ControlToValidate="txtComentario">
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    <asp:Label ID="lblCometarioObligatorio" runat="server" Text="<%$ Resources:Idioma, lblValidacionNombre %>"></asp:Label>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                </asp:RequiredFieldValidator>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <asp:Button ID="btnAdicionaComentario" Text="<%$ Resources: Idioma, lblAtender %>"
                        runat="server" />
                    &nbsp;<br />
                    <br />
                </div>
            </asp:View>
        </asp:MultiView></div>
</asp:Content>
