﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarRefReqArchivoPermanente.aspx.vb" Inherits="AudiControl.ListarRefReqArchivoPermanente"
    Title="<%$ Resources:TituloPaginas, TitRefArchivoPermanente %>" %>

<%@ Register Src="../../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div style="text-align: center">
        <asp:Label ID="lblMensajeBorrado" runat="server" Text="<%$ Resources:Idioma, msgReferenciaArchivoPermenente %>"
            Style="display: none"></asp:Label>
        <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
        <asp:Label ID="lblIdRequerimiento" runat="server" Text="" Visible="false"></asp:Label>
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header" style="text-align: center">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblReferenciaArchivoPermanente %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <br />
            <br />
            <asp:GridView ID="gvRequerimientosArchivoPermanente" runat="server" AutoGenerateColumns="False"
                AllowPaging="True" PageSize="15">
                <Columns>
                    <asp:BoundField DataField="idRequerimiento" SortExpression="idRequerimiento" HeaderText="<%$ Resources:Idioma, lblId %>">
                        <ItemStyle Width="10px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:Idioma, lblReqArchivoPermanente %>"
                        ItemStyle-Width="200px" ItemStyle-Font-Bold="True" ItemStyle-Font-Italic="True">
                        <ItemStyle Font-Bold="True" Font-Italic="True" Width="500px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="medio" HeaderText="<%$ Resources:Idioma, lblMedio %>"
                        ItemStyle-Width="200px" ItemStyle-Font-Bold="True" ItemStyle-Font-Italic="True">
                        <ItemStyle Font-Bold="True" Font-Italic="True" Width="500px"></ItemStyle>
                    </asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblReferencia %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top">
                        <ItemTemplate>
                            <asp:DropDownList ID="drpReferencia" runat="server" Visible="false">
                            </asp:DropDownList>
                            <asp:Label ID="lblReferencia" runat="server" Text="" Visible="false"></asp:Label>
                            &nbsp;&nbsp;
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="300px"></ItemStyle>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEditar" runat="server" CommandName="AGREGAR" CommandArgument='<%# Eval("idRequerimiento")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                            <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER" CommandArgument='<%# Eval("idRequerimiento")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblVer" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top"></ItemStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Label ID="lblNoReferencias" runat="server" Visible="false" CssClass="colorError"></asp:Label>
            &nbsp;<br />
            <asp:Label ID="lblRequerimiento" runat="server" Text="" CssClass="subtitulo "></asp:Label>
            <br />
            <asp:GridView ID="gvReferencias" runat="server" AutoGenerateColumns="False" DataKeyNames="idReferencia">
                <Columns>
                    <asp:BoundField DataField="idReferencia" ItemStyle-Width="10px" HeaderText="<%$ Resources:Idioma, lblId  %>">
                        <ItemStyle Width="10px"></ItemStyle>
                    </asp:BoundField>
                    <asp:BoundField DataField="referencia" ItemStyle-Width="300px" HeaderText="<%$ Resources:Idioma, lblReferencia %>">
                    </asp:BoundField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEditar" runat="server" CommandName="MODIFICAR" CommandArgument='<%# Eval("idReferencia")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                            <asp:LinkButton ID="lnkEliminar" runat="server" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                                CommandName="ELIMINAR" CommandArgument='<%# Eval("idReferencia")%>' CausesValidation="false">
                                <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                            &nbsp;&nbsp;
                            <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER" CommandArgument='<%# Eval("idReferencia")%>'
                                CausesValidation="false">
                                <asp:Label ID="lblVer" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                        </ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top"></ItemStyle>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="false" />
            &nbsp;
            <asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, lblObservacionTodo %>"
                Width="100px" />
        </div>
    </div>
</asp:Content>
