﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="DocumentarHallazgos.aspx.vb" Inherits="AudiControl.DocumentarHallazgos"
    Title="<%$ Resources:TituloPaginas, TitHallazgos %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblMensajeBorrado" runat="server" Text="<%$ Resources:Idioma, msgEliminaReferenciaHallazgo %>"
        Style="display: none"></asp:Label>
    <asp:Label ID="lblMensajeBorradoRecomendacion" Text="<%$ Resources:Idioma, msgEliminaRecomendacion %>"
        runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEstudio" runat="server" Text=""></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:ScriptManager ID="ScriptManager" runat="server">
        </asp:ScriptManager>
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Idioma, desarrolloHallazgos %>"></asp:Label>
    </div>
    <br />
    <div class="alineacionIzquierda">
        <table>
            <tr>
                <td class="alineacionIzquierda">
                    <asp:Label ID="lblIdHallazgo" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                </td>
            </tr>
            <tr>
                <td class="alineacionIzquierda">
                    <asp:Label ID="lblDescripcionHallazgo" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                </td>
            </tr>
            <tr>
                <td class="alineacionIzquierda">
                    <asp:Label ID="lblTipoHallazgo" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <asp:Label ID="lblExito" runat="server" CssClass="colorExito" Visible="False"></asp:Label>
    <br />
    <div class="alineacionIzquierda">
        <asp:Menu ID="MenuPestanas" runat="server" Font-Bold="true" Orientation="Horizontal"
            BorderStyle="solid" BorderColor="White" BorderWidth="1px" OnMenuItemClick="MenuPestanas_MenuItemClick">
            <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
            <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
            <DynamicHoverStyle ForeColor="White" Font-Bold="True" Font-Size="Medium" BackColor="LightCoral" />
            <StaticMenuStyle BackColor="#F4E8AF" BorderWidth="1px" BorderColor="white" ForeColor="Black" />
            <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
            <StaticHoverStyle ForeColor="White" Font-Bold="True" BackColor="orange" BorderColor="Black"
                BorderStyle="Inset" BorderWidth="1px" />
            <StaticSelectedStyle BorderColor="Black" BorderWidth="1px" BorderStyle="solid" BackColor="#FAFAE7" />
            <DynamicSelectedStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" BackColor="#FAFAE7" />
            <Items>
                <asp:MenuItem Text="?" Value="0"></asp:MenuItem>
                <asp:MenuItem Text="?" Value="1"></asp:MenuItem>
                <asp:MenuItem Text="?" Value="2"></asp:MenuItem>
                <asp:MenuItem Text="?" Value="3"></asp:MenuItem>
                <asp:MenuItem Text="?" Value="4"></asp:MenuItem>
            </Items>
        </asp:Menu>
    </div>
    <div class="alineacionIzquierda">
        <asp:MultiView ID="mvHallazgos" runat="server" ActiveViewIndex="0">
            <asp:View ID="vwInformacionAmenaza" runat="server">
                <table width="100%" cellpadding="0" cellspacing="0">
                    <tr valign="top">
                        <td class="TabArea" style="width: 95%" align="center">
                            <br />
                            <asp:GridView ID="gvListaAmenaza" runat="server" AutoGenerateColumns="false" ShowFooter="True"
                                Width="761px">
                                <Columns>
                                    <asp:BoundField DataField="idAmenaza" HeaderText="<%$ Resources:Idioma, lblId %>"
                                        ItemStyle-Width="50px" SortExpression="idAmenaza">
                                        <ItemStyle Width="50px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="descripcionAmenaza" HeaderText="<%$ Resources:Idioma, lblAmenaza %>"
                                        ItemStyle-Width="400px" SortExpression="descripcionAmenaza">
                                        <ItemStyle Width="400px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="valorRiesgoInherente" HeaderText="<%$ Resources:Idioma,lblValorRI %>"
                                        ItemStyle-Width="20px" SortExpression="valorRiesgoInherente">
                                        <ItemStyle Width="20px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="RiesgoInherente" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                        ItemStyle-Width="150px" SortExpression="RiesgoInherente">
                                        <ItemStyle Width="150px" />
                                    </asp:BoundField>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRI %>"
                                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px"
                                        Visible="false">
                                        <ItemTemplate>
                                            <asp:Label ID="lblColorRI" runat="server" Text='<%# Eval("colorNivel")%>' Visible="false"></asp:Label>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center" />
                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px" />
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="valorProteccion" HeaderText="<%$ Resources:Idioma,lblValorPE %>"
                                        ItemStyle-Width="20px" SortExpression="valorProteccion">
                                        <ItemStyle Width="20px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="proteccionExistente" HeaderText="<%$ Resources:Idioma, lblPE %>"
                                        ItemStyle-Width="150px" SortExpression="proteccionExistente">
                                        <ItemStyle Width="150px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="valorriesgoresidual" HeaderText="<%$ Resources:Idioma,lblValorRR %>"
                                        ItemStyle-Width="20px" SortExpression="valorriesgoresidual">
                                        <ItemStyle Width="20px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="riesgoResidual" HeaderText="<%$ Resources:Idioma, lblRR %>"
                                        ItemStyle-Width="150px" SortExpression="riesgoResidual">
                                        <ItemStyle Width="150px" />
                                    </asp:BoundField>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRR %>"
                                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px"
                                        Visible="false">
                                        <ItemTemplate>
                                            <asp:Label ID="lblColorRR" runat="server" Text='<%# Eval("colorNivelRR")%>' Visible="false"></asp:Label>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center" />
                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="150px" />
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                            <br />
                            <br />
                            <table style="width: 80%;">
                                <tr>
                                    <td style="width: 524px">
                                        <asp:Label ID="Label10" runat="server" CssClass="subtituloTercerNivel" Text="<%$ Resources:lblEscenarios %>"></asp:Label>
                                    </td>
                                    <td style="width: 571px">
                                        <asp:Label ID="Label11" runat="server" CssClass="subtituloTercerNivel" Text="<%$ Resources:lblAreas %>"></asp:Label>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 524px" valign="top">
                                        <asp:GridView ID="gvListaEscenarios" runat="server" AutoGenerateColumns="false">
                                            <Columns>
                                                <asp:BoundField DataField="idEscenario" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                    ItemStyle-Width="60px" SortExpression="idEscenario" />
                                                <asp:BoundField DataField="descripcionEscenario" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                                                    ItemStyle-Width="420px" SortExpression="descripcionEscenario" />
                                            </Columns>
                                        </asp:GridView>
                                        <br />
                                        <br />
                                        <br />
                                        <br />
                                    </td>
                                    <td valign="Top" style="width: 571px">
                                        <asp:GridView ID="gvListaAreas" runat="server" AutoGenerateColumns="false" Width="426px">
                                            <Columns>
                                                <asp:BoundField DataField="idArea" HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="60px"
                                                    SortExpression="idArea">
                                                    <ItemStyle Width="70px" />
                                                </asp:BoundField>
                                                <asp:BoundField DataField="nombreArea" HeaderText="<%$ Resources:Idioma, lblNombre %>"
                                                    ItemStyle-Width="420px" SortExpression="nombreArea">
                                                    <ItemStyle Width="400px" />
                                                </asp:BoundField>
                                            </Columns>
                                        </asp:GridView>
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 524px">
                                        <asp:Label ID="lblAgentes" runat="server" CssClass="subtituloTercerNivel" Text="<%$ Resources: lblAgenteG %>"></asp:Label>
                                    </td>
                                    <td style="width: 571px">
                                        <asp:Label ID="lblActivos" runat="server" CssClass="subtituloTercerNivel" Text="<%$ Resources:Idioma,lblNombreActivo %>"></asp:Label>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 524px" valign="top">
                                        <asp:GridView ID="gvListaAgentes" runat="server" AutoGenerateColumns="false">
                                            <Columns>
                                                <asp:BoundField DataField="idAgente" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                    ItemStyle-Width="60px" SortExpression="idAgente" />
                                                <asp:BoundField DataField="nombreAgente" HeaderText="<%$ Resources:Idioma, lblNombre %>"
                                                    ItemStyle-Width="420px" SortExpression="nombreAgente" />
                                            </Columns>
                                        </asp:GridView>
                                        <br />
                                    </td>
                                    <td valign="top" style="width: 571px">
                                        <asp:GridView ID="gvListaActivos" runat="server" AutoGenerateColumns="false">
                                            <Columns>
                                                <asp:BoundField DataField="idActivo" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                    ItemStyle-Width="70px" SortExpression="idActivo" />
                                                <asp:BoundField DataField="descripcionActivo" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                                                    ItemStyle-Width="250px" SortExpression="descripcionActivo" />
                                                <asp:BoundField DataField="valorActivo" DataFormatString="{0:#,##0.00}" HeaderText="<%$ Resources:Idioma, lblvalor %>"
                                                    ItemStyle-HorizontalAlign="Right" ItemStyle-Width="120px" SortExpression="valorActivo" />
                                            </Columns>
                                        </asp:GridView>
                                        <br />
                                        <br />
                                        <br />
                                        <br />
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 524px" valign="top">
                                        <asp:Label ID="Label14" runat="server" CssClass="subtituloTercerNivel" Style="text-align: center"
                                            Text="<%$ Resources:Idioma,lblVulnerabilidad %>"></asp:Label>
                                    </td>
                                    <td style="width: 571px" valign="top">
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 524px" valign="top">
                                        <asp:Label ID="lblNoVulnerabilidades" runat="server" CssClass="colorError" Text=""
                                            Visible="false"></asp:Label>
                                        <asp:GridView ID="gvListaVulnerabilidades" runat="server" AutoGenerateColumns="false">
                                            <Columns>
                                                <asp:BoundField DataField="idVulnerabilidad" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                    ItemStyle-Width="60px" SortExpression="idVulnerabilidad" />
                                                <asp:BoundField DataField="descripcionVulnerabilidad" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                                                    ItemStyle-Width="420px" SortExpression="descripcionVulnerabilidad" />
                                            </Columns>
                                        </asp:GridView>
                                    </td>
                                    <td style="width: 571px" valign="top">
                                        &nbsp;
                                    </td>
                                </tr>
                            </table>
                            <br />
                            <br />
                        </td>
                    </tr>
                </table>
            </asp:View>
            <asp:View ID="vwAnalisisHallazgos" runat="server">
                <table width="100%" cellpadding="0" cellspacing="0">
                    <tr valign="top">
                        <td class="TabArea" style="width: 95%" align="center">
                            <br />
                            <table>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblDetalleHallazgo" runat="server" Height="22px" Text="<%$ Resources:Idioma, detalleHallazgo %>"
                                            Width="153px"></asp:Label>
                                        *
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td style="width: 550px; height: 23px; text-align: left;">
                                        <asp:TextBox ID="txtdetalleHallazgo" runat="server" Height="44px" MaxLength="8000"
                                            TextMode="MultiLine" Width="550px"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="rvtxtdetalleHallazgo" runat="server" ControlToValidate="txtdetalleHallazgo">
                                            <asp:Label ID="lblDetalleObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDetalleHallazgoObligatorio %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblCausasHallazgo" runat="server" Text="<%$ Resources:Idioma, lblCausasHallazgo %>"
                                            Height="22px" Width="153px"></asp:Label>
                                        *<br />
                                        <br />
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                    </td>
                                    <td style="text-align: left; width: 233px; height: 23px;">
                                        <asp:TextBox ID="txtCausasHallazgo" runat="server" Height="44px" MaxLength="8000"
                                            TextMode="MultiLine" Width="550px"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="rfvtxtCausasHallazgo" runat="server" ControlToValidate="txtCausasHallazgo">
                                            <asp:Label ID="lblCausasHallazgoObligatoria" runat="server" Text="<%$ Resources:Idioma, lblCausasHallazgoObligatorio %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblDescripcionImpacto" runat="server" Text="<%$ Resources:Idioma, lblDescripcioImpacto %>"
                                            Height="22px" Width="153px"></asp:Label>
                                        *<br />
                                        <br />
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:TextBox ID="txtDescripcionImpacto" runat="server" Height="44px" MaxLength="3000"
                                            TextMode="MultiLine" Width="550px"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="rfvDescripcionImpacto" runat="server" ControlToValidate="txtDescripcionImpacto">
                                            <asp:Label ID="lblDescripcionImpactoObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDescripcionImpactoObligatoriedad %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblCalificacionesDelImpacto" runat="server" Text="<%$ Resources:Idioma, lblCalificacionesImpacto %>"></asp:Label>
                                        *
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:DropDownList ID="drpCalificacionesImpacto" runat="server">
                                        </asp:DropDownList>
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 250px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblTipoEstandaromparacion" runat="server" Text="<%$ Resources:Idioma, lblTipoEstandarComparacion %>"></asp:Label>
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:DropDownList ID="drpTipoEstandarComparacion" runat="server">
                                        </asp:DropDownList>
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblEstandarComparacion" runat="server" Text="<%$ Resources:Idioma, lblEstandarComparacion %>"></asp:Label>
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:TextBox ID="txtEstandarComparacion" runat="server" Height="44px" MaxLength="1000"
                                            TextMode="MultiLine" Width="550px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        &nbsp;
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        &nbsp;
                                    </td>
                                </tr>
                            </table>
                            <table style="width: 618px">
                                <tr>
                                    <td>
                                        <asp:Button ID="btnGuardar" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnGuardar %>"
                                            Width="60px" />
                                    </td>
                                </tr>
                            </table>
                            <br />
                            <br />
                        </td>
                    </tr>
                </table>
            </asp:View>
            <asp:View ID="vwRecomendaciones" runat="server">
                <table width="100%" cellpadding="0" cellspacing="0" align="center">
                    <tr valign="top">
                        <td style="width: 95%" align="center" class="TabArea">
                            <br />
                            <br />
                            <table>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblIdRecomendacion" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblId %>"
                                            Width="153px"></asp:Label>
                                        *<br />
                                        <br />
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:TextBox ID="TxtIdRecomendacion" runat="server" Height="22px" Width="82px" ReadOnly="true"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblRecomendacion" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblNombre %>"
                                            Width="153px"></asp:Label>
                                        *<br />
                                        <br />
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:TextBox ID="txtRecomendacion" runat="server" Height="22px" Width="550px" MaxLength="200"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="rfvDescribeRecomendacion" runat="server" ControlToValidate="txtRecomendacion">
                                            <asp:Label ID="lblRecomendacionObligatoria" runat="server" Text="<%$ Resources:Idioma, lblDescribeRecomendacionObligatoria %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblDetalleRecomendacion" runat="server" Text="<%$ Resources:Idioma, lblDetalle %>"></asp:Label>
                                        *
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:TextBox ID="txtDetalleRecomendacion" runat="server" Height="44px" TextMode="MultiLine"
                                            Width="550px" MaxLength="3000"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="rfvtxtDetalleRecomendacion" runat="server" ControlToValidate="txtDetalleRecomendacion">
                                            <asp:Label ID="lblDetalleRecomendacionObligatorio" runat="server" Text="<%$ Resources:Idioma, lblDetalleRecomendacionObligatoria %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblPrioridad" runat="server" Text="<%$ Resources:Idioma, lblPrioridad %>"></asp:Label>
                                        *
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:DropDownList ID="drpPrioridadRecomendacion" runat="server">
                                        </asp:DropDownList>
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        &nbsp;
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        &nbsp;
                                    </td>
                                </tr>
                            </table>
                            <table style="width: 618px">
                                <tr>
                                    <td>
                                        <asp:Button ID="btnGuardarRecomendacion" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnGuardar %>"
                                            Width="71px" />
                                    </td>
                                </tr>
                            </table>
                            <br />
                            <asp:Label ID="lblNoRecomendaciones" runat="server" Text="" Visible="False" CssClass="colorError"></asp:Label>
                            <br />
                            <asp:GridView ID="gvListaRecomendaciones" runat="server" AutoGenerateColumns="False"
                                Width="800px">
                                <Columns>
                                    <asp:BoundField DataField="idRecomendacion" HeaderText="<%$ Resources:Idioma, lblId %>"
                                        ItemStyle-Width="70px" SortExpression="idRecomendacion">
                                        <ItemStyle Width="70px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="descripcion" HeaderText="<%$ Resources:Idioma, lblDescripcion %>"
                                        ItemStyle-Width="550px" SortExpression="descripcion">
                                        <ItemStyle Width="250px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="descripcionprioridad" HeaderText="<%$ Resources:Idioma, lblPrioridad %>"
                                        ItemStyle-HorizontalAlign="Left" ItemStyle-Width="120px" SortExpression="descripcionprioridad">
                                        <ItemStyle HorizontalAlign="Left" Width="120px" />
                                    </asp:BoundField>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="150px">
                                        <ItemTemplate>
                                            <asp:LinkButton ID="lnkEditar" runat="server" CausesValidation="false" CommandArgument='<%# Eval("idRecomendacion")%>'
                                                CommandName="EDITAR">
                                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                            </asp:LinkButton>
                                            <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorradoRecomendacion').innerHTML)) return false;"
                                                runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idRecomendacion")%>'
                                                CausesValidation="false">
                                                <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                                            &nbsp;&nbsp;
                                            <asp:Label ID="lblidPrioridad" runat="server" Text='<%# Eval("idPrioridad")%>' Visible="False">
                                            </asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                            <br />
                            <br />
                        </td>
                    </tr>
                </table>
            </asp:View>
            <asp:View ID="vwReferencias" runat="server">
                <table width="100%" cellpadding="0" cellspacing="0" align="center">
                    <tr valign="top">
                        <td style="width: 95%" align="center" class="TabArea">
                            <br />
                            <br />
                            <table>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblid" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblId %>"
                                            Width="125px"></asp:Label>
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td style="text-align: left">
                                        <asp:TextBox ID="txtidReferencia" runat="server" ReadOnly="true"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblRequerimiento" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblMedio %>"
                                            Width="125px"></asp:Label>
                                        *
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                    </td>
                                    <td style="text-align: left">
                                        <asp:DropDownList ID="drpMedio" runat="server" AutoPostBack="True">
                                            <asp:ListItem Value="Magnetico">Magnetico</asp:ListItem>
                                            <asp:ListItem Value="Papel">Papel</asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 40px; text-align: right;">
                                        <asp:Label ID="lblReferencia" runat="server" Height="24px" Text="<%$ Resources:Idioma, lblReferencia %>"
                                            Width="144px"></asp:Label>
                                        *
                                    </td>
                                    <td style="width: 8px; height: 40px;">
                                    </td>
                                    <td style="text-align: left">
                                        <input id="MyFile" runat="server" type="file" /><br />
                                        &nbsp;<asp:TextBox ID="txtReferencia" runat="server" Visible="false" Width="550px"
                                            Height="54px" TextMode="MultiLine" MaxLength="1000"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="rfvMyFile" runat="server" ControlToValidate="MyFile">
                                            <asp:Label ID="lblMyFileObligatorio" runat="server" Text="<%$ Resources:Idioma, lblReferenciaObligatoria %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                        <asp:RequiredFieldValidator ID="rfvRefPapel" runat="server" ControlToValidate="txtReferencia">
                                            <asp:Label ID="lblReferenciapapelobligatoria" runat="server" Text="<%$ Resources:Idioma, lblReferenciaObligatoria %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 40px; text-align: right;">
                                        &nbsp;
                                    </td>
                                    <td style="width: 8px; height: 40px;">
                                        &nbsp;
                                    </td>
                                    <td style="text-align: left">
                                        <asp:Button ID="btnagregarReferencia" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" />
                                    </td>
                                </tr>
                            </table>
                            <br />
                            <br />
                            <asp:Label ID="lblNoReferencias" runat="server" CssClass="colorError" Text="" Visible="False"></asp:Label>
                            <br />
                            <asp:GridView ID="gvListaReferencias" runat="server" AutoGenerateColumns="False"
                                Width="589px">
                                <Columns>
                                    <asp:BoundField DataField="idReferencia" HeaderText="<%$ Resources:Idioma, lblId %>"
                                        ItemStyle-Width="70px" SortExpression="idReferencia">
                                        <ItemStyle Width="70px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="medio" HeaderText="<%$ Resources:Idioma, lblMedio %>"
                                        ItemStyle-Width="150px" SortExpression="medio">
                                        <ItemStyle Width="150px" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="referencia" HeaderText="<%$ Resources:Idioma, lblReferencia %>"
                                        ItemStyle-HorizontalAlign="Left" SortExpression="referencia" ItemStyle-Width="65%">
                                    </asp:BoundField>
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="25%">
                                        <ItemTemplate>
                                            <asp:LinkButton ID="lnkEditarref" runat="server" CausesValidation="false" CommandArgument='<%# Eval("idReferencia")%>'
                                                CommandName="EDITAR">
                                                <asp:Label ID="lblEditarref" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                            </asp:LinkButton>
                                            &nbsp;&nbsp;
                                            &nbsp;&nbsp;
                                            <asp:LinkButton ID="lnkVerref" runat="server" CommandName="VER" CommandArgument='<%# Eval("idReferencia")%>'
                                                CausesValidation="false">
                                                <asp:Label ID="lblVerref" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                            <br />
                            <br />
                            <br />
                        </td>
                    </tr>
                </table>
            </asp:View>
            <asp:View ID="vwValidacion" runat="server">
                <table width="100%" cellpadding="0" cellspacing="0" align="center">
                    <tr valign="top">
                        <td style="width: 95%" align="center" class="TabArea">
                            <asp:UpdatePanel ID="upTabla" runat="server">
                                <ContentTemplate>
                                    <br />
                                    <asp:Label ID="lblValidaciones" runat="server" CssClass="subtituloSegundoNivel" Text="<%$ Resources:Idioma,Validacion %>"></asp:Label>
                                    <br />
                                    <asp:Label ID="lblExitoValidacion" runat="server" CssClass="colorExito" Visible="False"></asp:Label>
                                    <br />
                                    <table width="80%">
                                        <tr>
                                            <td style="text-align: right;">
                                                <asp:Label ID="lblFechaValidacion" runat="server" Text="<%$ Resources:Idioma, FechaValidacionInforme %>"></asp:Label>
                                                &nbsp;
                                            </td>
                                            <td align="left" style="text-align: left; width: 406px;">
                                                <asp:Label ID="lblfechavalido" runat="server" Text=""></asp:Label>
                                            </td>
                                            <td align="left" style="text-align: left; width: 21px;">
                                                &nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="text-align: right;">
                                                &nbsp;
                                            </td>
                                            <td align="left" style="text-align: left; width: 406px;">
                                                &nbsp;
                                            </td>
                                            <td align="left" style="text-align: left; width: 21px;" valign="top">
                                                &nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="text-align: right;">
                                                <asp:Label ID="lblValidadoCon" runat="server" Height="22px" Text="<%$ Resources:Idioma, ValidadoCon %>"
                                                    Width="153px"></asp:Label>
                                                *<br />
                                                <br />
                                            </td>
                                            <td align="left" style="text-align: left; width: 406px;" valign="top">
                                                <asp:RequiredFieldValidator ID="rfvCargos" runat="server" ControlToValidate="drpCargos">
                                                    <asp:Label ID="lblCargosObligatorio" runat="server" Text="<%$ Resources:Idioma, ValidadoConObliga %>"></asp:Label>
                                                </asp:RequiredFieldValidator>
                                                <asp:TextBox ID="txtbuscaCargos" runat="server" OnTextChanged="txtbuscaCargos_TextChanged"
                                                    Style="position: absolute; top: 2354px; left: 298px; width: 4px;"></asp:TextBox>
                                                <table>
                                                    <tr>
                                                        <td style="text-align: center;">
                                                            &nbsp;<asp:DropDownList ID="drpCargos" runat="server" AutoPostBack="true" Enabled="true"
                                                                OnSelectedIndexChanged="drpCargos_SelectedIndexChanged" Width="250px">
                                                            </asp:DropDownList>
                                                            <br />
                                                            <br />
                                                            <asp:Label ID="lblNoCargos" runat="server" CssClass="colorError" Visible="false"></asp:Label>
                                                            &nbsp;&nbsp;&nbsp;<br />
                                                        </td>
                                                        <td style="text-align: center;">
                                                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;
                                                        </td>
                                                        <td style="text-align: center;">
                                                            <asp:Label ID="lblCodigoNoValido" runat="server" CssClass="colorError" Visible="false"></asp:Label>
                                                            <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                                                            <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal"
                                                                Width="162px">
                                                                <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                                                                <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                                                            </asp:RadioButtonList>
                                                            <br />
                                                            <asp:Label ID="lblDebeSeleccionarCriterio" runat="server" Visible="False" CssClass="colorError"></asp:Label>
                                                        </td>
                                                        <td style="text-align: center;">
                                                            &nbsp;<asp:TextBox ID="txtCriterio" runat="server" Height="16px" />
                                                            &nbsp;
                                                            <asp:Button ID="btnBuscarCargos" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnBuscar %>" />
                                                            &nbsp;&nbsp;<br />
                                                            <br />
                                                            <asp:Button ID="btnMantenimientoCargos" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, lblMantenimientoCargos %>"
                                                                Width="199px" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td align="left" style="text-align: left; width: 21px;" valign="top">
                                                &nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="height: 23px; text-align: right;">
                                                <asp:Label ID="lblFuncionario" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblFuncionario %>"
                                                    Width="84px"></asp:Label>
                                                *
                                            </td>
                                            <td align="left" style="text-align: left; width: 406px;">
                                                <table style="width: 479px">
                                                    <tr>
                                                        <td style="text-align: center;">
                                                            &nbsp;<asp:DropDownList ID="drpFuncionarios" runat="server" Width="250px">
                                                            </asp:DropDownList>
                                                            <br />
                                                            <asp:RequiredFieldValidator ID="rfvdrpFuncionarios" runat="server" ControlToValidate="drpFuncionarios">
                                                                <asp:Label ID="lbldrpfuncionariosobligatorio" runat="server" Text="<%$ Resources:Idioma, FuncionarioObligatorio %>"></asp:Label>
                                                            </asp:RequiredFieldValidator>
                                                        </td>
                                                        <td style="text-align: center;">
                                                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;
                                                        </td>
                                                        <td style="text-align: center;">
                                                            &nbsp;
                                                        </td>
                                                        <td style="text-align: center;">
                                                            <asp:Button ID="btnMantenimientoFuncionarios" runat="server" CausesValidation="false"
                                                                Text="<%$ Resources:Idioma, lblMantenimientoFuncionario %>" Width="199px" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td align="left" style="text-align: left; width: 21px;">
                                                &nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="height: 23px; width: 178px; text-align: right;">
                                                &nbsp;
                                            </td>
                                            <td align="left" style="text-align: left; width: 406px;">
                                                &nbsp;
                                            </td>
                                            <td align="left" style="text-align: left; width: 21px;">
                                                &nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="text-align: right;">
                                                <asp:Label ID="lblResultadosValidacion" runat="server" Text="<%$ Resources:Idioma, ResultadosValidacion %>"></asp:Label>
                                                *
                                            </td>
                                            <td align="left" style="text-align: left; width: 406px;">
                                                <asp:RadioButtonList ID="rbResultadosValidacion" runat="server" AutoPostBack="True"
                                                    CssClass="alineacionIzquierda" RepeatDirection="Horizontal" TextAlign="Right"
                                                    Width="528px">
                                                    <asp:ListItem Text="<%$ Resources: Idioma, lblASO %>" Value="ASO"></asp:ListItem>
                                                    <asp:ListItem Text="<%$ Resources: Idioma, lblACO %>" Value="ACO"></asp:ListItem>
                                                    <asp:ListItem Text="<%$ Resources: Idioma, lblNoAceptado %>" Value="NA"></asp:ListItem>
                                                </asp:RadioButtonList>
                                                <br />
                                                <asp:RequiredFieldValidator ID="rfvrbResultadosValidacion" runat="server" ControlToValidate="rbResultadosValidacion">
                                                    <asp:Label ID="lblrbResultadosValidacionObligatorio" runat="server" Text="<%$ Resources:Idioma, lblResultadosValidacionobligatorio %>"></asp:Label>
                                                </asp:RequiredFieldValidator>
                                                <asp:TextBox ID="txtobservaciones" runat="server" Height="56px" MaxLength="300" TextMode="MultiLine"
                                                    Visible="false" Width="510px" ></asp:TextBox>
                                                <asp:Label ID="lblObservacion" runat="server" CssClass="colorError"></asp:Label>
                                            </td>
                                            <td align="left" style="text-align: left; width: 21px;">
                                            </td>
                                        </tr>
                                    </table>
                                    <br />
                                    <asp:Button ID="btnGuardarvalidacion" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnGuardar %>" />
                                    <br />
                                    <br />
                                    <br />
                                    <asp:Label ID="lblValidacion" runat="server" CssClass="subtituloSegundoNivel" Text="<%$ Resources:Idioma,Revision %>"></asp:Label>
                                    <br />
                                    <br />
                                    <table>
                                        <tr>
                                            <td style="width: 233px; height: 23px; text-align: right;">
                                                <asp:Label ID="lblFechaElaborado" runat="server" Height="22px" Text="<%$ Resources:Idioma, FechaRevision %>"
                                                    Width="153px"></asp:Label>
                                                &nbsp;
                                            </td>
                                            <td style="width: 14px; height: 23px;">
                                            </td>
                                            <td style="text-align: Left;">
                                                <asp:Label ID="lblfechaRevision" runat="server" Text=""></asp:Label>
                                            </td>
                                            <td style="width: 233px; height: 23px; text-align: right;">
                                                <asp:Label ID="lblRevisadopor" runat="server" Text="<%$ Resources:Idioma, lblrevisadopor %>"></asp:Label>
                                                &nbsp;
                                                <br />
                                            </td>
                                            <td style="width: 8px; height: 23px;">
                                            </td>
                                            <td align="left" style="text-align: left">
                                                <asp:Label ID="lblSupervisorreviso" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                    <br />
                                    <asp:Button ID="btnGuardarrevision" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, btnGuardar %>" />
                                    &nbsp;<asp:Button ID="btnAgregarToDos" runat="server" CausesValidation="False" Text="<%$ Resources:Idioma, lblObservacionTodo %>" />
                                    <br />
                                    <br />
                                    </td> </tr> </table>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                    </tr>
                </table>
            </asp:View>
        </asp:MultiView>
    </div>
    <br />
    <br />
    </div>
</asp:Content>
