﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="CuestionarioCriterio.aspx.vb" Inherits="AudiControl.CuestionarioCriterio"
    Title="<%$ Resources:Menu, m0404070402 %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">

    <script language="javascript" type="text/javascript" src="../../Js/Comun.js"></script>

    <asp:Label ID="lblIdEmpresa" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Style="display: none"></asp:Label>
    <asp:Label ID="lblIdRespuesta" runat="server" Style="display: none"></asp:Label>
    <div>
        <div class="headerContent ">
            <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"
                Width="130px"></asp:Label>
            <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label><br />
            <asp:Label ID="lblEstudio" runat="server" Text="<%$ Resources:Idioma, lblEstudio %> "
                Width="130px"></asp:Label>
            <asp:Label ID="lblNombreEstudio" runat="server"></asp:Label>
        </div>
        <div class="header">
            <asp:Label ID="lblResponderCuestionario" runat="server" Text="<%$ Resources:Menu, m0404070402 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <asp:Label CssClass="subtitulo" runat="server" Text="<%$ Resources: Idioma, SeleccioneCaracteristica %>"></asp:Label><br />
            <br />
            <asp:DropDownList ID="drpCaracteristica" runat="server" AutoPostBack="true">
            </asp:DropDownList>
            <br />
            <asp:Label ID="SinRespuesta" CssClass="colorError" runat="server"></asp:Label><br />
            <br />
            <asp:GridView ID="gvCuestionario" runat="server" AutoGenerateColumns="false" DataKeyNames="idCuestionarioCriterio"
                Width="800px">
                <Columns>
                    <asp:BoundField DataField="idPregunta" HeaderText="<%$ Resources: Idioma, lblId %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-Width="50px" />
                    <asp:BoundField DataField="descripcionPregunta" HeaderText="<%$ Resources: Idioma, Criterio %>"
                        ItemStyle-HorizontalAlign="Center" ItemStyle-Width="400px" />
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="left"
                        HeaderText="<%$ Resources: Idioma, lblRespuestaGridView %>" ItemStyle-VerticalAlign="Top"
                        ItemStyle-Width="180px">
                        <ItemTemplate>
                            <asp:Label ID="lblRespuesta" Text='<%# Eval("idRespuesta") %>' runat="server" Visible="false"></asp:Label>
                            <asp:DropDownList ID="drpRespuesta" runat="server">
                            </asp:DropDownList>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                        ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px" HeaderText="<%$ Resources:Idioma, lblComentarios %>">
                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" />
                        <ItemTemplate>
                            <asp:TextBox ID="txtComentario" runat="server" Text='<%# Eval("comentario") %>' Width="250px"
                                TextMode="MultiLine" MaxLength="300" onblur="valirLongitud(this,300);"></asp:TextBox>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="idCuestionarioCriterio" Visible="false" />
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="btnGuardarRespuesta" runat="server" Text="<%$ Resources: Idioma, btnGuardar %>" />&nbsp;
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnreporte %>"
                Enabled="false" />
        </div>
    </div>
</asp:Content>
