﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ConfiguracionCorreos.aspx.vb" Inherits="AudiControl.ConfiguracionCorreos"
    Title="<%$ Resources:Menu, m04030204 %>" %>

<%@ Register Src="../../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblConfiguracionCoreosCorporativos" runat="server" Text="<%$ Resources:Idioma, lblConfiguracionCoreosCorporativos %>"></asp:Label>
    </div>
    <br />
    <asp:Label ID="lblEnvioCorreoPrueba" runat="server" CssClass="colorError" Visible="true"
        Text="<%$ Resources:Idioma, EnvioCorreoPrueba %>"></asp:Label>
    <br />
    <asp:Label ID="lblExito" runat="server" Text="" CssClass="colorExito"></asp:Label>
    <asp:Label ID="lblErrorEnvio" runat="server" CssClass="colorError"></asp:Label>
    <br />
    <div align="center">
        <table style="margin-right: 0px">
            <tr>
                <td style="text-align: right; vertical-align: top">
                    <asp:Label ID="lblHostSMTP" runat="server" Text="<%$ Resources:Idioma, ServidorSMTP %>"></asp:Label>
                    *
                </td>
                <td style="text-align: left; width: 372px;" valign="top">
                    <asp:TextBox ID="txtHost" runat="server" Width="396px" MaxLength="200" Height="20px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvtxtHost" runat="server" ControlToValidate="txtHost">
                        <asp:Label ID="lblHostObligatorio" runat="server" Text="<%$ Resources:Idioma, lblHostObligatorio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="text-align: right" valign="Top">
                    <asp:Label ID="lblPuerto" runat="server" Text="<%$ Resources: Idioma, Puerto %>"></asp:Label>
                    *
                </td>
                <td style="text-align: left; width: 372px;">
                    <asp:TextBox ID="txtPuerto" runat="server" Height="20px" Width="396px" />
                    <asp:RequiredFieldValidator ID="rfvtxtPuerto" runat="server" ControlToValidate="txtPuerto">
                        <asp:Label ID="lblPuertoobligatorio" runat="server" Text="<%$ Resources:Idioma, lblPuertoobligatorio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="text-align: right; vertical-align: top">
                    <asp:Label ID="lblEmailOrigen" runat="server" Text="<%$ Resources:Idioma, EmailOrigen %>"></asp:Label>
                    *
                </td>
                <td style="text-align: left; width: 372px;" valign="top">
                    <asp:TextBox ID="txtUsuario" runat="server" Height="20px" MaxLength="1000" Width="396px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvtxtUsuario" runat="server" ControlToValidate="txtUsuario">
                        <asp:Label ID="lblEmailobligatorio" runat="server" Text="<%$ Resources:Idioma, lblEmailobligatorio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="revEmail" runat="server" ControlToValidate="txtUsuario"
                        ErrorMessage="<%$ Resources:Idioma, FormatoCorreoNoValido %>" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*">
                        <asp:Label ID="lblFormatoCorreoNoValido" runat="server" Text="<%$ Resources:Idioma, FormatoCorreoNoValido %>"></asp:Label></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td style="text-align: right; vertical-align: top">
                    <asp:Label ID="lblAliasEmailOrigen" runat="server" Text="<%$ Resources:Idioma, AliasEmailOrigen %>"></asp:Label>
                    *
                </td>
                <td style="text-align: left; width: 372px;" valign="top">
                    <asp:TextBox ID="txtAlias" runat="server" Height="20px" MaxLength="1000" Width="396px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvtxtAlias" runat="server" ControlToValidate="txtAlias">
                        <asp:Label ID="lblAliasObligatorio" runat="server" Text="<%$ Resources:Idioma, lblAliasEmailobligatorio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="text-align: right; vertical-align: top">
                    <asp:Label ID="lblcontrasenna" runat="server" Text="<%$ Resources:Idioma, lblPassword %>"></asp:Label>
                    *
                </td>
                <td style="text-align: left; width: 372px;" valign="top">
                    <asp:TextBox ID="txtContraseña" TextMode="Password" runat="server" Height="20px"
                        MaxLength="100" Width="398px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvtxtContraseña" runat="server" ControlToValidate="txtContraseña">
                        <asp:Label ID="lblContrasenaobligatoria" runat="server" Text="<%$ Resources:Idioma, lblContrasenaObligatoria %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="text-align: right; vertical-align: top">
                    <asp:Label ID="lblHabilitadoSSL" runat="server" Text="<%$ Resources:Idioma, HabilitadoSSL %>"></asp:Label>
                    *
                </td>
                <td style="text-align: left; width: 372px;" valign="top">
                    <asp:CheckBox ID="ChkHabilSSL" runat="server" />
                </td>
            </tr>
            <tr>
                <td colspan="2" style="text-align: center; height: 60px">
                    <br />
                    <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                        CausesValidation="true" />
                    &nbsp; &nbsp;
                    <%-- <asp:Button ID="btnGuardar0" runat="server" Text="EnviarCorreo" 
                    CausesValidation="true" />--%>
                    <br />
                </td>
            </tr>
        </table>
    </div>
    <br />
</asp:Content>
