﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="audListarEmpresasAuditadas.aspx.vb" Inherits="AudiControl.audListarEmpresasAuditadas"
    Title="<%$ Resources:TituloPaginas, TitEjecucionAuditoria %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <br />

    <script language="javascript" type="text/javascript" src="../Js/Comun.js"></script>

    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoEscenario" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTipoEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEstudio" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgEliminaEscenario %>"
        runat="server" Style="display: none"></asp:Label>
    <div class="alineacionIzquierda">
        <asp:Label ID="lblRuta1" runat="server" Text="<%$ Resources:Rutas, lblEmpresaAuditada %>"
            CssClass="ruta" Visible="false"></asp:Label>
    </div>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblListadoEmpresas" runat="server" Text="<%$ Resources:TituloPasos, lblListadoEmpresas %>"></asp:Label>
    </div>
    <br />
    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    <div style="text-align: center">
        <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
        <asp:Label ID="lblNoEscenario" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
        <asp:GridView ID="gvListaEmpresas" runat="server" AutoGenerateColumns="False" AllowPaging="True"
            PageSize="15">
            <Columns>
                <asp:BoundField DataField="idEmpresa" SortExpression="idEmpresa" HeaderText="id"
                    ItemStyle-Width="60px">
                    <ItemStyle Width="60px"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="NombreEmpresa" SortExpression="NombreEmpresa" HeaderText="Nombre"
                    ItemStyle-Width="350px">
                    <ItemStyle Width="350px"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="nombresector" SortExpression="nombresector" HeaderText="Sector"
                    ItemStyle-Width="110px">
                    <ItemStyle Width="110px"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="nombreTipoEmpresa" SortExpression="nombreTipoEmpresa"
                    HeaderText="Tipo" ItemStyle-Width="110px">
                    <ItemStyle Width="110px"></ItemStyle>
                </asp:BoundField>
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px">
                    <ItemTemplate>
                        <asp:LinkButton ID="LinkAbrirEmpresas" runat="server" CommandName="Abrir" CommandArgument='<%# Eval("idEmpresa")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblAbrirEmpresas" runat="server" Text="<%$ Resources:Idioma, lblAbrir %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idEmpresa")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkEliminar" OnClientClick="return ConfirmarEliminar(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)"
                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idEmpresa")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                    </ItemTemplate>
                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                    <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="250px"></ItemStyle>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
    </div>
    <br />
    <table>
        <tr>
            <td>
                <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal">
                    <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                </asp:RadioButtonList>
                <br />
                <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                    <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label></asp:RequiredFieldValidator>
            </td>
            <td>
                <br />
                <asp:TextBox ID="txtCriterio" runat="server" />
                &nbsp;
                <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                    CausesValidation="true" />
                <br />
                <asp:RequiredFieldValidator ID="rfvBusqueda" runat="server" ControlToValidate="txtCriterio">
                    <asp:Label ID="lblBusqueda" runat="server" Text="<%$ Resources: Idioma, lblCriterio %>"></asp:Label></asp:RequiredFieldValidator>
                <br />
            </td>
            <td style="text-align: center;">
                <br />
                &nbsp; &nbsp;
                <asp:Button ID="btnAgregarEscenario" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                    CausesValidation="false" />
                <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporteEscenarios %>"
                    CausesValidation="False" Width="145px" />
                &nbsp;
                <asp:Button ID="btnReporteRelacion" runat="server" Text="<%$ Resources:Idioma, btnReporteRelacion %>"
                    CausesValidation="False" Width="145px" />
                <br />
                &nbsp;&nbsp;&nbsp; &nbsp;
                <asp:Button ID="btnVolver" runat="server" Text="<%$ Resources:Idioma, btnVolver %>"
                    CausesValidation="false" Height="19px" Width="66px" />
            </td>
        </tr>
    </table>
</asp:Content>
