﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="DetallarPlanExteno.aspx.vb" Inherits="AudiControl.DetallarPlanExteno"
    Title="<%$ Resources:TituloPaginas, TitEditarTrabajoProcesos %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresaAuditada" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresaAuditora" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdTrabajoAudCandidato" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblMantTrabajoCandAudProcesos %>"></asp:Label>
    </div>
    <br />
    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <div align="center">
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Width="247px"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <table>
            <tr>
                <td class="alineacionIzquierda">
                    <asp:Label ID="lblEmpresaAuditada" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <asp:Label ID="lblExito" runat="server" CssClass="colorExito" Visible="False"></asp:Label>
    <br />
    <div class="alineacionIzquierda">
        <asp:Menu ID="MenuPestanas" runat="server" Font-Bold="true" Orientation="Horizontal"
            BorderStyle="solid" BorderColor="White" BorderWidth="1px" OnMenuItemClick="MenuPestanas_MenuItemClick">
            <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
            <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
            <DynamicHoverStyle ForeColor="White" Font-Bold="True" Font-Size="Medium" BackColor="LightCoral" />
            <StaticMenuStyle BackColor="#F4E8AF" BorderWidth="1px" BorderColor="white" ForeColor="Black" />
            <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
            <StaticHoverStyle ForeColor="White" Font-Bold="True" BackColor="orange" BorderColor="Black"
                BorderStyle="Inset" BorderWidth="1px" />
            <StaticSelectedStyle BorderColor="Black" BorderWidth="1px" BorderStyle="solid" BackColor="#FAFAE7" />
            <DynamicSelectedStyle BorderColor="Black" BorderWidth="1px" BorderStyle="Solid" BackColor="#FAFAE7" />
            <Items>
                <asp:MenuItem Text="0" Value="0"></asp:MenuItem>
                <asp:MenuItem Text="1" Value="1"></asp:MenuItem>
                <asp:MenuItem Text="2" Value="2"></asp:MenuItem>
            </Items>
        </asp:Menu>
    </div>
    <div align="center">
        <asp:MultiView ID="MultiView1" runat="server" ActiveViewIndex="0">
            <asp:View ID="Tab1" runat="server">
                <table width="100%" cellpadding="0" cellspacing="0">
                    <tr valign="top">
                        <td class="TabArea" style="width: 100%" align="center">
                            <br />
                            <asp:Label ID="lblHoraslabmayordurest" runat="server" CssClass="colorError" Text="<%$ Resources:Idioma, lblHoraslabmenorHorasestima %>"
                                Visible="false"></asp:Label>
                            <br />
                            <br />
                            <table>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblTrabajo" runat="server" Text="<%$ Resources:Idioma, lblTrabajoCand %>"
                                            Height="22px" Width="153px"></asp:Label>
                                        *<br />
                                        <br />
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                    </td>
                                    <td align="left">
                                        <asp:TextBox ID="txtTrabajo" runat="server" Width="372px" Height="20px" MaxLength="150"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="rfvTrabajo" runat="server" ControlToValidate="txtTrabajo">
                                            <asp:Label ID="lblDescripcionObligatoria" runat="server" Text="<%$ Resources:Idioma, lblTrabajoObligatorio %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblAlcance" runat="server" Text="<%$ Resources:Idioma, lblAlcance %>"
                                            Height="22px" Width="153px"></asp:Label>
                                        *<br />
                                        <br />
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:TextBox ID="txtAlcance" runat="server" Width="372px" Height="44px" MaxLength="700"
                                            TextMode="MultiLine"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="rfvAlcance" runat="server" ControlToValidate="txtAlcance">
                                            <asp:Label ID="lblAlcenceObligatorio" runat="server" Text="<%$ Resources:Idioma, lblAlcanceObligatorio %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblDurEstimada" runat="server" Text="<%$ Resources:Idioma, lblDurEstimada %>"></asp:Label>
                                        *
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:TextBox ID="txtDurEstimada" runat="server"></asp:TextBox>
                                        <asp:RegularExpressionValidator ID="rvNumerosDuracionEstimada" runat="server" ControlToValidate="txtDurEstimada"
                                            Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                            ValidationExpression="\d*\,?\d*"></asp:RegularExpressionValidator>
                                        <br />
                                        <asp:RequiredFieldValidator ID="rvdurEstimada" runat="server" ControlToValidate="txtDurEstimada">
                                            <asp:Label ID="lbltxtDurEstimada" runat="server" Text="<%$ Resources:Idioma, lblDurEstimadaObligatoria %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblHorasLab" runat="server" Text="<%$ Resources:Idioma, lblHorasLab %>"></asp:Label>
                                        *
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:TextBox ID="txtHorasLab" runat="server" Width="70px"></asp:TextBox>
                                        <asp:RegularExpressionValidator ID="rvhoraslabobligatorias" runat="server" ControlToValidate="txtHorasLab"
                                            Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                            ValidationExpression="\d*\,?\d*"></asp:RegularExpressionValidator>
                                        <br />
                                        <asp:RequiredFieldValidator ID="rvHoraslab" runat="server" ControlToValidate="txtHorasLab">
                                            <asp:Label ID="lbltxtHorasLab" runat="server" Text="<%$ Resources:Idioma, lblHoraslabobligatorio %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblFechaInicio" runat="server" Text="<%$ Resources:Idioma, lblFechaInicio %>"></asp:Label>
                                        <asp:Label ID="lblAsterisco5" runat="server" Text="<%$ Resources:Idioma, lblAsterisco %>"></asp:Label>
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:TextBox ID="txtFechaInicio" runat="server" Height="21px" Width="101px"></asp:TextBox>
                                        <asp:Button ID="btnSeleccionarFechaInicio" runat="server" ForeColor="Black" Height="17px"
                                            Text="..." Width="22px" CausesValidation="false" />
                                        <asp:Calendar ID="cdFechaInicio" runat="server" BackColor="White" BorderColor="#7798DD"
                                            BorderWidth="1px" CellPadding="1" DayNameFormat="Shortest" Font-Names="Verdana"
                                            Font-Size="8pt" ForeColor="#003399" Height="175px" NextPrevFormat="ShortMonth"
                                            SelectionMode="Day" Visible="false" Width="216px">
                                            <SelectedDayStyle BackColor="#009999" Font-Bold="True" ForeColor="#CCFF99" />
                                            <SelectorStyle BackColor="#99CCCC" ForeColor="#336666" />
                                            <WeekendDayStyle BackColor="#CCCCCC" />
                                            <TodayDayStyle BackColor="#99CCCC" ForeColor="White" />
                                            <OtherMonthDayStyle ForeColor="#999999" />
                                            <NextPrevStyle Font-Size="8pt" ForeColor="#CCCCFF" />
                                            <DayHeaderStyle BackColor="#99CCCC" ForeColor="#336666" Height="1px" />
                                            <TitleStyle BackColor="#003399" BorderColor="#3366CC" BorderWidth="1px" Font-Bold="True"
                                                Font-Size="10pt" ForeColor="#CCCCFF" Height="25px" />
                                        </asp:Calendar>
                                        <br />
                                        <asp:RequiredFieldValidator ID="rvtxtFechainicio" runat="server" ControlToValidate="txtFechaInicio">
                                            <asp:Label ID="lbltxtFechaInicio" runat="server" Text="<%$ Resources:Idioma, lblFechaInicioObligatoria %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                        <br />
                                        <asp:CompareValidator ID="cvtxtFechaInicio" runat="server" ErrorMessage="<%$ Resources:Idioma, lblFechaInicioValida %>"
                                            ControlToValidate="txtFechaInicio" Type="Date" Operator="DataTypeCheck"></asp:CompareValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblCantAuditores" runat="server" Text="<%$ Resources:Idioma, lblCantAuditores %>"></asp:Label>
                                        *
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:TextBox ID="txtCantAuditores" runat="server" Width="70px"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="rfvCantidadAuditories" runat="server" ControlToValidate="txtCantAuditores">
                                            <asp:Label ID="lblCantidadAuditoresObligatoria" runat="server" Text="<%$ Resources:Idioma, lbCantidaAuditoresObligatorio %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                        <br />
                                        <asp:RegularExpressionValidator ID="rvnumeroCAntidadAuditores" runat="server" ControlToValidate="txtCantAuditores"
                                            Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                            ValidationExpression="\d*\,?\d*"></asp:RegularExpressionValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblDiasFeriados" runat="server" Text="<%$ Resources:Idioma, lblNumDiasFeriados %>"></asp:Label>
                                        *
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:TextBox ID="txtDiasFeriados" runat="server" Width="70px"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="rvtxtDiasFeriados" runat="server" ControlToValidate="txtDiasFeriados">
                                            <asp:Label ID="lbltxtDiasFeriados" runat="server" Text="<%$ Resources:Idioma, lbDiasFeriadosObligatorio %>"></asp:Label><br />
                                        </asp:RequiredFieldValidator>
                                        <asp:RegularExpressionValidator ID="rvnumerodiasferiados" runat="server" ControlToValidate="txtDiasFeriados"
                                            Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                            ValidationExpression="\d*\,?\d*"></asp:RegularExpressionValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblValorHora" runat="server" Text="<%$ Resources:Idioma, lblValorHora %>"></asp:Label>
                                        *
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:TextBox ID="txtValorHora" runat="server" Width="70px"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="rvtxtValorHora" runat="server" ControlToValidate="txtValorHora">
                                            <asp:Label ID="lbltxtValorHora" runat="server" Text="<%$ Resources:Idioma, lblValorHoraObligatorio %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                        <br />
                                        <asp:RegularExpressionValidator ID="rvValorHora" runat="server" ControlToValidate="txtValorHora"
                                            Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                            ValidationExpression="\d*\,?\d*"></asp:RegularExpressionValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        <asp:Label ID="lblsupervisa" runat="server" Text="<%$ Resources:Idioma, lblSupervisor %>"></asp:Label>
                                        *
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        <asp:TextBox ID="txtSupervisor" runat="server" Width="300px"></asp:TextBox>
                                        <asp:RequiredFieldValidator ID="rvtxtSupervisor" runat="server" ControlToValidate="txtSupervisor">
                                            <asp:Label ID="lbltxtSupervisor" runat="server" Text="<%$ Resources:Idioma, lblSupervisorObligatorio %>"></asp:Label>
                                        </asp:RequiredFieldValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 233px; height: 23px; text-align: right;">
                                        &nbsp;
                                    </td>
                                    <td style="width: 8px; height: 23px;">
                                        &nbsp;
                                    </td>
                                    <td align="left" style="text-align: left">
                                        &nbsp;
                                    </td>
                                </tr>
                            </table>
                            <table style="width: 618px">
                                <tr>
                                    <td>
                                        <asp:Button ID="btnCalcularSemReq" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnGuardar %>"
                                            Width="206px" />
                                    </td>
                                </tr>
                            </table>
                            <br />
                            <table id="tblOtrosDatos" runat="server">
                                <tr>
                                    <td colspan="3">
                                        <asp:Label ID="lblSemanaReq" runat="server" CssClass="subtituloTercerNivel"></asp:Label>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <asp:Label ID="lblDistribucion" runat="server" Text="<%$ Resources:Idioma, lblDustribucionHoras %>"></asp:Label>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="text-align: left; width: 120px;">
                                        <asp:Label ID="lblSupervisor" runat="server" Text="<%$ Resources:Idioma, lblSupervisor %>"></asp:Label>
                                        <br />
                                        <asp:TextBox ID="txtHorasResp" runat="server" Width="70px" Height="17px" ReadOnly="true"></asp:TextBox>
                                    </td>
                                    <td colspan="1" style="text-align: left; width: 97px;">
                                        <asp:Label ID="lblGerente" runat="server" Text="<%$ Resources:Idioma, lblGerente %>"></asp:Label>
                                        <br />
                                        <asp:TextBox ID="txtDurHorasGerente" runat="server" ReadOnly="true" Width="70px"
                                            Height="17px"></asp:TextBox>
                                    </td>
                                    <td colspan="1" style="text-align: left; width: 97px;">
                                        <asp:Label ID="lblAuditor" runat="server" Text="<%$ Resources:Idioma, lblAuditores %>"></asp:Label>
                                        <br />
                                        <asp:TextBox ID="txtDurHorasAud" runat="server" ReadOnly="true" Width="70px" Height="17px"></asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                            <table>
                                <tr>
                                    <td style="text-align: center;" colspan="3">
                                        <br />
                                        <asp:Label ID="lblTiemposEstimados" runat="server" CssClass="subtituloTercerNivel"
                                            Height="22px" Text="<%$ Resources:Idioma, lblTiemposEstimados %>" Width="183px"></asp:Label>
                                        <br />
                                        <asp:GridView ID="gvTiemposEstimados" runat="server" AllowPaging="True" AutoGenerateColumns="False"
                                            Width="705px">
                                            <Columns>
                                                <asp:BoundField DataField="fechaFin" HeaderText="<%$ Resources:Idioma, lblFechaFin %>"
                                                    ItemStyle-Width="90px" SortExpression="fechaFin">
                                                    <ItemStyle Width="90px" />
                                                </asp:BoundField>
                                                <asp:BoundField DataField="duracionDias" HeaderText="<%$ Resources:Idioma, lblDiasHabReq %>"
                                                    ItemStyle-Width="60px" SortExpression="duracionDias">
                                                    <ItemStyle Width="90px" />
                                                </asp:BoundField>
                                                <asp:BoundField DataField="diasCalendario" HeaderText="<%$ Resources:Idioma, lblDiasCalend %>"
                                                    ItemStyle-Width="60px" SortExpression="diasCalendario">
                                                    <ItemStyle Width="60px" />
                                                </asp:BoundField>
                                                <%--     <asp:BoundField DataField="costosPersonal" 
                                            HeaderText="<%$ Resources:Idioma, lblCostosPersonal %>" ItemStyle-Width="100px" 
                                            SortExpression="costosPersonal" >
                                            <ItemStyle Width="90px" />
                                        </asp:BoundField>--%>
                                            </Columns>
                                        </asp:GridView>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </asp:View>
            <asp:View ID="Tab2" runat="server">
                <table width="100%" cellpadding="0" cellspacing="0" align="center">
                    <tr valign="top">
                        <td style="width: 100%;" class="TabArea">
                            <br />
                            <br />
                            <asp:Panel ID="panelOtrosGastos" runat="server">
                                <br />
                                <table border="0" cellpadding="0" cellspacing="0" style="width: 42%;">
                                    <tr>
                                        <td style="width: 233px; text-align: right;">
                                            <asp:Label ID="lblIdOtrosGastos" runat="server" Height="22px" Text="<%$ Resources:Idioma, lblId %>"
                                                Width="153px"></asp:Label>
                                            *<br />
                                            <br />
                                        </td>
                                        <td style="width: 8px;">
                                        </td>
                                        <td align="left" style="text-align: left">
                                            <asp:TextBox ID="TxtIdOtroGasto" runat="server" Height="22px" ReadOnly="true" Width="82px"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="Label3" runat="server" Text="<%$ Resources:Idioma, lblDescripcion %>"></asp:Label>
                                            :
                                        </td>
                                        <td align="left" style="width: 9px">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda">
                                            <asp:TextBox ID="txtDescripcionConsumo" runat="server" MaxLength="150" Width="282px"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rvtxtDescripcionConsumo" runat="server" ControlToValidate="txtDescripcionConsumo">
                                                <asp:Label ID="lbltxtDescripcionConsumo" runat="server" Text="<%$ Resources:Idioma, lblDescripcionObligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="Label1" runat="server" Text="<%$ Resources:Idioma, lblPrecio %>"></asp:Label>
                                            :
                                        </td>
                                        <td align="left" style="width: 9px">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda">
                                            <asp:TextBox ID="txtPrecio" runat="server" MaxLength="150" Width="74px"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rvtxtPrecio" runat="server" ControlToValidate="txtPrecio">
                                                <asp:Label ID="lblPrecioobligatorio" runat="server" Text="<%$ Resources:Idioma, lblPrecioObligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <asp:RegularExpressionValidator ID="rvprecioobligatorio" runat="server" ControlToValidate="txtprecio"
                                                Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                                ValidationExpression="\d*\,?\d*"></asp:RegularExpressionValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblCatidadexternasotrosgastos" runat="server" Text="<%$ Resources:Idioma, lblCantidad %>"></asp:Label>
                                            :
                                        </td>
                                        <td align="left" style="width: 9px">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda">
                                            <asp:TextBox ID="txtCantidad" runat="server" MaxLength="150" Width="84px"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rvCantidadObligatoria" runat="server" ControlToValidate="txtCantidad">
                                                <asp:Label ID="lblCantidadObligatoriaotros" runat="server" Text="<%$ Resources:Idioma, lblPrecioObligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                            <asp:RegularExpressionValidator ID="rvCantidadobligatoriadeotros" runat="server"
                                                ControlToValidate="txtCantidad" Display="Dynamic" ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>"
                                                ValidationExpression="\d+"></asp:RegularExpressionValidator>
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                <br />
                                &nbsp;<asp:Button ID="btnGuardarOtros" runat="server" CausesValidation="true" Text="<%$ Resources:Idioma, btnGuardar %>" />
                            </asp:Panel>
                            <br />
                            <asp:Label ID="lblOtrosGastos2" runat="server" CssClass="subtituloTercerNivel" Height="22px"
                                Text="<%$ Resources:Idioma, lblOtrosGastos %>" Width="183px"></asp:Label>
                            <br />
                            <asp:GridView ID="gvOtrosGastos" runat="server" AllowPaging="True" AutoGenerateColumns="False"
                                PageSize="6" Width="654px">
                                <Columns>
                                    <asp:BoundField DataField="nombreConcepto" HeaderText="<%$ Resources:Idioma, lblDescripcion %>" />
                                    <asp:BoundField DataField="cantidad" HeaderText="<%$ Resources:Idioma, lblCantidad %>" />
                                    <asp:BoundField DataField="costoUnitario" HeaderText="<%$ Resources:Idioma, CostoUnitario %>" />
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="70px">
                                        <ItemTemplate>
                                            <asp:LinkButton ID="lnkEditar" runat="server" CausesValidation="false" CommandArgument='<%# Eval("idConcepto")%>'
                                                CommandName="EDITAR">
                                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                            </asp:LinkButton>
                                            <asp:Label ID="lblidConcepto" runat="server" Text='<%# Eval("idConcepto")%>' Visible="False">
                                            </asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                            <br />
                        </td>
                    </tr>
                </table>
            </asp:View>
            <asp:View ID="Tab3" runat="server">
                <table width="100%" cellpadding="0" cellspacing="0">
                    <tr valign="top">
                        <td class="TabArea" style="width: 100%">
                            <br />
                            <asp:Panel ID="panelAuditores" runat="server">
                                <br />
                                <table style="width: 43%; margin-right: 0px;" border="0" cellpadding="0" cellspacing="0">
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblNombre" runat="server" Text="<%$ Resources:Idioma, lblNombre %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 9px" align="left">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda">
                                            <asp:TextBox ID="txtDescripcionAuditoria" runat="server" MaxLength="150" Width="282px"></asp:TextBox>
                                            <asp:TextBox ID="txtIdResponsable" runat="server" MaxLength="150" Visible="false"
                                                Width="118px"></asp:TextBox>
                                            <asp:RequiredFieldValidator ID="rvAuditorobligatorio" runat="server" ControlToValidate="txtDescripcionAuditoria">
                                                <asp:Label ID="lblAuditorobligatorio" runat="server" Text="<%$ Resources:Idioma, lblauditorplanobligatorio %>"></asp:Label>
                                            </asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="lblResponsabilidad" runat="server" Text="<%$ Resources:Idioma, lblResponsabilidad %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 9px" align="left">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda">
                                            <asp:DropDownList ID="drpResponsabilidad" runat="server">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 233px; height: 23px; text-align: right;">
                                            <asp:Label ID="Label7" runat="server" Text="<%$ Resources:Idioma, lblCargo %>"></asp:Label>
                                            *
                                        </td>
                                        <td style="width: 9px" align="left">
                                            &nbsp;
                                        </td>
                                        <td class="alineacionIzquierda">
                                            <asp:DropDownList ID="drpCargo" runat="server">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                </table>
                                <br />
                                &nbsp;<asp:Button ID="btnGuardarAud" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                                    CausesValidation="true" />
                            </asp:Panel>
                            <br />
                            <br />
                            <asp:Label ID="lblAuditores" runat="server" Text="<%$ Resources:Idioma, lblAuditores %>"
                                Height="22px" Width="183px" CssClass="subtituloTercerNivel"></asp:Label>
                            <br />
                            <asp:GridView ID="gvResponsables" runat="server" AutoGenerateColumns="False" AllowPaging="True"
                                PageSize="6">
                                <Columns>
                                    <asp:BoundField DataField="idResponsableTrabajoAudCandidato" SortExpression="idResponsableTrabajoAudCandidato"
                                        HeaderText="<%$ Resources:Idioma, lblTrabajo %>" ItemStyle-Width="10px" Visible="false">
                                        <ItemStyle Width="10px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:BoundField DataField="responsable" SortExpression="responsable" HeaderText="<%$ Resources:Idioma, lblAuditor %>"
                                        ItemStyle-Width="400px">
                                        <ItemStyle Width="400px"></ItemStyle>
                                    </asp:BoundField>
                                    <asp:BoundField HeaderText="Responsabilidad" DataField="nombreResponsabilidad" />
                                    <asp:BoundField HeaderText="Cargo" DataField="nombreCargo" />
                                    <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                                        ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="70px">
                                        <ItemTemplate>
                                            <asp:LinkButton ID="lnkEditar" runat="server" CommandName="VER" CommandArgument='<%# Eval("idResponsableTrabajoAudCandidato")%>'
                                                CausesValidation="false">
                                                <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                                        </ItemTemplate>
                                        <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                        <ItemStyle HorizontalAlign="Center" VerticalAlign="Top" Width="70px"></ItemStyle>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                            <br />
                        </td>
                    </tr>
                </table>
            </asp:View>
        </asp:MultiView>
    </div>
    <br />
    <br />
</asp:Content>
