﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="FactorPonderacionPorCategoria.aspx.vb" Inherits="AudiControl.FactorPonderacionPorCategoria"
    Title="<%$ Resources:TituloPaginas, TitFactorPonderacionCategoria %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdModeloRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <div class="headerContent ">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblPonderacionCategoria %>"></asp:Label></div>
    <br />
    <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
    <br />
    </div>
    <br />
    <div align="center">
    <table>
        <tr>
            <td>
                <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                    Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
            </td>
            <td>
                <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                    Width="247px"></asp:Label>
            </td>
        </tr>
    </table>
    <br />
    </div>
    <div class="alineacionIzquierda">
        <table>
            <tr>
                <td class="alineacionIzquierda">
                    <asp:Label ID="lblEmpresaAuditada" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <br />
    
    <asp:Label ID="lblError" runat="server" CssClass="colorError" Visible="False"></asp:Label>
    <asp:Panel ID="panelmatriz" runat="server" SkinID="panelSkinned">
        <div>
            <asp:Label ID="lblExito" runat="server" CssClass="colorExito" Visible="False"></asp:Label>
            <table>
                <tr>
                    <td>
                    </td>
                    <td>
                        <asp:Label ID="lblCategoria" runat="server" Text="<%$ Resources:Idioma, lblCategorias %>"
                            CssClass="subtitulo"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblFactorRiesgo" runat="server" Text="<%$ Resources:Idioma, lblFactoresRiesgo %>"
                            CssClass="subtitulo"></asp:Label>
                    </td>
                    <td>
                        <asp:GridView ID="gvMatriz" runat="server" Style="text-align: center" EnableTheming="True">
                        </asp:GridView>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                CausesValidation="False" />
            &nbsp;
            <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                CausesValidation="False" />
            &nbsp;
        </div>
    </asp:Panel>
</asp:Content>
