﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarFactoresRiesgo.aspx.vb" Inherits="AudiControl.ListarFactoresRiesgo"
    Title="<%$ Resources:TituloPaginas, TitListaFactores %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblMensajeBorrado" Text="<%$ Resources:Idioma, msgeliminaFactorRiesgo %>"
        runat="server" Style="display: none"></asp:Label>
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblListaFactores %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Width="247px"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <div>
            <table>
                <tr>
                    <td class="alineacionIzquierda">
                        <asp:Label ID="lblEmpresaAuditada" runat="server" Text="" CssClass="subtitulo "></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <br />
        <asp:Label ID="lblNoElimina" runat="server" Visible="false" CssClass="colorError"></asp:Label>
        <asp:Label ID="lblCodigoNoValido" runat="server" Visible="false" CssClass="colorError"></asp:Label>
        <asp:Label ID="lblNoFactor" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
        <asp:GridView ID="gvListaFactores" runat="server" AutoGenerateColumns="false" AllowPaging="True"
            PageSize="15">
            <Columns>
                <asp:BoundField DataField="idFactorRiesgo" SortExpression="idFactorRiesgo" HeaderText="<%$ Resources:Idioma, lblId %>"
                    ItemStyle-Width="80px" />
                <asp:BoundField DataField="descripcionFactor" SortExpression="descripcionFactor"
                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="370px" />
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblAccion %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="250px"
                    HeaderStyle-Width="250px">
                    <ItemTemplate>
                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idFactorRiesgo")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkEliminar" OnClientClick="javascript: if(!confirm(document.getElementById('ctl00_ContenidoPrincipal_lblMensajeBorrado').innerHTML)) return false;"
                            runat="server" CommandName="ELIMINAR" CommandArgument='<%# Eval("idFactorRiesgo")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblEliminar" runat="server" Text="<%$ Resources:Idioma, lblEliminar %>"></asp:Label></asp:LinkButton>
                        &nbsp;&nbsp;
                        <asp:LinkButton ID="lnkVerRespuesta" runat="server" CommandName="VER RESPUESTA" CommandArgument='<%# Eval("idFactorRiesgo")%>'
                            CausesValidation="false">
                            <asp:Label ID="lblVerRespuesta" runat="server" Text="<%$ Resources:Idioma, lblRespuestas %>"></asp:Label></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblRespuestas %>"
                    ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="100px">
                    <ItemTemplate>
                        <div style="text-align: center">
                            <asp:Label ID="lblSi" runat="server" Text=""></asp:Label>
                            &nbsp;&nbsp;
                            <asp:Label ID="lblidFactorRiesgo" runat="server" Text='<%# Eval("idFactorRiesgo")%>'
                                Visible="false"></asp:Label>
                        </div>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <br />
        <table>
            <tr>
                <td style="text-align: center">
                    <asp:Label ID="lblBuscar" runat="server" Text="<%$ Resources:Idioma, lblBuscar %>"></asp:Label>
                    <asp:RadioButtonList ID="rblCriterio" runat="server" RepeatDirection="Horizontal">
                        <asp:ListItem Text="<%$ Resources: Idioma, lblId %>" Value="codigo"></asp:ListItem>
                        <asp:ListItem Text="<%$ Resources: Idioma, lblDescripcion %>" Value="descripcion"></asp:ListItem>
                    </asp:RadioButtonList>
                    <asp:TextBox ID="txtCriterio" runat="server" Height="16px" />
                    <asp:Button ID="btnBuscar" runat="server" Text="<%$ Resources:Idioma, btnBuscar %>"
                        CausesValidation="true" />
                    <br />
                    <asp:RequiredFieldValidator ID="rfvTipoBusqueda" runat="server" ControlToValidate="rblCriterio">
                        <asp:Label ID="lblSeleccionCriterio" runat="server" Text="<%$ Resources: Idioma, lblSeleccionCriterio %>"></asp:Label>
                    </asp:RequiredFieldValidator>
                </td>
                <td style="text-align: center; width: 135px;">
                    <br />
                    <br />
                    <br />
                </td>
                <td style="width: 432px">
                    <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                        CausesValidation="false" Width="71px" />
                    <br />
                    <asp:DropDownList ID="drpReportes" runat="server">
                        <asp:ListItem Text="<%$ Resources:TituloPasos, lblListaFactores %>" Value="2"></asp:ListItem>
                        <asp:ListItem Text="<%$ Resources:Idioma, drpRespuestasPorFactor %>" Value="3"></asp:ListItem>
                    </asp:DropDownList>
                    &nbsp;&nbsp;&nbsp;
                    <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                        CausesValidation="False" Width="75px" />
                    &nbsp;&nbsp;<br />
                    <br />
                    &nbsp;&nbsp;
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
