﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="ListarRespuestasPorFactor.aspx.vb" Inherits="AudiControl.ListarRespuestasPorFactor"
    Title="<%$ Resources:TituloPaginas, TitRespuestaFactor %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdFactorRiesgo" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <div class="header">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:TituloPasos, lblRespuestaFactor %>"></asp:Label></div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Width="247px"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblDatos" runat="server" CssClass="subtitulo"></asp:Label>
                    <asp:Label ID="lblAsterisco" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, lblAsterisco %>"
                        Visible="false"></asp:Label>
                    <br />
                    <br />
                    <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
                    <br />
                    <asp:Label ID="lblNoRespuesta" runat="server" Visible="false" CssClass="colorExito"></asp:Label>
                    <center>
                        <asp:GridView ID="gvListaRespuestas" runat="server" AutoGenerateColumns="false">
                            <Columns>
                                <asp:BoundField DataField="idRespuestaFactor" SortExpression="idRespuestaFactor"
                                    HeaderText="<%$ Resources:Idioma, lblId %>" ItemStyle-Width="70px"></asp:BoundField>
                                <asp:BoundField DataField="descripcionRespuesta" SortExpression="descripcionRespuesta"
                                    HeaderText="<%$ Resources:Idioma, lblDescripcion %>" ItemStyle-Width="400px">
                                </asp:BoundField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    HeaderText="<%$ Resources:Idioma, lblPeso %>" ItemStyle-VerticalAlign="Top" ItemStyle-Width="70px">
                                    <ItemTemplate>
                                        <asp:Label ID="lblIdRespuestaFactor" runat="server" Text='<%# Eval("idRespuestaFactor") %>'
                                            Visible="false"></asp:Label>
                                        <asp:TextBox ID="txtPesoRespuesta" runat="server" Text='<%# Eval("pesoRespuesta") %>'
                                            TextMode="SingleLine" MaxLength="5" Height="17" Width="30"></asp:TextBox>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"
                                    HeaderText="<%$ Resources:Idioma, lblAccion %>" ItemStyle-VerticalAlign="Top"
                                    ItemStyle-Width="100px">
                                    <ItemTemplate>
                                        <asp:LinkButton ID="lnkEditar" runat="server" CommandName="EDITAR" CommandArgument='<%# Eval("idRespuestaFactor")%>'
                                            CausesValidation="false">
                                            <asp:Label ID="lblEditar" runat="server" Text="<%$ Resources:Idioma, lblEditar %>"></asp:Label>
                                        </asp:LinkButton>
                                    </ItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </center>
                    <br />
                    <br />
                    <asp:Button ID="btnAgregar" runat="server" Text="<%$ Resources:Idioma, btnAgregar %>"
                        CausesValidation="false" Width="71px" />
                    <asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>" />
                    <br />
                    <br />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
