﻿<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.master"
    CodeBehind="SeguimientoAuditorias.aspx.vb" Inherits="AudiControl.SeguimientoAuditorias"
    Title="<%$ Resources:TituloPaginas, TitSeguimiento %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td>
                        <asp:Label ID="lblEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblSeguimientoAuditorias" runat="server" Text="<%$ Resources:TituloPasos, lblSeguimientoAuditoriasProcesos %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Label ID="lblExito" runat="server" Visible="False" CssClass="colorExito"></asp:Label>
            <br />
            <table>
                <tr>
                    <td style="text-align: right;">
                        <asp:Label ID="lblTrabajoAuditoria" runat="server" Text="<%$ Resources:Idioma, lblTrabajoAuditoria %>"></asp:Label>
                        *<br />
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="txtTrabajoAuditoria" runat="server" Width="520px" MaxLength="50"
                            ReadOnly="true"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">
                        <asp:Label ID="lblPorcentajeAvanceanterior" runat="server" Text="<%$ Resources:Idioma, lblPorcentajeAvanceAnterior %>"></asp:Label>
                        *
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="txtPorcentajeAvanceAnterior" runat="server" Width="75px" MaxLength="3"
                            Height="21px" CausesValidation="True" Text="0" ReadOnly="true"></asp:TextBox>
                        <asp:Label ID="lblValorEstado" runat="server" Visible="false" Text=""></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">
                        <asp:Label ID="lblPorcentajeAvancePendiente" runat="server" Text="<%$ Resources:Idioma, lblPorcentajeAvancePendiente %>"
                            ReadOnly="true"></asp:Label>
                        *
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="txtPorcentajeAvancePendiente" runat="server" Width="75px" MaxLength="3"
                            Height="21px" CausesValidation="True" Text="100" ReadOnly="True"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">
                        <asp:Label ID="lblPorcentajeAvance" runat="server" Text="<%$ Resources:Idioma, lblPorcentajeAvance %>"></asp:Label>
                        *
                        <asp:RequiredFieldValidator ID="rvtxtPorcentajeAvance" ControlToValidate="txtPorcentajeAvance"
                            ErrorMessage="<%$ Resources:Idioma, lblPorcentajeAvanceObligatorio %>" InitialValue=""
                            Text="*" runat="server" />
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="txtPorcentajeAvance" runat="server" Width="75px" MaxLength="3" Height="21px"
                            CausesValidation="True"></asp:TextBox>
                        <asp:RegularExpressionValidator ID="rvporcentajesolonumero" runat="server" ControlToValidate="txtPorcentajeAvance"
                            ErrorMessage="<%$ Resources:Idioma, lblValidacionNumero %>" ValidationExpression="\d+"
                            Display="none" Style="visibility: hidden;"></asp:RegularExpressionValidator>
                        <asp:RangeValidator ID="Rangoporcentaje" runat="server" ErrorMessage="<%$ Resources:Idioma, lblRangoporcentajeAvance %>"
                            ControlToValidate="txtPorcentajeAvance" Type="Integer" MinimumValue="0" MaximumValue="100"
                            Display="none" Style="visibility: hidden;">
                        </asp:RangeValidator>
                        <br />
                        <asp:ValidationSummary ID="ValidacionesResumen" DisplayMode="BulletList" EnableClientScript="true"
                            runat="server" />
                        <asp:Label ID="lblMayorPorcentaje" runat="server" Text="" Visible="false" CssClass="colorError"></asp:Label>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">
                        <asp:Label ID="lblDescripcionAvance" runat="server" Text="<%$ Resources:Idioma, lblDescripcionAvance %>"></asp:Label>
                        *<br />
                        <br />
                        <br />
                        <br />
                        <br />
                        <br />
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="txtDescripcionAvance" runat="server" Height="81px" TextMode="MultiLine"
                            Width="520px" MaxLength="1000" CausesValidation="True"></asp:TextBox>
                        <br />
                        <asp:RequiredFieldValidator ID="rfvDescripcionAvance" ControlToValidate="txtDescripcionAvance"
                            Text="<%$ Resources:Idioma, lblDetalleObligatorio %>" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">
                        <asp:Label ID="lblDescripcionAvance1" runat="server" Text="<%$ Resources:Idioma, lblComentarios %>"></asp:Label>
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="txtComentarios" runat="server" Height="81px" TextMode="MultiLine"
                            Width="520px" MaxLength="1000"></asp:TextBox>
                    </td>
                </tr>
            </table>
            &nbsp;<br />
            <table>
                <tr>
                    <td align="center">
                        &nbsp;&nbsp;&nbsp;<asp:Button ID="btnGuardar" runat="server" Text="<%$ Resources:Idioma, btnGuardar %>"
                            CausesValidation="true" />
                        &nbsp;
                        <br />
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
