<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="VerPriorizacionEntidadSegunNivelSeguridad.aspx.vb" Inherits="AudiControl.VerPriorizacionEntidadSegunNivelSeguridad"
    Title="<%$ Resources:Menu, m0402010202 %>" %>

<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <div class="headerContent">
        <table class="izquierda">
            <tr>
                <td>
                    <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </div>
    <br />
    <div class="header" style="text-align: center">
        <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Menu, m0402010202 %>"></asp:Label>
    </div>
    <br />
    <div align="center">
        <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                        Width="247px"></asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblSector" runat="server" Text="<%$ Resources:Idioma, lblSector %>"
                        CssClass="subtituloTercerNivel"></asp:Label>
                </td>
                <td>
                    <asp:DropDownList ID="drpSectores" runat="server" AutoPostBack="True">
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="lblNoEmpresa" runat="server" Text="" Visible="false"></asp:Label>
                    <asp:GridView ID="gvEmpresas" runat="server" AutoGenerateColumns="false">
                        <Columns>
                            <asp:BoundField DataField="idEmpresa" SortExpression="idEmpresa" HeaderText="<%$ Resources:Idioma, lblId %>"
                                ItemStyle-Width="100px" />
                            <asp:BoundField DataField="nombreEmpresa" SortExpression="nombreEmpresa" HeaderText="<%$ Resources:Idioma, lblEmpresaporAuditar %>"
                                ItemStyle-Width="400px" />
                            <asp:BoundField DataField="puntajeMaximoPosible" SortExpression="puntajeMaximoPosible"
                                HeaderText="<%$ Resources:Idioma, lblPMP %>" ItemStyle-Width="100px" />
                            <asp:BoundField DataField="puntajeObtenido" SortExpression="puntajeObtenido" HeaderText="<%$ Resources:Idioma, lblPO %>"
                                ItemStyle-Width="100px" />
                            <asp:BoundField DataField="porcentajeObtenido" SortExpression="porcentajeObtenido"
                                HeaderText="<%$ Resources:Idioma, lblPorcObtenido %>" ItemStyle-Width="100px" />
                            <asp:BoundField DataField="nivelSeguridad" SortExpression="nivelSeguridad" HeaderText="<%$ Resources:Idioma, lblNivelSegReq %>"
                                ItemStyle-Width="100px" />
                            <asp:BoundField DataField="ranking" SortExpression="ranking" HeaderText="<%$ Resources:Idioma, lblRanking %>"
                                ItemStyle-Width="100px" />
                            <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderText="<%$ Resources:Idioma, lblFactores %>"
                                ItemStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Top" ItemStyle-Width="200px">
                                <ItemTemplate>
                                    <asp:LinkButton ID="lnkVer" runat="server" CommandName="VER" CommandArgument='<%# Eval("idEmpresa")%>'
                                        CausesValidation="false">
                                        <asp:Label ID="lblVer" runat="server" Text="<%$ Resources:Idioma, lblVer %>"></asp:Label></asp:LinkButton>
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
                </td>
            </tr>
            <tr>
                <td>
                    <br />
                    <center>
                        <telerik:ReportViewer ID="rvNivelesSeg" runat="server" Height="339px" Report="Com.Audisis.Reportes.ReporteGraficaNivelSegRequerido, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
                            Width="660px" ToolbarVisible="False">
                        </telerik:ReportViewer>
                        <asp:Button ID="btnReporte" runat="server" Text="<%$ Resources:Idioma, btnReporte %>"
                            CausesValidation="false" />
                        &nbsp;
                    </center>
                    <br />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
