<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/EncabezadoAudap.Master"
    CodeBehind="VerPriorizacionExterna.aspx.vb" Inherits="AudiControl.VerPriorizacionExterna"
    Title="<%$ Resources:Menu, m0402010203 %>" %>

<%@ Register Assembly="Telerik.ReportViewer.WebForms, Version=3.0.9.311, Culture=neutral, PublicKeyToken=a9d7983dfcc261be"
    Namespace="Telerik.ReportViewer.WebForms" TagPrefix="telerik" %>
<%@ Register Src="../UserControl/UCErroresLogicaNegocio.ascx" TagName="UCErroresLogicaNegocio"
    TagPrefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContenidoPrincipal" runat="server">
    <asp:Label ID="lblIdEmpresa" runat="server" Text="" Visible="false"></asp:Label>
    <asp:Label ID="lblIdEmpresaAuditora" runat="server" Text="" Visible="false"></asp:Label>
    <div style="text-align: center;">
        <div class="headerContent">
            <table class="izquierda">
                <tr>
                    <td colspan="2">
                        <asp:Label ID="lblNomEmpresa" runat="server" Text="<%$ Resources:Idioma, lblNombreEmpresa %>"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblNombreEmpresa" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div class="header">
            <asp:Label ID="lblTitulo" runat="server" Text="<%$ Resources:Menu, m0402010203 %>"></asp:Label>
        </div>
        <br />
        <div align="center">
            <uc1:UCErroresLogicaNegocio ID="ucErroresLN" runat="server"></uc1:UCErroresLogicaNegocio>
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPeriodoAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Text="<%$ Resources:Idioma, lblAnoAuditoria %>" Width="350px"></asp:Label>
                    </td>
                    <td>
                        <asp:Label ID="lblPeriodoPlanAuditoria" runat="server" CssClass="subtituloSegundoNivel"
                            Width="247px"></asp:Label>
                    </td>
                </tr>
            </table>
            <br />
            <asp:Label ID="lblSectorEconomico" runat="server" Text="<%$ Resources:Idioma, lblSector %>"
                Height="21px" Width="159px"></asp:Label>*
            <asp:DropDownList ID="drpSector" runat="server" AutoPostBack="True">
            </asp:DropDownList>
            <br />
            <br />
        </div>
        <div class="alineacionIzquierda">
            <asp:Menu ID="MenuPestanas" runat="server" BorderColor="White" BorderStyle="solid"
                BorderWidth="1px" Font-Bold="true" OnMenuItemClick="MenuPestanas_MenuItemClick"
                Orientation="Horizontal">
                <DynamicMenuStyle BackColor="#F4E8AF" BorderWidth="1px" Width="180px" />
                <DynamicMenuItemStyle HorizontalPadding="5" VerticalPadding="2" />
                <DynamicHoverStyle BackColor="LightCoral" Font-Bold="True" Font-Size="Medium" ForeColor="White" />
                <StaticMenuStyle BackColor="#F4E8AF" BorderColor="white" BorderWidth="1px" ForeColor="Black" />
                <StaticMenuItemStyle HorizontalPadding="5" VerticalPadding="2" Width="180px" />
                <StaticHoverStyle BackColor="orange" BorderColor="Black" BorderStyle="Inset" BorderWidth="1px"
                    Font-Bold="True" ForeColor="White" />
                <StaticSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="solid"
                    BorderWidth="1px" />
                <DynamicSelectedStyle BackColor="#FAFAE7" BorderColor="Black" BorderStyle="Solid"
                    BorderWidth="1px" />
                <Items>
                    <asp:MenuItem Text="<%$ Resources:Idioma, MatrizPlanAnualPestanna %>" Value="0">
                    </asp:MenuItem>
                    <asp:MenuItem Text="<%$ Resources:Idioma, lblresultprioporEmpresaytrabajo %>" Value="1">
                    </asp:MenuItem>
                    <asp:MenuItem Text="<%$ Resources:Idioma, lblExpoporCategoriaEmpresa %>" Value="2">
                    </asp:MenuItem>
                    <asp:MenuItem Text="<%$ Resources:Idioma, lblperfilMatrizAuditoriaTAExterna %>" Value="3">
                    </asp:MenuItem>
                    <asp:MenuItem Text="<%$ Resources:Idioma, lblperfilMatrizAuditoria %>" Value="4">
                    </asp:MenuItem>
                </Items>
            </asp:Menu>
        </div>
        <div align="center">
            <asp:MultiView ID="MultiView1" runat="server" ActiveViewIndex="0">
                <asp:View ID="Tab1" runat="server">
                    <table align="center" cellpadding="0" cellspacing="0" style="width: 100%">
                        <tr valign="top">
                            <td class="TabArea">
                                <br />
                                <center>
                                    <asp:Panel ID="panelcontGrilla" runat="server" Visible="false">
                                        <table>
                                            <tr>
                                                <td>
                                                </td>
                                                <td>
                                                    <asp:Label ID="lblCategoria" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, lblCategorias %>"></asp:Label>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:Label ID="lblEmpresas" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, lblEmpresa %>"></asp:Label>
                                                </td>
                                                <td>
                                                    <asp:GridView ID="gvMatriz" runat="server" HeaderStyle-HorizontalAlign="Center">
                                                        <HeaderStyle HorizontalAlign="Center" />
                                                    </asp:GridView>
                                                    <br />
                                                    <asp:DropDownList ID="drpReportes" runat="server">
                                                        <asp:ListItem Text="<%$ Resources:Idioma, lblListaporTrabajoExternas %>" Value="2"></asp:ListItem>
                                                        <asp:ListItem Text="<%$ Resources:Idioma, lblListaPorCategoriaExternas %>" Value="3"></asp:ListItem>
                                                    </asp:DropDownList>
                                                    <asp:Button ID="btnReporte" runat="server" CausesValidation="false" Text="<%$ Resources:Idioma, btnReporte %>" />
                                                    <br />
                                                    &nbsp;
                                                </td>
                                            </tr>
                                        </table>
                                        <br />
                                        &nbsp;&nbsp;<br />
                                    </asp:Panel>
                                    <br />
                                </center>
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="tab2" runat="server">
                    <table align="center" cellpadding="0" cellspacing="0" style="width: 100%">
                        <tr valign="top">
                            <td class="TabArea">
                                <br />
                                <center>
                                    <asp:Label ID="lblPanoramaUno1" runat="server" CssClass="subtituloSegundoNivel" Text="<%$ Resources:Idioma, PanoramaRiesgosNiveluno %>"></asp:Label>
                                    <br />
                                    <br />
                                    <asp:GridView ID="gvListaTrabajos" runat="server" AutoGenerateColumns="false" ShowFooter="True"
                                        Width="650px">
                                        <Columns>
                                            <asp:BoundField DataField="idEmpresaAuditada" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                ItemStyle-Width="50px" SortExpression="idEmpresaAuditada" />
                                            <asp:BoundField DataField="nombreEmpresa" HeaderText="<%$ Resources:Idioma, lblEmpresa %>"
                                                ItemStyle-Width="400px" SortExpression="nombreEmpresa" />
                                            <asp:BoundField DataField="Total" DataFormatString="{0:N2}" HeaderText="<%$ Resources:Idioma,porcentajeExporiesgos %>"
                                                ItemStyle-Width="20px" SortExpression="Total" />
                                            <asp:TemplateField>
                                                <HeaderTemplate>
                                                    <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources:Idioma, lblRanking %>"></asp:Literal>
                                                </HeaderTemplate>
                                                <ItemTemplate>
                                                    <%#Container.DataItemIndex + 1%>
                                                </ItemTemplate>
                                                <ItemStyle HorizontalAlign="Left" VerticalAlign="Top" />
                                            </asp:TemplateField>
                                        </Columns>
                                    </asp:GridView>
                                    <br />
                                    <asp:Label ID="lblGrafica1" runat="server" CssClass="subtitulo" Text="" Visible="False"></asp:Label>
                                    <br />
                                    <telerik:ReportViewer ID="rvFactoresNivSegMPA" runat="server" Height="400px" ToolbarVisible="False"
                                        Width="660px" Report="Com.Audisis.Reportes.ReporteGraficaExpoRiesgoEmpresaporEmpresa, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
                                    </telerik:ReportViewer>
                                    <br />
                                    <br />
                                    <br />
                                    <br />
                                    <br />
                                </center>
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="tab3" runat="server">
                    <table align="center" cellpadding="0" cellspacing="0" style="width: 100%">
                        <tr valign="top">
                            <td class="TabArea">
                                <center>
                                    <br />
                                    <asp:Label ID="lblPanoramaUno2" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, PanoramaRiesgosNiveluno %>"></asp:Label>
                                    <br />
                                    <br />
                                    <asp:GridView ID="gvListaCategorias" runat="server" AutoGenerateColumns="false" ShowFooter="True"
                                        Width="650px">
                                        <Columns>
                                            <asp:BoundField DataField="idCategoriaRiesgo" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                ItemStyle-Width="50px" SortExpression="idCategoriaRiesgo" />
                                            <asp:BoundField DataField="descripcionCategoria" HeaderText="<%$ Resources:Idioma, lblCategoria %>"
                                                ItemStyle-Width="400px" SortExpression="descripcionCategoria" />
                                            <asp:BoundField DataField="Total" DataFormatString="{0:N2}" HeaderText="<%$ Resources:Idioma,porcentajeExporiesgos %>"
                                                ItemStyle-Width="20px" SortExpression="Total" />
                                            <asp:TemplateField>
                                                <HeaderTemplate>
                                                    <asp:Literal ID="Literal2" runat="server" Text="<%$ Resources:Idioma, lblRanking %>"></asp:Literal>
                                                </HeaderTemplate>
                                                <ItemTemplate>
                                                    <%#Container.DataItemIndex + 1%>
                                                </ItemTemplate>
                                                <ItemStyle HorizontalAlign="Left" VerticalAlign="Top" />
                                            </asp:TemplateField>
                                        </Columns>
                                    </asp:GridView>
                                    <br />
                                    <br />
                                    <asp:Label ID="Label2" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, lblTitGrafExpriesgo %>"
                                        Visible="True"></asp:Label>
                                    <br />
                                    <br />
                                    <telerik:ReportViewer ID="rvFactoresNivSegCategoria" runat="server" Height="400px"
                                        ToolbarVisible="False" Width="660px" Report="Com.Audisis.Reportes.ReporteGraficaExpoRiesgoEmpresaporCategoriaExternas, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
                                    </telerik:ReportViewer>
                                    <br />
                                </center>
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="Tab4" runat="server">
                    <table align="center" cellpadding="0" cellspacing="0" style="width: 100%">
                        <tr valign="top">
                            <td class="TabArea">
                                <center>
                                    <br />
                                    <asp:Label ID="lblPanoramaUno3" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, PanoramaRiesgosNiveluno %>"></asp:Label>
                                    <br />
                                    <br />
                                    <asp:Label ID="lblSeleccionUnaempresa" runat="server" CssClass="subtitulo " Text="<%$ Resources:Idioma,SeleccioneEmpresa %>"></asp:Label>
                                    <br />
                                    <br />
                                    <asp:DropDownList ID="drpEmpresaAuditada" runat="server" AutoPostBack="True">
                                    </asp:DropDownList>
                                    &nbsp;<br />
                                    <br />
                                    <asp:GridView ID="gvCategoriasEspecifico" runat="server" AutoGenerateColumns="false"
                                        ShowFooter="True" Width="650px">
                                        <Columns>
                                            <asp:BoundField DataField="idCategoriaRiesgo" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                ItemStyle-Width="50px" SortExpression="idCategoriaRiesgo" />
                                            <asp:BoundField DataField="descripcionCategoria" HeaderText="<%$ Resources:Idioma, lblCategoria %>"
                                                ItemStyle-Width="400px" SortExpression="descripcionCategoria" />
                                            <asp:BoundField DataField="total" DataFormatString="{0:N2}" HeaderText="<%$ Resources:Idioma,porcentajeExporiesgos %>"
                                                ItemStyle-Width="20px" SortExpression="impacto" />
                                            <asp:TemplateField>
                                                <HeaderTemplate>
                                                    <asp:Literal ID="Literal3" runat="server" Text="<%$ Resources:Idioma, lblRanking %>"></asp:Literal>
                                                </HeaderTemplate>
                                                <ItemTemplate>
                                                    <%#Container.DataItemIndex + 1%>
                                                </ItemTemplate>
                                                <ItemStyle HorizontalAlign="Left" VerticalAlign="Top" />
                                            </asp:TemplateField>
                                        </Columns>
                                    </asp:GridView>
                                    <br />
                                    <br />
                                    <asp:Label ID="Label1" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, lblTitGrafExpriesgo %>"
                                        Visible="True"></asp:Label>
                                    <br />
                                    <telerik:ReportViewer ID="rvGraficaTrabajosEspecificos" runat="server" Height="426px"
                                        ToolbarVisible="False" Width="698px" Report="Com.Audisis.Reportes.ReporteGraficaResultadosExpoARiesgosCategoriaEspecificoExternas, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
                                    </telerik:ReportViewer>
                                    <br />
                                    <asp:Button ID="btnReportePerfilTrabajo" runat="server" CausesValidation="false"
                                        Text="<%$ Resources:Idioma, btnReporte %>" />
                                    <br />
                                    <br />
                                </center>
                            </td>
                        </tr>
                    </table>
                </asp:View>
                <asp:View ID="Tab5" runat="server">
                    <table align="center" cellpadding="0" cellspacing="0" style="width: 100%">
                        <tr valign="top">
                            <td class="TabArea">
                                <center>
                                    <br />
                                    <asp:Label ID="lblPanoramaUno4" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, PanoramaRiesgosNiveldos %>"></asp:Label>
                                    <br />
                                    <br />
                                    <asp:Label ID="lblSeleccionUnaCategoria" runat="server" CssClass="subtitulo " Text="<%$ Resources:Idioma,lblSeleccionCategoria %>"></asp:Label>
                                    <br />
                                    <br />
                                    <asp:DropDownList ID="drpCategoriaRiesgoEspecifico" runat="server" AutoPostBack="True">
                                    </asp:DropDownList>
                                    &nbsp;<br />
                                    <br />
                                    <asp:GridView ID="gvListaTrabajosEspecifico" runat="server" AutoGenerateColumns="false"
                                        ShowFooter="True" Width="650px">
                                        <Columns>
                                            <asp:BoundField DataField="idEmpresaAuditada" HeaderText="<%$ Resources:Idioma, lblId %>"
                                                ItemStyle-Width="50px" SortExpression="idEmpresaAuditada" />
                                            <asp:BoundField DataField="nombreEmpresa" HeaderText="<%$ Resources:Idioma, lblEmpresa %>"
                                                ItemStyle-Width="400px" SortExpression="nombreEmpresa" />
                                            <asp:BoundField DataField="Total" DataFormatString="{0:N2}" HeaderText="<%$ Resources:Idioma,porcentajeExporiesgos %>"
                                                ItemStyle-Width="20px" SortExpression="Total" />
                                            <asp:TemplateField>
                                                <HeaderTemplate>
                                                    <asp:Literal ID="Literal4" runat="server" Text="<%$ Resources:Idioma, lblRanking %>"></asp:Literal>
                                                </HeaderTemplate>
                                                <ItemTemplate>
                                                    <%#Container.DataItemIndex + 1%>
                                                </ItemTemplate>
                                                <ItemStyle HorizontalAlign="Left" VerticalAlign="Top" />
                                            </asp:TemplateField>
                                        </Columns>
                                    </asp:GridView>
                                    <br />
                                    <br />
                                    <asp:Label ID="lblTituloGrafica" runat="server" CssClass="subtitulo" Text="<%$ Resources:Idioma, lblTitGrafExpriesgoEmpresa %>"
                                        Visible="True"></asp:Label>
                                    <br />
                                    <telerik:ReportViewer ID="rvGraficaCategoriasEspecificos" runat="server" Height="442px"
                                        ToolbarVisible="False" Width="702px" Report="Com.Audisis.Reportes.ReporteGraficaResultadosExpoARiesgosEmpresaEspecifico, Com.Audisis.Reportes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
                                    </telerik:ReportViewer>
                                    <br />
                                    <asp:Button ID="btnReportePerfilCategoria" runat="server" CausesValidation="false"
                                        Text="<%$ Resources:Idioma, btnReporte %>" />
                                    <br />
                                    <br />
                                </center>
                            </td>
                        </tr>
                    </table>
                </asp:View>
            </asp:MultiView>
            &nbsp;<br />
        </div>
        <br />
    </div>
</asp:Content>
